Fri Nov 17 07:06:10 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_order.lst:
          Added another RTScheduling example library project

Fri Nov 17 06:47:10 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/taoidldefaults.mpb:
          Updated this file because tao_idl doesn't generate a S_T.inl
          file anymore

Thu Nov 16 20:38:10 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_order.lst:
          Added new RTScheduling example library projects to fix compile
          errors in the msvc static builds

Wed Nov 15 23:23:10 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * protocols/Makefile.am:

          Add lost support for --disable-ace-tests and --disable-ace-examples

Wed Nov 15 21:55:01 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Makefile.am:

          Add OS.inl to nobase_include_HEADERS.

Wed Nov 15 19:08:39 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-lite.h:

          Changed to not include <Cstd/stdcomp.h> on Solaris systems
          when using the stlport4 C++ library.

Wed Nov 15 15:33:10 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * apps/JAWS/clients/Caching/caching.mpc:

          Add exename definition so that an executable, rather than
          a shared library, is built.

Wed Nov 15 10:35:00 UTC 2006  Simon Massey  <sma@prismtech.com>

        * NEWS:

          Added entry for Iliyan Jeliazkov.

Wed Nov 15 01:56:28 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * protocols/ace/HTBP/Makefile.am:
        * protocols/ace/RMCast/Makefile.am:
        * protocols/ace/TMCast/Makefile.am:

          Change includedir to omit the "protocols" subdirectory.

          The header files for these libraries are intended to be
          installed in ${prefix}/include/ace/{HTBP,RMCast,TMCast}
          not ${prefix}/include/protocols/ace/{HTBP,RMCast,TMCast}.

Wed Nov 15 01:11:02 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Makefile.am:

          Add Numeric_Limits.h to nobase_include_HEADERS.

Tue Nov 14 18:42:18 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/Service_Gestalt.inl:
        * ace/Service_Gestalt.cpp:

          After a gestalt gets close()-ed it is still a valid instance
          however, because it is disassociated from its service repository
          the situation becomes another special case the gestalt
          implementation must account for.  This change is in addition to
          the bug fix introduced with the change from "Thu Nov 9 20:07:42
          UTC 2006".

Tue Nov 14 14:30:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Select_Reactor_T.cpp:
          Removed some not used macros that did cause problems when running
          FOCUS

Tue Nov 14 11:23:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Timer_Queue_T.cpp:
          Added hook for FOCUS, const improvement

Tue Nov 14 07:56:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Updated rtems information

Mon Nov 13 00:17:19 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/Service_Gestalt.cpp:

          Calling close() on a gestalt must not obliterate any static
          service registrations. Those may still be needed if the gestalts
          gets re-opened again, before its destructor runs.  This change
          fixes a problem (introduced with "Thu Nov 9 20:07:42 UTC 2006")
          which broke this invariant.

Sat Nov 11 18:37:12 UTC 2006  Chris Cleeland  <cleeland_c@ociweb.com>

        * ace/Service_Gestalt.cpp (find_processed_static_svc):

          Added a check at the beginning of this function that drops out
          if processed_static_svcs_ or the arg is a zero pointer.  This
          gets ride of core dumps in scoreboard builds running tests like
          some of the TAO EC tests (basically anything which has a static
          service defined and expects to find it), but there is still the
          more fundamental problem as to why the static services aren't
          there in the first place.

Fri Nov 10 22:30:12 UTC 2006  Martin Corino  <mcorino@remedy.nl>

        * include/makeinclude/platform_vxworks6.3.GNU:

          Fixes for VxWorks 6.3 PPC builds.

Fri Nov 10 21:26:41 UTC 2006  Chris Cleeland  <cleeland_c@ociweb.com>

        * ace/OS_NS_Thread.h (THR_HAS_WTHREADS):

          Added THR_EXPLICIT_SCHED definition to ACE_HAS_WTHREADS clause
          so that application-level code doesn't have to have #ifdefs to
          figure out whether it's okay to use THR_EXPLICIT_SCHED.

          This change is part of a change to TAO from
          Thu Nov  9 15:42:32 UTC 2006  Chris Cleeland  <cleeland_c@ociweb.com>

Fri Nov 10 15:02:26 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/Service_Config.cpp (close):

          Removing a forgotten debug statetement.

Fri Nov 10 13:42:12 UTC 2006  Martin Corino  <mcorino@remedy.nl>

        * bin/vx_repo_link.pl:

          New perl 'program' to handle link phase for VxWorks 5.5.x
          builds using -frepo option.

        * include/makeinclude/platform_vxworks5.5.x.GNU:
        * include/makeinclude/rules.lib.GNU:

          Changes to enable building ACE/TAO apps for VxWorks 5.5.x SIMNT
          targets using -frepo option.

Fri Nov 10 12:53:32 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * bin/make_release:
        * docs/bczar/bczar.html:

        Minor update to bczar documentation to correct install paths,
        minor bugfix to release script to correct PRF generation.

Fri Nov 10 12:22:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/INET_Addr.cpp:
          Fixed argument not used warnings in rtems no network build

Fri Nov 10 10:06:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Reactor_Impl.h:
        * ace/Dev_Poll_Reactor.{h,cpp}:
        * ace/Select_Reactor_T.{h,cpp}:
        * ace/WFMO_Reactor.{h,inl}:
          Changed initialized to return a bool, that is the type we store
          as member.

Fri Nov 10 10:03:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_unistd.cpp:
          Const changes and use prefix operators instead of postfix

        * ace/Process.cpp:
          Use prefix increment instead of postfix

        * ace/Reactor.cpp (timer_queue):
          No need to use an intermediate variable

Fri Nov 10 05:47:15 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * docs/bczar/bczar.html

          Updates to release script documentation.

Thu Nov  9 20:07:42 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/Service_Config.cpp:
        * ace/Service_Gestalt.h:
        * ace/Service_Gestalt.cpp:

          A follow up to my change from "Wed Nov 8 22:12:46". Adding the
          close_svcs() call in ACE_Service_Config::close() ensured that
          the repository and its contents gets properly finalized, but it
          did not account for the potential subsequent re-opening of the
          Service Config. This causes failures in open/close/open
          scenarios, like Framework_Component_Test.

Thu Nov  9 19:59:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_aix4_cset++.GNU:
        * include/makeinclude/platform_integrity_ghs.GNU:
        * include/makeinclude/platform_irix6.x_sgic++.GNU:
        * include/makeinclude/platform_linux_pgi.GNU:
        * include/makeinclude/platform_macosx_panther.GNU:
        * include/makeinclude/platform_macosx_tiger.GNU:
        * include/makeinclude/platform_netbsd.GNU:
        * include/makeinclude/platform_openbsd.GNU:
        * include/makeinclude/platform_osf1_4.x_rcc.GNU:
        * include/makeinclude/platform_vxworks5.x_ghs.GNU:
          Simplified these files using the ?= operator

Thu Nov 09 16:10:10 UTC 2006  Martin Corino  <mcorino@remedy.nl>

        * ace/Service_Config.cpp:

          Reverted my earlier change of Nov 6 and additionally removed
          the ACE_Reactor::instance() call from the ACE_Service_Config
          CTOR since it seems to be unnecessary here.

Thu Nov  9 15:22:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/wrapper_macros.GNU:
          Default threads to 1 if not set, thanks to Chad for helping out
          with finding out why I had a problem in the rtems build

Thu Nov  9 12:46:54 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/config/acedefaults.mpb:
        * bin/MakeProjectCreator/config/taodefaults.mpb:

          Add automake specific section to subtract out $(ACE_ROOT)/lib
          from libpaths, as libraries are not copied to, or linked from,
          there in automake builds.  This removes unnecessary -L's from
          being added to *_LDFLAGS, sometimes eliminating the need for
          that automake variable altogether.

Thu Nov  9 10:48:52 UTC 2006  Olli Savia  <ops@iki.fi>

        * examples/IPC_SAP/DEV_SAP/reader/reader.cpp:
        * examples/IPC_SAP/DEV_SAP/writer/writer.cpp:
          Changed used baudrate to 19200. Extended reader example to handle
          timeout.

Thu Nov  9 10:50:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Timer_Heap_T.{h,cpp}:
          Changed the preallocated constructor from int to bool.

Thu Nov  9 09:25:48 UTC 2006  Olli Savia  <ops@iki.fi>

        * ace/TTY_IO.cpp:
          Removed LynxOS 3.x specific workaround.

Wed Nov  8 22:22:27 UTC 2006  Steve Huston  <shuston@riverace.com>

        * bin/make_release: Re-applied this:
          Sat Oct 28 20:10:42 UTC 2006  Steve Huston  <shuston@riverace.com>

Wed Nov  8 22:12:46 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/Service_Config.cpp:
        * ace/Service_Gestalt.cpp:

        This resolves a problem with shutting down the Service
        Configurator via the static ACE_Service_Config::close () method,
        where the registered services' fini() methods were not being
        called. For full details, see bugzilla# 2701. Thanks to Aaron
        Scamehorn <Aaron dot Scamehorn at cogcap dot com> for discovering
        it an providing a test case.

Wed Nov  8 19:21:17 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * bin/make_release:

          Updates to the release script to work with Subversion.

Mon Nov  6 16:07:43 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/SOCK_IO.h (ACE_SOCK_IO): Clarified the behavior of
          non-blocking I/O.  Thanks to Robert Neumann <robert dot neumann
          at gmail dot com> for motivating this change.

Tue Nov 08 15:40:10 UTC 2006  Martin Corino  <mcorino@remedy.nl>

        * ace/INET_Addr.inl:

          Enhanced operator <() to support IPv6 addresses as well.
          Thanks to Andre Kostur (akostur at incognito dot com) for
          submitting a patch for this.

Wed Nov  8 14:24:02 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Change ACE_LACKS_NET_IF_H feature test to #include <sys/types.h>
          (if present).

Wed Nov  8 13:45:07 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * examples/C++NPv2/C++NPv2.mpc:

          The AC_CLD project requires threads in order to build and run
          correctly.

Tue Nov 07 15:49:10 UTC 2006  Martin Corino  <mcorino@remedy.nl>

        * ace/OS_NS_netdb.inl:

          Changes to accomodate VxWorks 6.x versions of gethostbyname and
          gethostbyaddr. These are threadsafe as the x_r versions are but
          require deallocating the returned hostent structure.

Tue Nov  7 15:44:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Sock_Connect.cpp:
          With VxWorks 6.3 in rtp mode with IPv6 enabled declare the
          in6addr_ constants explicitly, these are exported by the
          VxWorks 6.3 rtp header files but not implemented

Tue Nov 07 13:31:10 UTC 2006  Martin Corino  <mcorino@remedy.nl>

        * include/makeinclude/platform_vxworks6.3.GNU:

          Fixed build settings for PPC32 builds with softfloat.

Tue Nov  7 10:38:25 UTC 2006  Simon McQueen  <sm@prismtech.com>

        * tests/Naming_Test.cpp:

          Moved an ::open out of an ACE_ASSERT. It wasn't getting performed on
          some builds.

Tue Nov  7 09:56:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Misc/basic_func.{h,cpp}:
          Renamed B to BB to resolve compile problems on rtems where we
          have also a typedef B

Tue Nov  7 07:52:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ACE.h:
          Also rtems defines log2, use the same workaround as with cygwin

        * include/makeinclude/platform_rtems.x_g++.GNU:
          Removed -ansi

Tue Nov  7 01:47:46 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Sock_Connect.cpp (count_interfaces):
          Another scoreboard fix.

Mon Nov  6 20:52:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/Gateway/Gateway/Config_Files.{h,cpp}:
        * apps/Gateway/Gateway/File_Parser.{h,cpp}:
        * apps/Gateway/Gateway/Gateway.cpp:
          Renamed class FP to FPRT. This resolves the compile errors on
          rtems where a struct FP does exist

Mon Nov  6 16:52:14 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Sock_Connect.cpp:
          My fix for Solaris x86 broke HPUX. The trouble is that the
          method ACE::count_interfaces() is only used by the "generic"
          implementation of get_ip_interfaces(). Probably a better
          solution is to remove count_interfaces() and move its
          functionality into the get_ip_interfaces() implementation, but
          that is a bigger change than I care to make at the moment. I
          think it should be possible to do so in a way that also reduces
          the footprint and improves performance by eliminating the
          effectively duplicated code in count_interfaces().

Mon Nov 06 14:14:10 UTC 2006  Martin Corino  <mcorino@remedy.nl>

        * ace/config-vxworks6.3.h:

          Fixed incorrect definition of IOV_MAX.

Mon Nov  6 13:08:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-sunos5.5.h:
          Added ACE_HAS_GETRUSAGE, thanks to Michael Klein
          <michael dot klein at fazi dot de> for reporting that SunOS has
          this method, fixes bugzilla 2694.

Mon Nov  6 12:59:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Service_Configurator/Misc/main.cpp:
        * examples/Service_Configurator/Misc/Service_Configurator_Misc.mpc:
        * examples/Service_Configurator/Misc/svc.conf1
          Fixed shared library name, make working for embedded platforms.
          Thanks to Abdul Sowayan <abdullah dot sowayan at lmco dot com>
          for reporting this, fixes bugzilla bug 2698

Mon Nov 06 11:17:10 UTC 2006  Martin Corino  <mcorino@remedy.nl>

        * ace/Service_Config.cpp:

          Implemented a fix for runtime problems in case
          ACE_HAS_NONSTATIC_OBJECT_MANAGER is defined (seen on VxWorks 6.3 RTP).

Sun Nov  5 14:14:51 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Sock_Connect.cpp:
          Fix for Solaris x86.

Sat Nov  4 12:46:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-sunos4*.h:
          Removed these files, these are ancient and not supported anymore

Fri Nov  3 18:12:36 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * tests/Unload_libACE.cpp (main): Reverted the ACE_OS::exit() from
          this since it's not supposed to be an ACE test.  Thanks to Simon
          Massey for reporting this.

Fri Nov 03 15:52:10 UTC 2006  Martin Corino  <mcorino@remedy.nl>

        * bin/PerlACE/ProcessVX_Unix.pm:

          Bugfix in cmdline composition.

Fri Nov  3 15:15:43 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Sock_Connect.cpp:
          Scoreboard cleanup.

Fri Nov 03 10:54:10 UTC 2006  Martin Corino  <mcorino@remedy.nl>

        * ace/OS_NS_sys_time.inl:

          Fixed conversion warning on OpenVMS.

Fri Nov  3 00:39:04 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Sock_Connect.cpp:
          One more optimization, this one to combine the methods for
          evaluating the IPv6 or IPv4 enabled status.

Fri Nov  3 00:32:27 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Select_Reactor_Base.inl:
        * ace/Select_Reactor_Base.cpp:
          Additional optimization for finding and unbinding event
          handlers. The solution moves the test for handles in range into
          the top-level find and unbind methods to allow the fix for bug
          2653 to continue to work in unbind while avoiding a double check
          for handles in range during a find.

Thu Nov  2 20:33:55 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * tests/SOCK_Test_IPv6.cpp (spawn):
        * tests/Pipe_Test.cpp (run_main):
        * tests/SPIPE_Test.cpp (client):
        * tests/TkReactor_Test.cpp (run_main):
        * tests/MT_SOCK_Test.cpp (spawn):
        * tests/Process_Strategy_Test.cpp (run_main):
        * tests/Unload_libACE.cpp (main):
        * tests/SOCK_Test.cpp (spawn):
        * tests/Priority_Reactor_Test.cpp (run_main):
        * tests/SOCK_Dgram_Test.cpp (spawn):
        * tests/SOCK_SEQPACK_SCTP_Test.cpp (spawn_test):
        * examples/Map_Manager/test_hash_map_manager.cpp (ACE_TMAIN):
        * apps/mkcsregdb/mkcsregdb.cpp (fail): Replaced exit() with
          ACE_OS::exit().

Wed Nov 01 20:04:00 US Central Time 2006 Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * Bronson Royce Schmidt checked in at 7 pounds, 15 ounces and
          21.25 inches long.

Thu Nov  2 16:10:10 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Sock_Connect.cpp:
          Cleaned up debugging code left in my previous premature commit.

Thu Nov  2 15:42:29 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Sock_Connect.cpp:
        * ace/Sock_Connect.h:
          Added support for IPv6 detection on HPUX, AIX, Solaris, WinCE,
          and VxWorks 5.5.x.

Wed Nov 01 09:05:10 UTC 2006  Martin Corino  <mcorino@remedy.nl>

        * ace/OS_NS_stdlib.inl:

          Fixed conversion warnings in atop() on OpenVMS.

Wed Nov 01 08:35:10 UTC 2006  Martin Corino  <mcorino@remedy.nl>

        * ace/OS_NS_sys_stat.h:

          Fixed Borland compile failure over def of ACE_Stat.

Tue Oct 31 23:08:32 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/Dev_Poll_Reactor.h: Note that the Linux epoll code implementation
          is supported, but the /dev/poll implementation is still
          experimental.

Tue Oct 31 10:31:10 UTC 2006  Ossama Othman  <ossama_othman at symantec.com>

        * ace/OS_NS_sys_stat.h (ACE_WSTAT_FUNC_NAME):

          Corrected wstat() function name for Borland.

Mon Oct 30 19:57:20 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * bin/ciao_tests.lst:

          Added run_test.pl in CIAO/tests/IDL3/Events/Any to the list of
          CIAO tests to be run automatically.

Mon Oct 30 17:34:35 UTC 2006  Ossama Othman  <ossama_othman at symantec.com>

        * ace/config-win32-common.h:

          Use 64-bit file offsets by default in the WIN64 case, similar to
          what 64-bit UNIX systems do.

Mon Oct 30 17:23:15 UTC 2006  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/wrapper_macros.GNU: Added 2 new build options,
          dmalloc and mtrace. When specified at build time (e.g. make mtrace=1)
          the PLATFORM_DMALLOC_CPPFLAGS and/or PLATFORM_MTRACE_CPPFLAGS values
          are added to CPPFLAGS. For dmalloc, the PLATFORM_DMALLOC_LDFLAGS and
          PLATFORM_DMALLOC_LIBS are added to LDFLAGS and LIBS, respectively.
          Also added the ability to specify additional purify and quantify
          command-line options by setting PLATFORM_PURIFY_OPTIONS and
          PLATFORM_QUANTIFY_OPTIONS, respectively. Thank you to Howard
          Finer for supplying these additions.

Mon Oct 30 16:56:28 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          The implementation for the 'targetoutdir' template variable was
          incorrect.  Libraries and executables were not symbolically linked
          to the output location correctly.  Also, 'targetoutdir' was not
          taken into account for the 'libpaths' setting.

Mon Oct 30 15:30:47 UTC 2006  Simon McQueen  <sm@prismtech.com>

        * bin/tao_orb_tests.lst:

          Scheduled regression test for bug #2669.

Mon Oct 30 14:31:42 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Select_Reactor_Base.inl:
          Reverting the functional part of my previous commit until I
          learn the correct way to manage the upper bound test portably.

        * bin/tao_orb_tests.lst:
          Make the Bug 2654 test be ignored for minimum CORBA builds.

Mon Oct 30 12:18:03 UTC 2006 Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Select_Reactor_Base.inl (unbind):
          Added an additional validity check and a comment to ward off
          future optimizations.

Mon Oct 30 09:24:42 UTC 2006  Ossama Othman  <ossama_othman at symantec.com>

        * ace/OS_NS_sys_stat.h (ACE_stat):
        * ace/OS_NS_sys_stat.inl (stat, wstat):

          Only use Windows 64-bit stat structures and functions when
          _FILE_OFFSET_BITS=64 is defined.  Addresses 64-bit conversion
          warnings.

Sun Oct 30 05:31:01 UTC 2006  Ossama Othman  <ossama_othman at symantec.com>

        * ace/Auto_Ptr.h (ACE_auto_ptr_reset):

          Adjusted function template arguments to handle case where the
          auto_ptr element type and pointer type passed to this function
          are not the same.  Addresses argument deduction failures.

        * ace/FILE.h (ACE_FILE):

          64-bit file offset fixes.  s/off_t/ACE_OFF_T.

        * ace/Truncate.h (Truncator):

          Added explicit specializations for int and long for Borland.
          Relying on ACE_{U}INT32 specializations is not sufficient.

        * tests/CDR_File_Test.cpp (run_test):

          A 64-bit file offset is not always enabled.  Corrected offset
          type.  s/ACE_LOFF_T/ACE_OFF_T.

Sun Oct 29 17:10:39 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * bin/tao_orb_tests.lst:
          Added Bug 2654 regression test to suite.

Sat Oct 28 20:50:56 UTC 2006  Steve Huston  <shuston@riverace.com>

        * examples/Threads/thread_specific.cpp: Need to reinterpret_cast a
          pointer back to an intptr_t.

Sat Oct 28 20:10:42 UTC 2006  Steve Huston  <shuston@riverace.com>

        * bin/make_release: Added Smartphone configurations to the WinCE
          project files generated at release time.

Sat Oct 28 13:50:01 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Select_Reactor_Base.cpp:

          Fix to address Win32-specific problems in bug 2653 fix.

Sat Oct 28 01:48:27 UTC 2006  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/wrapper_macros.GNU: Add -L$(INSLIB) to LDFLAGS
          if it was not there already. Allows link to work when built libraries
          are moved to locations other than the default $(ACE_ROOT)/lib
          location.

Fri Oct 28 03:23:18 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * apps/JAWS2/JAWS/FILE.cpp:
        * apps/JAWS2/JAWS/FILE.h:
        * apps/JAWS2/JAWS/IO.cpp:
        * apps/JAWS3/jaws3/FILE.cpp:
        * apps/JAWS3/jaws3/FILE.h:
        * examples/Threads/thread_manager.cpp:
        * examples/Threads/cancel.cpp:
        * examples/Threads/thread_specific.cpp:
        * examples/C++NPv1/Process_Per_Connection_Logging_Server.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/Benchmark_Performance.cpp
          Addressed 64-bit conversion warnings.

Fri Oct 28 02:49:11 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * examples/APG/Shared_Memory/Mem_Map.cpp:
        * examples/Mem_Map/file-reverse/file-reverse.cpp:
        * examples/Web_Crawler/Mem_Map_Stream.cpp:

          Addressed 64-bit conversion warnings.

Fri Oct 27 21:41:25 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * THANKS:
        * ace/Select_Reactor_Base.inl:
        * ace/Select_Reactor_Base.cpp:
        * ace/TP_Reactor.inl:
        * ace/TP_Reactor.cpp:
        * tests/run_test.lst:

          The fix for bug 2653. Thanks to Scott Mitchell <rsm at progress
          dot com> and Chris Reed <cr at progress dot com> for the
          considerable effort they put in helping to isolate this problem.

Fri Oct 27 21:28:36 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/Bug_2653_Regression_Test.cpp:
        * tests/tests.mpc:

          Added a new regression test. Without the accompaning fix, the
          test coredump. If you comment out the call to test_for_crash,
          the test will spin madly for 5 seconds, then abort. With the
          pending fix to the TP reactor, the test has no errors.

Fri Oct 27 19:48:23 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Filecache.cpp (ACE_Filecache_Object):

          Cast -1 to size_t.  Ugly (and works), but currently necessary.
          Addresses "passing negative value" warnings.

Fri Oct 27 19:28:16 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/OS_NS_stdio.inl (flock_adjust_params):
        * ace/OS_NS_sys_stat.inl (filesize):

          Fixed comparison of signed/unsigned warnings.

Fri Oct 27 09:25:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Configuration_Import_Export.cpp:
          Explicitly initialise pointer to 0 to silence warning in
          gcc cygwi build

Fri Oct 27 01:58:09 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        From Russell Mora <russell_mora at symantec dot com>
        * ace/ACE.cpp:
        * ace/ACE.h:
        * ace/FILE.cpp:
        * ace/File_Lock.h:
        * ace/File_Lock.inl:
        * ace/Filecache.cpp:
        * ace/Filecache.h:
        * ace/Local_Memory_Pool.cpp:
        * ace/MEM_Acceptor.h:
        * ace/MEM_Acceptor.inl:
        * ace/MEM_IO.cpp:
        * ace/MEM_IO.inl:
        * ace/MEM_IO.h:
        * ace/MMAP_Memory_Pool.cpp:
        * ace/MMAP_Memory_Pool.h:
        * ace/Mem_Map.cpp:
        * ace/Mem_Map.h:
        * ace/Mem_Map.inl:
        * ace/OS_NS_macros.h:
        * ace/OS_NS_stdio.cpp:
        * ace/OS_NS_stdio.inl:
        * ace/OS_NS_stdio.h:
        * ace/OS_NS_sys_mman.h:
        * ace/OS_NS_sys_mman.inl:
        * ace/OS_NS_sys_stat.h:
        * ace/OS_NS_sys_stat.inl:
        * ace/OS_NS_unistd.cpp:
        * ace/OS_NS_unistd.inl:
        * ace/OS_NS_unistd.h:
        * ace/Pagefile_Memory_Pool.inl:
        * ace/Shared_Memory_MM.cpp:
        * ace/Shared_Memory_MM.h:
        * ace/Shared_Memory_MM.inl:
        * ace/Shared_Memory_Pool.cpp:
        * ace/Shared_Memory_Pool.h:
        * ace/os_include/sys/os_types.h:
        * ace/os_include/sys/os_stat.h:
        * ace/os_include/os_unistd.h:
        * examples/Web_Crawler/Iterators.cpp:
        * examples/Web_Crawler/Mem_Map_Stream.cpp:
        * examples/Web_Crawler/Mem_Map_Stream.h:
        * examples/IPC_SAP/FILE_SAP/client.cpp:

          Added support for 64-bit file offsets on 32-bit platforms that
          support the _FILE_OFFSET_BITS preprocessor symbol, as well as
          Windows.  Enable by defining the _FILE_OFFSET_BITS=64
          preprocessor symbol.  ACE provides the necessary support on
          Windows when it is defined with the assistance of a new
          ACE_OFF_T typedef.

Thu Oct 26 24:44:55 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Truncate.h (Truncator):

          Removed ACE_Export macros in the Borland case.  They shouldn't
          be necessary.

Thu Oct 26 14:05:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          Added orbsvcs/tests/Event/UDP test which tests the rtec
          udp federation

Thu Oct 26 11:19:45 UTC 2006  Olli Savia  <ops@iki.fi>

        * ace/config-lynxos.h:
          Added include "ace/config-posix.h" and removed defines
          that are already defined by config-posix.h.

Thu Oct 26 10:29:49 UTC 2006  Olli Savia  <ops@iki.fi>

        * ace/config-posix.h:
          Removed duplicate check of _POSIX_MESSAGE_PASSING.

Thu Oct 26 07:48:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Truncate.h:

          Added partial specialization for when types are the same, fixes
          compile problems in the ACE lib with Borland

Thu Oct 26 07:01:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-vxworks5.x.h:
          Added ACE_LACKS_INTPTR_T, VxWorks 5.5.x seems not to deliver this
          type

Thu Oct 26 00:31:56 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Auto_Ptr.h:

          Added missing "element_type" typedef.

          (ACE_auto_ptr_reset):

          Introduced this new function template to simplify the
          ACE_AUTO_PTR_RESET macro implementation, to support
          ACE's other auto_ptr-like class templates
          (e.g. ACE_Auto_Array_Ptr<>), and to make auto_ptr
          reset() operations convenient and easy for those needing the
          ACE_AUTO_PTR_RESET functionality to.  Users now need only
          perform a call like:

            ACE_auto_ptr_reset (my_auto_ptr_instance, new foo);

          Note that ACE_AUTO_PTR_RESET support for ACE's other
          auto_ptr-like classes isn't strictly necessary since they all
          support the reset() method.

          Addresses build failures on platforms that define
          ACE_LACKS_AUTO_PTR_RESET and in code that expects to use
          ACE_AUTO_PTR_RESET on ACE_Auto_{Basic_}_Array<> instances.

Wed Oct 25 22:42:03 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * tests/Integer_Truncate_Test.cpp:

          Remove "const" qualifiers from types used in
          ACE_Utils::Truncate<>() function template parameters that are
          deduced using argument dependent lookup.  Borland appears to get
          confused, and can't find the non-const template parameter
          Truncate<>() specializations.

Wed Oct 25 20:17:13 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Hash_Map_Manager_T.inl (ACE_Hash_Map_Iterator_Base_Ex):

          Removed commented ACE_TRACE macro entirely.  Fuzz parses
          commented out code, and still incorrectly reports an ACE_TRACE
          mismatch.

        * ace/Truncate.h:

          Yet another attempt at placating Borland C++.  Removed the
          partial specialization for truncating values of the same type.
          Typedefed the underlying Truncator structure template to further
          simplify the function call.

Wed Oct 25 18:31:47 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * examples/C++NPv1/Reactive_Logging_Server.h:
        * examples/IPC_SAP/SOCK_SAP/CPP-inclient.cpp:

          Include "ace/Basic_Types.h" to pull in intptr_t typedef.

Wed Oct 25 15:05:42 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_stdlib.inl (atop): s/intptr/intptr_t/ in ACE_WIN64 case.

Wed Oct 25 09:47:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/SOCK_Dgram.cpp:
          Fixed compile error in non win32 part

Wed Oct 25 09:24:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ace_for_tao.mpc:
          Added Rtems_init.c, for rtems without network support we
          also use the ace_for_tao base project

Wed Oct 25 08:38:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-rtems.h:
        * ace/OS_NS_netdb.inl:
          Added ACE_LACKS_GETHOSTBYADDR_R

Wed Oct 25 08:11:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-rtems.h:
        * ace/OS_NS_sys_socket.inl:
          Added ACE_LACKS_GETSOCKOPT, ACE_LACKS_RECV, ACE_LACKS_SEND,
          and ACE_LACKS_SENDTO

Wed Oct 25 08:04:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Priority_Buffer_Test.cpp:
          Fixed compile problem with gcc 2.96

Wed Oct 25 07:58:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-rtems.h:
        * ace/OS_NS_sys_socket.inl:
          Added ACE_LACKS_ACCEPT, ACE_LACKS_CONNECT, ACE_LACKS_GETPEERNAME,
          ACE_LACKS_GETSOCKNAME

Wed Oct 25 06:30:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/TTY_IO.cpp:
          Fixed compile error on Vxworks

Tue Oct 24 23:53:08 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/config-aix-4.x.h: Changed ACE_HAS_PTHREAD_CONTINUE to
          ACE_HAS_PTHREAD_CONTINUE_NP and ACE_HAS_PTHREAD_SUSPEND to
          ACE_HAS_PTHREAD_SUSPEND_NP. The non-_NP varieties return ENOTSUP;
          the _NP varieties are the only documented APIs through AIX 5.3.
          Thanks to Guy Peleg for raising this issue.

        * tests/Thread_Manager_Test.cpp: Altered the suspend/resume tests to
          only allow ENOTSUP as a legit result if the config.h file does not
          include ACE_HAS_... settings that indicate it should work.

Tue Oct 24 23:59:10 UTC 2006  Ossama othman  <ossama_othman at symantec dot com>

        * examples/Service_Configurator/IPC-tests/server/Handle_Timeout.inl
          (init):
        * examples/Shared_Malloc/test_position_independent_malloc.cpp
          (parse_args):

          Use intptr_t instead of int when casting to void*.  Addresses
          "sizes do not match" warnings in 64-bit Intel compiler builds.

Tue Oct 24 23:49:25 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Hash_Map_Manager_T.inl (ACE_Hash_Map_Iterator_Base_Ex):

          Commented out use of ACE_TRACE macro.  The regular expression in
          the bin/fuzz.pl script used to detect ACE_TRACE mismatch
          incorrectly identifies a mismatch the ACE_TRACE question.  Once
          the fuzz script is fixed, the ACE_TRACE can be uncommented.

Tue Oct 24 22:20:38 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Truncate.h:

          Rename truncate to trunc.  Yet another attempt at fixing Borland
          compiler brain damage.

Tue Oct 24 22:01:41 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/OS_NS_stdlib.inl (atop):

          Use intptr_t type to fix 64-bit conversion to void* warnings.

        * ace/Select_Reactor_Base.h (max_handlep1):
        * ace/Select_Reactor_Base.inl (max_handlep1):

          Changed return type to be ACE_HANDLE on UNIX platforms instead
          of size_t.  Addresses "loss of significant bits" warnings in
          64-bit Intel compiler builds.

        * ace/Select_Reactor_Base.cpp (dump):

          Corrected format specifiers for Windows configuration.

        * ace/Select_Reactor_T.cpp (work_pending):
          (wait_for_multiple_events):

          Removed unnecessary casts and corrected type of "width" variable
          that is passed to select().

        * tests/Map_Manager_Test.cpp (test_cache_map_manager):

          Fixed "might be used uninitialized" warning.

Tue Oct 24 17:46:40 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Truncate.h (Truncator):

          Export the Borland-specific specializations from the DLL.  This
          should address the "undefined symbol" link-time problem.

        * bin/MakeProjectCreator/config/acexml.mpb:

          Re-disabled ACEXML when ace_for_tao is enabled.  ACEXML needs
          the ACE_Configuration and memory map classes that are not found
          in the ace_for_tao subset.

Tue Oct 24 14:44:09 UTC 2006  Olli Savia  <ops@iki.fi>

        * ace/TTY_IO.cpp:

          Changed the default constructor to always initialise member
          variables regardless of ACE_HAS_TERMIOS or ACE_HAS_TERMIO setting.

Tue Oct 24 14:16:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ACE.cpp:
          Use some bools instead of int

        * ace/INET_Addr.cpp (set_port_number):
          Added check for ACE_LACKS_HTONS

        * ace/INET_Addr.inl (get_port_number):
          Added check for ACE_LACKS_NTOHS

Tue Oct 24 13:54:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/netinet/os_in.h:
        * ace/config-rtems.h:
          Added ACE_LACKS_IP_MREQ

        * ace/INET_Addr.cpp (get_port_number_from_name):
          Added ACE_LACKS_HTONS check

Tue Oct 24 13:27:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Reactor.h:
          Added an include of Time_Value.h, this is included implicitly
          but this implicit include is not there when using FOCUS with
          tp-reactor specialization

Tue Oct 24 13:09:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Sock_Connect.cpp:
        * ace/config-rtems.h:
          Added ACE_LACKS_GET_BCAST_ADDR

Tue Oct 24 13:00:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/os_socket.h:
        * ace/config-rtems.h:
          Added ACE_LACKS_SOCKADDR

Tue Oct 24 12:54:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/os_netdb.h:
        * ace/config-rtems.h:
          Added ACE_LACKS_HOSTENT

Tue Oct 24 12:09:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_arpa_inet.inl:
        * ace/config-rtems.h:
          Added ACE_LACKS_INET_ADDR and ACE_LACKS_INET_NTOA

Tue Oct 24 12:00:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/sys/os_socket.h:
          Define MSG_OOB when it is not defined

Tue Oct 24 11:17:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_sys_socket.inl:
        * ace/config-rtems.h:
          Added ACE_LACKS_SOCKET, ACE_LACKS_SHUTDOWN and ACE_LACKS_SETSOCKOPT

Tue Oct 24 11:08:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_sys_select.inl:
        * ace/config-rtems.h:
          Added ACE_LACKS_SELECT

Tue Oct 24 10:58:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/netinet/os_in.h:
        * ace/config-rtems.h:
          Added ACE_LACKS_IN_ADDR and ACE_LACKS_SOCKADDR_IN

Tue Oct 24 06:31:05 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Numeric_Limits.h (ACE_Numeric_Limits):

          Added missing "char" specialization for the
          ACE_LACKS_NUMERIC_LIMITS case.  The "signed char" and
          "unsigned char" specializations are not always suitable.

Tue Oct 24 04:04:26 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Hash_Map_Manager_T.h (lock_):

          Placed "mutable" keyword to beginning of declaration.  It is a
          storage class specifier, not a CV qualifier, and belongs at the
          beginning.  Addresses g++ warnings.

        * ace/Sock_Connect.cpp (get_fqdn):

          Addressed "might be used uninitialized warnings.

Mon Oct 23 02:28:42 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Array_Base.cpp:
        * ace/Array_Base.h:
        * ace/Array_Base.inl:

          Added STL-style traits, iterators and swap() method.

          (operator=):

          Improved exception-safety.

        * ace/Array_Map.h:
        * ace/config-lite.h:

          Moved reverse_iterator declarations to a new
          ACE_DECLARE_STL_REVERSE_ITERATORS so that other ACE containers
          may use them in a way that minimizes platform-specific
          declaration duplication.

        * ace/CDR_Stream.cpp (read_boolean_array):

          Addressed a Coverity CHECKED_RETURN error.  There's no need to
          check the return value of read_boolean() in this case.
          Explicitly cast the return value to "void".

          Addressed Coverity DEADCODE error.  No need to check for zero
          "cont" pointer since the ACE_NEW_RETURN() call that initializes
          it will return immediately.  "cont" cannot be zero if the latter
          call succeeds.

        * ace/CDR_Stream.inl (operator>>):

          Explicitly check return value of input stream read operations.
          Addressed a Coverity CHECKED_RETURN errors.

        * ace/Configuration.cpp (new_section):

          Fixed Coverity USE_AFTER_FREE error.  Memory was being accessed
          after it was freed.

        * ace/Configuration_Import_Export.cpp:

          Addressed Coverity RESOURCE_LEAK errors.

        * ace/Default_Constants.h (ACE_DEFAULT_CLOSE_ALL_HANDLES):

          This symbol represents a boolean value.  s/1/true.

        * ace/Dev_Poll_Reactor.cpp (bind):
        * ace/WFMO_Reactor.cpp (bind_i):

          Disallow binding of a nil event handler pointer to the
          repository.  It is deferenced later on this method.

        * ace/Hash_Map_Manager_T.h:
        * ace/Hash_Map_Manager_T.inl:

          Added STL-style traits and iterator accessors.

          (find):

          New method that returns an iterator as an "out" parameter.  An
          iterator return value could not be used due a conflict with an
          existing find() method.

          (unbind):

          New method that unbinds the value pointed to by the given
          iterator.

          (ACE_Hash_Map_Iterator_Base_Ex, ACE_Hash_Map_Iterator_Ex):

          New constructors that position the iterator at the given
          ACE_Hash_Map_Entry.

        * ace/Lib_Find.cpp (ldfind):

          Place parentheses around ternary operator "?:" conditional to
          address an operator precedence problem.  In this case, an
          expression such as "a + b ? 0 : 1" was used, which is equivalent
          to "(a + b) ? 0 : 1" instead of the desired "a + (b ? 0 : 1)".

          Changed local variable name from "got_suffix" to "has_suffix" to
          clarify how the variable is being used.

        * ace/OS_NS_Thread.inl (rw_unlock):

          Fixed potential deadlock in case where reference count is one.
          Addresses a Coverity DEADLOCK error.

        * ace/OS_NS_dirent.cpp (scandir_emulation):

          Fixed potential dereferencing of zero pointer reported by the
          Coverity FORWARD_NULL checker.

        * ace/OS_NS_fcntl.cpp (open):

          Return if SetFilePointer() call fails.  Addresses Coverity
          CHECKED_RETURN error.

          Added support for large files SetFilePointer() calls.  Thanks to
          Russell Mora for this fix.

        * ace/OS_NS_stdio.cpp (fopen):

          Fixed potential crash if null mode string is passed to this
          method.

        * ace/OS_NS_stdio.inl (fdopen):
        * ace/OS_NS_unistd.inl (isatty):

          No need to check for ACE_LACKS_INTPTR_T.  Just use intptr_t in
          all cases.  ACE now supplies this typedef if the platform
          doesn't.

        * ace/OS_TLI.h (t_bind):
        * ace/OS_TLI.inl (t_bind):

          Work around HP aCC 3.63 namespace scoping problem using typedef
          hack in use for other structures.

        * ace/Select_Reactor_Base.cpp:
        * ace/Select_Reactor_Base.h:
        * ace/Select_Reactor_Base.inl:

          Changed underlying event handler container from a simple array
          to an ACE_Hash_Map_Manager<> on Windows, and to an
          ACE_Array_Base<> on UNIX-like platforms.

          Use of an ACE_Hash_Map_Manager<> on Windows allows for faster
          event handler searches.

          Use of an ACE_Array_Base<> on UNIX-like platforms allows us to
          leverage advantages using a container (improved
          exception-safety, container interface, etc), while still
          retaining the direct file descriptor to event handler mapping at
          essentially no cost to footprint relative to the previous
          implementation.

          (bind):

          Disallow binding of a nil event handler pointer to the
          repository.  It is deferenced later on this method.  Addresses a
          potential crash.

        * ace/Service_Config.cpp (current):

          Simplified these methods.

          Removed global lock that was held when accessing TSS.  Only
          initialization of global implementation needs to synchronized
          with that lock.

          Removed redundant accesses to TSS.

        * ace/Service_Config.h:

          Removed stray semi-colon.

          (impl_):

          This method no longer needs to return the pointer by reference.

        * ace/Service_Repository.cpp:

          Changed loop index type so that it matches repository size type
          (an unsigned integer), and updated loop decrement to take into
          account the index type is now unsigned.

        * ace/Sock_Connect.h (ipv4_enabled):
        * ace/Sock_Connect.cpp (ipv4_enabled):

          New run-time check for existence IPv4 stack.  Some hosts only
          contain IPv6 stacks.

          From Sriram Chandramouli <sriram_chandramouli at symantec dot com>
          (get_fqdn):

          New method that retrieves fully qualified domain.  getaddrinfo()
          doesn't always provide the desired results.

        * ace/Svc_Conf.y (ace_get_module):
        * ace/Svc_Conf_y.cpp (ace_get_module):

          Simplified explicit casts.

          Prevent dereferencing of potentially null pointer.

        * ace/System_Time.cpp:
        * ace/System_Time.h:

          No need to include "ace/Malloc_T.h", "ace/MMAP_Memory_Pool.h"
          and "ace/Null_Mutex.h".  Forward declarations are sufficient.

          Use time_t type instead of ACE_UINT32 when returning times, such
          as those returned from ACE_OS::time().  Addresses lack of
          precision issues.

        * ace/Thread_Manager.cpp (wait):

          Addressed a Coverity CHECKED_RETURN error.  There's no need to
          check the return value of ACE_Thread::join() in this case.
          Explicitly cast the return value to "void".

        * ace/Time_Value.h (ACE_ONE_SECOND_IN_USECONDS):

          Made this constant type-safe.  It is now of type suseconds_t,
          instead of a preprocessor symbol definition.

        * ace/UUID.cpp (lock):

          Addressed USE_AFTER_FREE Coverity error.  Do not return a
          pointer to the previous lock.  It may have been destroyed.

        * ace/UUID.h (lock):

          Changed return type from "ACE_SYNCH_MUTEX*" to "void".  The
          interface/implementation does not provide a means to safely
          return the previous lock instance.

        * ace/ace_wchar.inl (convert):

          Corrected calculation of wide string length.

        * bin/MakeProjectCreator/config/acexml.mpb:

          No longer any need to explicitly disable ACEXML in the
          ace_for_tao configuration.

        * include/makeinclude/platform_irix6.x_sgic++.GNU:

          SGI 7.3.x compiler doesn't have the 3506 error code.  Do not
          attempt to supress it.

Mon Oct 23 22:24:01 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Unbounded_Queue.cpp (set):

          Explicitly initialize dummy value.  Addresses "use of
          uninitialized variable" g++ 4.1 warning when the variable is a
          POD type.

        * ace/ace_for_tao.mpc:

          Removed unnecessary semaphore related files.

          Added missing ace/Truncate.h header.

Mon Oct 23 21:44:32 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Truncate.h (Truncator):

          Borland doesn't appear to be able to grok the use of the
          function call operator in the ACE_Utils::Truncate<> function
          template.  Replaced the Truncator<>::operator() function call
          operator with a static Truncator<>::truncate() method instead.

Mon Oct 23 13:29:15 UTC 2006  Olli Savia  <ops@iki.fi>

        * ACE-INSTALL.html:
        * ace/Mem_Map.h:
        * ace/Mem_Map.inl:
        * ace/Mem_Map.cpp:
        * ace/OS_NS_Thread.inl:
        * ace/OS_NS_sys_mman.inl:
        * ace/Reverse_Lock_T.h:
        * ace/Task_Ex_T.h:
        * ace/Task_T.h:
        * ace/config-lynxos.h:
        * include/makeinclude/platform_lynxos.GNU:

          Removed LynxOS 3.x support.

Mon Oct 23 12:59:35 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * bin/generate_compile_stats.sh:

          Corrected a bug with my previous change.  If config.h or
          platform_macros.GNU were not present, the html would be incorrect.
          I also added default.features to the list of configuration files
          that are displayed.

Mon Oct 23 06:34:24 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/os_include/os_pthread.h: Changed

          #      if !defined (ACE_LACKS_RWLOCK_T)

          to

          #      if !defined (ACE_LACKS_RWLOCK_T) && !defined (ACE_HAS_PTHREADS_UNIX98_EXT)

          to stop a compile error on Solaris after SunOS 5.8.  Thanks to
          Boris Kaminer <boris dot kaminer at gmail dot com> for reporting
          this fix.

Sun Oct 23 00:29:55 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Truncate.h:

          In the Borland-specific workaround, explicitly cast return value
          of ACE_Numeric_Limits::max() of the smaller unsigned type to the
          unsigned larger type to which it is being compared.  Addresses
          non-intuitive "comparison of signed and unsigned types" warning
          issued by Borland compiler.  Borland promotes unsigned char to
          int, instead of unsigned int, when comparing to unsigned int.
          This implicit type promotion behavior complies with the C++
          standard, but is a bit awkward nonetheless (IMHO :)).  Thanks to
          Johnny for pointing out Borland's explanation of the
          non-intuitive warning.

Sun Oct 22 08:11:25 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Token_Request_Reply.inl (token_name):

          Simplified use of ACE_Utils::Truncate<> function template.  Only
          the "TO" type must be explicitly specified.  The "FROM" type is
          deduced automatically by the compiler.  Note that explicitly
          specifying both template parameters is perfectly valid, too.

        * ace/Truncate.h (Truncator):

          Added char/int specializations for Borland to allow the
          Integer_Truncate_Test to compile.  All of the Borland-specific
          Truncator specializations are meant to be a temporary workaround
          until Borland C++ is capable of supporting the generalized
          implementation.

Sat Oct 21 14:49:21 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/TSS_T.{h cpp}: Added "volatile" keyword to once_ member
          since it can be changed by other threads. Removed the lock
          acquiring from the ts_object() methods - after once_ is checked,
          there are no further needs for locks. When needed, the key_ is
          set up by ts_init() which does acquire a lock. This avoids a lock
          acquire/release cycle on all calls when initialization of the
          ACE_TSS object is not required, speeding up performance. Thanks to
          Guy Peleg <guy dot peleg at amdocs dot com> for reporting this and
          to Russell Mora <russell_mora at symantec dot com> for assisting in
          analyzing the situation and recommending the particular fixes.

        * ace/Logging_Strategy.h: Minor doxygen improvements.

        * ace/Sock_Connect.cpp: When checking for IPv6 interfaces on Windows,
          there's two conditionally compiled blocks of code. One block was
          built if ACE_HAS_IPV6 SIO_ADDRESS_LIST_QUERY are both defined; the
          other was built if ACE_HAS_IPV6 is defined. Added the check for
          SIO_ADDRESS_LIST_QUERY to the second case as well since it makes
          no sense to run it if the first isn't built. Thanks to Andre
          Kostur for this fix. Also see:
          Mon Oct 16 14:24:25 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/Task_T.h (reply): Clarified what happens on a reply(). Thanks
          to Doug Schmidt for explaining the rationale for this.

        * ace/Token_Request_Reply.inl (token_name): VC7.1 had trouble grokking
          the ACE_Utils::Truncate arguments in this case, so add the types
          to a more complete specification of what template is desired.

Sat Oct 21 15:19:46 UTC 2006  Steve Huston  <shuston@riverace.com>

        * configure.ac: Removed the check for LINUX_VERSION that disabled
          the check for epoll on Linux. Just let the check run - the macros
          used checked the kernel/C version used to build the kernel instead
          of the running kernel itself (I think...). In any event, the
          use of the macros to disable the check prevented the check from
          running on systems (such as RHEL 4) that do have epoll. Thank you
          to Brian Campbell <becampbel at hotmail dot com> for researching
          this area.

Sat Oct 21 10:48:12 UTC 2006  Martin Corino  <mcorino@remedy.nl>

        * bin/PerlACE/RunTest.pm:
        * bin/PerlACE/ProcessVX.pm:
        * bin/PerlACE/ProcessVX_Unix.pm:

          Changes to accomodate running autotests for VxWorks RTPs on
          Linux hosts.

Sat Oct 21 04:34:33 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/OS_NS_stdlib.cpp:

          Always include "ace/Numeric_Limits.h" in the ACE_LACKS_MKSTEMP
          case.  There is no need to conditionally include it when "max"
          is undefined.  Addresses VxWorks build errors.

        * ace/Truncate.h:

          Only use workaround for Borland compiler versions less than or
          equal to 0x582.  Thanks to Johnny for the suggestion.

        * tests/Integer_Truncate_Test.cpp (sizeof_from_lt_sizeof_to):

          Explicitly cast types in inequality comparison to silence
          comparison of signed and unsigned warnings.  It's not clear why
          the warning is occuring since both types are unsigned.

          Removed remaining set of redundant parentheses that were
          missed in a previous commit.

Fri Oct 20 12:55:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Service_Manger.{h,cpp}:
          Changed debug_ member to a real bool

Fri Oct 20 12:40:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_sys_socket.inl (bind):
        * ace/config-rtems.h:
          Added ACE_LACKS_BIND

        * ace/Basic_Types.h:
          Fixed compile problems with BCB6

Fri Oct 20 12:05:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Log_Record.inl:
          Added check for ACE_LACKS_NTOHL and ACE_LACKS_HTONL

        * ace/config-rtems.h:
          Added ACE_LACKS_NTOHL and ACE_LACKS_HTONL when no networking
          is available

Fri Oct 20 09:56:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/INET_Addr.h:
          Small change to improve doxygen documentation

        * ace/OS_NS_sys_socket.inl (listen):
          Added ACE_LACKS_LISTEN

        * ace/config-rtems.h:
          Added ACE_LACKS_LISTEN

Fri Oct 20 09:36:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/ciao_nodeapplicationmanager.mpb:
        * bin/MakeProjectCreator/config/ciao_nodemanager_stub.mpb:
        * bin/MakeProjectCreator/config/ciao_targetmanager_stub.mpb:
          New base projects

        * bin/MakeProjectCreator/config/ciao_static_dnc_app.mpb:
          Use the new base projects above

          Thanks to Abdul Sowayan <abdullah dot sowayan at lmco dot com>
          for delivering these files

Fri Oct 20 09:00:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/sys/os_socket.h:
          Defined AF_UNSPEC and PF_UNSPEC when these are not defined by the
          OS header files.

Fri Oct 20 08:55:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/sys/os_uio.h:
          When INADDR_ANY is not defined, then define it, we need it in several
          of the ACE header files

Fri Oct 20 08:44:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/sys/os_uio.h:
          We define iovec when ACE_WIN32 was defined, changed this to a new
          define, ACE_LACKS_IOVEC to make it easier to use with other platforms

        * ace/config-win32-common.h:
          Added ACE_LACKS_IOVEC

        * ace/config-rtems.h:
          When no networking has been configured, also define ACE_LACKS_IOVEC

Thu Oct 19 22:28:59 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * contrib/minizip/iowin32.c
        * contrib/minizip/iowin32.h
          Removed these files.

Thu Oct 19 23:20:26 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * examples/IPC_SAP/SOCK_SAP/CPP-inserver.cpp:
        * examples/IPC_SAP/SOCK_SAP/CPP-inclient.cpp:
        * examples/C++NPv1/Reactive_Logging_Server.h:

          Fixed integer/void* conversion related warnings by using
          the "intptr_t" type instead of "int" or "long".

Thu Oct 19 22:58:02 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Truncate.h:

          Borland compilers currently cannot handle the template
          meta-programming in this header.  Work around the limitation by
          explicitly specializing the ACE_Utils::Truncator<> structure
          template for a select few 32- and 64-bit integers.  More will be
          added as needed.

Thu Oct 19 17:25:16 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * tests/Integer_Truncate_Test.cpp:

          Removed redundant parentheses.

Thu Oct 19 15:25:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/generate_rel_manpages:
          Updated doxygen version

        * bin/MakeProjectCreator/templates/gnu.mpb:
          Removed kylix support

Thu Oct 19 13:19:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_main.h:
          Added main for rtems

Thu Oct 19 11:48:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Rtems_init.c:
          Fixed empty translation unit warnings

Thu Oct 19 08:27:12 UTC 2006  Martin Corino  <mcorino@remedy.nl>

        * include/makeinclude/platform_openvms.GNU:
          Small change to create hardlinks for produced executables.

Wed Oct 18 16:19:38 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * contrib/minizip/minizip.suo
        * contrib/minizip/miniziplibrarycode.suo
          Removed these files.

Wed Oct 18 13:52:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_rtems.x_g++.GNU:
          Major cleanup of old stuff and always define ACE_HAS_RTEMS

        * etc/rtems_init.c:
        * ace/rtems_init.c:
          Another move, for rtems we require some functions to always
          be available, this defines our network settings and much more.
          Because we always build static, we moved this to the ACE lib,
          on rtems we define ACE_HAS_RTEMS and then compile the contents
          of this file. This way the functions in this file are available
          in any executable we link

        * ace/OS.h:
        * ace/os_include/os_signal.h:
        * ace/os_include/sys/os_types.h:
        * ace/OS_NS_stdio.h:
        * ace/OS_NS_time.inl:
          Replaced __rtems__ with ACE_HAS_RTEMS

        * ace/ace.mpc:
          Added rtems_init.c

Wed Oct 18 13:01:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeincludes/rules.bin.GNU:
        * include/makeincludes/rules.lib.GNU:
        * include/makeincludes/wrapper_macros.GNU:
        * include/makeincludes/platform_linux_borland.GNU:
          Removed kylix support

Wed Oct 18 10:05:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/Gateway/Gateway/File_Parser.cpp:
          Removed egcs workaround

Wed Oct 18 08:07:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/rtems_init.c:
        * etc/rtems_init.c:
          Moved from tests to etc

Tue Oct 18 06:27:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/Misc/test_signals_1.cpp:
        * performance-tests/Misc/context_switch_time.cpp:
          Renamed the global count variables to another name. These triggered
          a bug in the VxWorks 5.5.2 compiler which we reported to windriver.
          By renaming these we will get an error free compilation.

Tue Oct 18 06:02:28 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Basic_Types.h (intptr_t, uintptr_t):

          Provided suitable typedefs for these standard types when
          ACE_LACKS_INTPTR_T is defined.

        * ace/Event_Handler.cpp (~ACE_Event_Handler_var):

          Only use an ACE_Errno_Guard if the underlying ACE_Event_Handler
          pointer is non-zero.  Saves a TSS access in the zero
          ACE_Event_Handler pointer case.

          (operator=):

          Made strongly exception safe.

        * ace/FILE_IO.cpp (send, recv):
        * ace/Message_Queue.cpp (enqueue, dequeue):
        * ace/Message_Queue_T.cpp:
        * ace/OS_NS_unistd.inl (hostname):

          Explicitly supply the "int" "TO" type to the
          ACE_Utils::Truncate<> function template.  It must now be
          explicitly specified since ACE_Utils::Truncate<> now supports
          truncation to all integer types, not just "int".

        * ace/Global_Macros.h (ACE_STATIC_CONSTANT):

          New macro for in-class static integral constant initialization
          that works around compilers that don't like such initialization.
          In-class integral constants in this case are meant to be
          compile-time constants so that they may be used as template
          arguments, for example.  BOOST provides a similar macro.

        * ace/OS_NS_stdlib.inl (atop):
        * ace/OS_NS_stdio.cpp (fopen):

          Removed ACE_LACKS_INTPTR_T check.  It is no longer needed.

        * ace/Truncate.h:

          Generalized the ACE_Utils::Truncate<> function template
          implementation for all integer types.

        * tests/run_test.lst:
        * tests/tests.mpc:

          Added new "Integer_Truncate_Test" test that verifies the
          ACE_Utils::Truncate<> function template works for all type
          size/sign scenarios.

Tue Oct 17 21:28:11 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/Service_Gestalt.cpp (parse_args_i):

          Checking for no arguments was missed inadvertently in the
          original change-set from "Tue Oct 17 16:27:27 UTC 2006 ..."

Tue Oct 17 21:09:36 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * contrib/minizip/ChangeLogUnzip
        * contrib/minizip/crypt.h
        * contrib/minizip/ioapi.c
        * contrib/minizip/ioapi.h
        * contrib/minizip/iowin32.c
        * contrib/minizip/iowin32.h
        * contrib/minizip/miniunz.c
        * contrib/minizip/minizip.c
        * contrib/minizip/minizip.mpc
        * contrib/minizip/minizip_export.h
        * contrib/minizip/mztools.c
        * contrib/minizip/mztools.h
        * contrib/minizip/unzip.c
        * contrib/minizip/unzip.h
        * contrib/minizip/zip.c
        * contrib/minizip/zip.h
          Added the minizip project. Thanks to Krishnakumar Balasubramanian
          <kitty at dre dot vanderbilt dot edu> for providing this.

Tue Oct 17 17:17:36 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/OS_NS_unistd.inl (truncate): SetFilePointerEx() returns a
          BOOL not a DWORD (unlike SetFilePointer()..).  Thanks to Boris
          Kaminer <boris dot kaminer at gmail dot com> for reporting this.

Tue Oct 17 16:27:27 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/DLL_Manager.cpp:
        * ace/Parse_Node.cpp:

          Updated logging messages.

        * ace/Service_Gestalt.cpp:

          Updated logging messages to exclude the "e-word" causing false
          positives in the Service_Config_Test. Updated comments.

Tue Oct 17 12:35:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/soreduce/Library.cpp:
          taoversion is not a valid base project. Thanks to Manuel Traut
          <manut dot de at googlemail dot com> for reporting this.

Tue Oct 17 12:09:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Updated supported platforms by Remedy IT. New are VxWorks 5.5.2,
          OpenVMS 8.3, RTEMS and LynxOS.

Tue Oct 17 12:05:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-rtems.h:
          Cleanup

        * include/makeinclude/plaform_rtems.x_g++.GNU:
          Improved for rtems 4.6.6

Tue Oct 17 07:03:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-rtems.h:
        * ace/OS_NS_unistd.inl:
          Added support for ACE_LACKS_FDOPEN

Mon Oct 16 21:29:57 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * THANKS: Updated Chris Reed's entry in the list.

Mon Oct 16 20:04:59 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

          This change fixes bug#2612. See the description for the gory
          details. In a nutshell, the problem is caused by the fact that
          static services, loaded from a DLL, as part of a dynamic service
          initialization can not be safely finalized when the dynamic
          service's DLL gets unloaded. This was historically handled by
          simply not unloading DLLs, and by finalizing all services at
          process exit. With the introduction of the local configurations
          feature, this changed.

          The finalization order was supposed to be guaranteed by the
          ordering of the services in the repository. It really was a
          kludge, because when dynamically loading and removing services
          the order can change.  Then whenever the process tries to clean
          up, the dynamic service's DLL can be unloaded (because it gets
          finalized first), and the static services' destructor code would
          become inaccessible. The situation results in a SEGV at exit().

        * ace/DLL.h:
        * ace/DLL.cpp:

          Made assignment operator return a non-const reference to make it
          well-formed. See C++ Standard, section "[special]".

        * ace/DLL_Manager.cpp:
        * ace/Dynamic_Service_Base.cpp (instance):
        * ace/Parse_Node.cpp:

          Fixed formatting and logging

        * ace/Service_Config.cpp (parse_args_i):

          Fixing a bug related to parsing the command line options that
          take arguments. Thanks to Aaron Scamehorn <Aaron dot Scamehorn
          at cogcap dot com> for reporting it.

        * ace/Service_Gestalt.cpp:

          Added ACE_Service_Dynamic_Guard (formerly
          ACE_Service_Type_Forward_Declaration_Guard) which helps to
          resolve an issue with hybrid services, i.e. dynamic services,
          accompanied by static services in the same DLL.  Only automatic
          instances of SDG are supposed to exist. Those are created during
          (dynamic) service initialization and serve to:

          (a) Ensure the service we are loading is ordered last in the
          repository, following any other services it may cause to
          register, as part of its own registration. This is a common case
          when loading dynamic services from DLLs - there are often static
          initializers, which register static services.

          (b) The SDG instance destructor detects if the dynamic service
          initialized successfully and "fixes-up" all the newly registered
          static services, so that each holds a reference to the DLL, from
          which they have originated.

          Updated comments and formatting.

        * ace/Service_Object.h (dll):
        * ace/Service_Object.inl (dll):

          Added void dll (const ACE_DLL&) to make it possible to
          "relocate" services registered through static initializers found
          in DLL's code segment(s).

        * ace/Service_Object.cpp (fini):

          Modified ACE_Service_Type::fini() to ensure the DLL associated
          with the service is properly closed. This in conjunction with
          the gestalt changes above, makes it possible to safely and
          completely unload a service.

        * ace/Service_Repository.h:
        * ace/Service_Repository.cpp (remove_i,relocate_i,relocate):

          Added relocate(), which allows association of a (static) service
          objects with a DLL. Per changes to ACE_Service_Gestalt,
          above. Added a counterpart private relocate_i(), which does not
          obtain locks.

        * tests/Service_Config_Test.cpp:

          Added a test that combines more than one argument-taking command
          line option to guard against regression for the bug fixed in
          ACE_Service_Config::parse_args_i (see above).

Mon Oct 16 19:20:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-rtems.h:
          Updated with more changes needed for rtems

        * ace/os_include/os_signal.h:
          Added specific defines for rtems

        * ace/OS_NS_time.cpp (difftime):
          Removed not used variable and get gmtime/gmtime_r from the
          global scope

        * ace/OS_NS_string.{h,cpp,inl}:
          Added ACE_LACKS_STRTOK_R to make the rtems port easier

Mon Oct 16 14:24:25 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_netdb.{cpp inl} (gethostbyname[_r], gethostbyaddr[_r]):
          Check the specified string (name or addr) for unspecified or of
          0 length and return 0 if so - bypasses a system call and a possible
          memory leak. Thanks to Howard Finer <hfiner at sonusnet dot com>
          for these fixes.

        * ace/Sock_Connect.cpp (get_ip_interfaces): Don't report an error if
          we can't find IPv6 addresses. It may be on a system with ACE_HAS_IPV6
          support compiled but IPv6 not configured/enabled. Thanks to Andre
          Kostur <akostur at incognito dot com> for reporting this.

        * ace/WFMO_Reactor.cpp (ok_to_wait): In the ACE_HAS_WINCE block,
          change fwaitAll arg from TRUE to FALSE - it must be FALSE on
          WinCE (thru WinMobile 5) per MSDN. Thanks to Drew Reynaud
          <drewreynaud at hotmail dot com> for this fix.

        * THANKS: Added Drew Reynaud to the Hall of Fame.

Mon Oct 16 14:21:48 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * bin/generate_compile_stats.sh:

          I accidentally deleted a letter in my previous commit.

Mon Oct 16 14:02:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-rtems.h:
          Added first set of missing defines

        * ace/os_include/sys/os_select.h:
        * ace/os_include/sys/os_uio.h:
          Removed rtems specific part, not needed anymore

        * ace/os_include/sys/os_types.h:
          Added rtems check

        * include/makeinclude/plaform_rtems.x_g++.GNU:
          Updated

Mon Oct 16 13:47:25 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:

          Use the create_command_line_string() method instead of printing
          the command line directly.  This opens the door for disabling this
          functionality.

Mon Oct 16 12:18:14 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * ace/OS_NS_Thread.inl:
        * ace/os_include/os_semaphore.h:

          The feature that I put in for Gottwald Port on Mon Mar  6 18:25:41
          UTC 2006 causes a performance overhead for semaphores where
          ACE_HAS_POSIX_SEM is defined (SunOS, HP-UX, MacOS X, etc.).  For
          those that are not interested in timed semaphores, this feature
          provides nothing and is detemental to performance.  Now, this
          feature is disabled by default and must be manually enabled by
          defining the ACE_HAS_POSIX_SEM_TIMEOUT_EMULATION macro.

Mon Oct 16 12:06:10 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * bin/generate_compile_stats.sh:

          Added some changes to make this script usable for software other
          than ACE+TAO+CIAO.

          - Enhanced the usage message.
          - Fixed minor HTML errors.
          - Added options to set the base root directory and software title.

Mon Oct 16 11:53:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/IOStream/client/IOStream_Client.mpc:
        * examples/IOStream/server/IOStream_Server.mpc:
          Added exename so that we create an exe, not a dll

        * examples/IOStream/client/.cvsignore:
        * examples/IOStream/server/.cvsignore:
          Removed duplicate lines

        * examples/IOStream/server/iostream_server.cpp:
          Added needed include for building with VxWorks 5.5.2

Mon Oct 16 08:33:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/ciao_static_dnc_app.mpb:
          New base project for static dnc.
          Thanks to Abdul Sowayan <abdullah dot sowayan at lmco dot com>
          for creating this file

Sun Oct 15 23:22:52 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * bin/tao_orb_tests.lst:
          Added Bug_2683_Regression to the test suite.

Fri Oct 13 18:26:19 UTC 2006  Andy Stafford  <ajs3@cec.wustl.edu>

        * include/makeinclude/wrapper_macros.GNU:

          Added 'lksctp' as recognized option to sctp documentation.

Fri Oct 13 18:13:00 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * bin/cle.pl (getDefaultDomain):

          Fixed a bug where extra text would be part of the domain name when
          the /etc/hosts file contains an alias after the fully qualified
          host name.

Fri Oct 13 12:32:35 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * bin/PerlACE/Process_Unix.pm:

          Added support for remote testing on UNIX only.  Currently, ssh or
          rsh is used to run an executable on the remote machine.  The
          remote test capability is only enabled if the RemoteInformation
          method is called on the PerlACE::Process object.  For more
          details, see the RemoteInformation method in this module.

Fri Oct 13 10:25:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/soreduce/Library.cpp:
          aceversion is not a valid base project. Thanks to Manuel Traut
          <manut dot de at googlemail dot com> for reporting this.

Thu Oct 12 16:44:34 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Log_Record.cpp (operator<<): Zapped the nonconst_record and
          const_cast since this is no longer needed as per the following
          change:

         Sun Aug 12 00:34:42 2001  Steve Huston  <shuston@riverace.com>
         * ace/Log_Record.h:
         * ace/Log_Record.i (msg_data()): Changed ACE_TCHAR *msg_data()
           to:  const ACE_TCHAR *msg_data (void) const. Makes it safer,
           and conforms to all current usage inside ACE. Also makes
           C++ Network Programming examples simpler :-)

          Thanks to Abdul Sowayan <abdullah dot sowayan at lmco dot com>
          for reporting this.

Thu Oct 12 15:45:24 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          If a custom definition has an 'output_option' set, the order of
          listing the input file changes such that it is listed before the
          output_option setting in the build rule.

        * bin/auto_run_tests.pl:

          Added a new option, -l, which can be used to specify an arbitrary
          list of tests.

Thu Oct 12 12:20:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Svc_Conf.h:
          Fixed incorrect placed ACE_BEGIN_VERSIONED_NAMESPACE_DECL macro.
          Thanks to Alexander Libman <alexander dot libman at earthlink dot net>
          for reporting this

Wed Oct 11 15:24:04 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/Log_Record.{h inl cpp}: Removed the set_msg_data_ptr()
          method - it opens the possibility of putting a buffer in place
          that can't be freed properly. All of the memory allocating and
          deleting should be done internally to this class. The removed
          method was only used internally.
          Added a private msg_data_size_ member that keeps the allocated size
          of msg_data_ in ACE_TCHARs (not bytes) to tell if the buffer needs
          to be resized. Comparing to the string length is incorrect - it
          causes buffer reallocating whenever a short logged message is
          followed by a longer one, even if both are much shorter than the
          allocated length of msg_data_. When a ctor allocates a msg_data_
          area, set the first spot to '\0' to a call to msg_data_len() won't
          get random answers or a crash.
          (msg_data (const ACE_TCHAR *)): Changed this method to return int,
          not void. It also will now reallocate the msg_data_ buffer if needed
          to hold the specified string. operator<< now uses msg_data() to set
          the string instead of the now removed set_msg_data_ptr() method,
          keeping all msg_data_ allocation and release in the same class.
          (operator<<): Fix memory leak when setting a new msg_data_
          buffer. Thanks to Arturo Montes for letting us know about the leak.

        * docs/ACE-guidelines.html: Clarify the format of ChangeLog entries.
          Remove the recommendation to always test on egcs; things should be
          tested on at least Windows and Linux, but egcs is outdated.

Tue Oct 10 18:46:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Document how to get a current copy from subversion

Tue Oct 10 14:16:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/CDR_Stream.cpp:
          Fixed incorrect comment

Tue Oct 10 12:54:00 UTC 2006  Simon Massey  <sma@prismtech.com>

        * ace/config-win32-msvc.h:
          Changed the MFC build run-time dll decorators to match
          the current build system settings.

Tue Oct 10 06:08:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          Changed check for empty inline files to also check for empty
          source files

        * bin/MakeProjectCreator/config/avoids_corba_e_compact.mpb:
        * bin/MakeProjectCreator/config/avoids_corba_e_micro.mpb:
          New avoids projects

        * etc/ace.doxygen:
          Expand some more macros, should improve documentatation

        * html/README:
          Updated download location to ISIS

Tue Oct 10 06:03:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/ACE-bug-process.html:
          Updated to mention svn

        * docs/Download.html:
          Commented out the source packages that are not complete at this moment

Mon Oct 09 09:07:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/generate_rel_manpages:
          Fixed an error in this script and updated the location to which the
          generated packages should be copied to

Mon Oct 09 09:03:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/Download.html:
          Updated with the new download locations

        * docs/bczar/bczar.html:
          Updated documentation generation instructions

Thu Oct 05 00:35:37 2006  William R. Otte  wotte@dre.vanderbilt.edu

        * ACE version 5.5.3 released.

Tue Oct  3 16:45:35 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * NEWS
          Updated the NEWS to add the changes for ACE_Hash_MultiMap_Manager
          class and executionmanager_stub and plan_generator base projects.

Tue Oct  3 15:02:14 UTC 2006  Steve Huston  <shuston@riverace.com>

        * NEWS: Described the ACE_Refcounted_Auto_Ptr effects of
          Thu Jul  6 20:45:15 UTC 2006  Steve Huston  <shuston@riverace.com>

Mon Oct  2 12:21:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Log_Msg.cpp:
          Const/bool improvements

Mon Oct  2 11:26:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Log_Msg.{h,cpp}:
          Changed is_set_ conditional values member to bool

Sat Sep 30 14:00:33 UTC 2006  Steve Huston  <shuston@riverace.com>

        * tests/Cached_Allocator_Test.cpp:
        * tests/Codecs_Test.cpp:
        * tests/Enum_Interfaces_Test.cpp:
        * tests/Get_Opt_Test.cpp (run_test):
        * tests/Naming_Test.cpp:
        * tests/Reactor_Notification_Queue_Test.cpp:
        * tests/Reference_Counted_Event_Handler_Test.cpp:
        * tests/Timer_Queue_Reference_Counting_Test.cpp:
          Correct logging format for wide-char build.

Fri Sep 29 18:54:29 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_signal.inl (sigaction): In the !ACE_HAS_SIGACTION_CONSTP2
          case, use ACE_SIGACTION instead of "struct sigaction" to pick up
          the funky HP hack. Also see:
          Mon Jan 23 22:08:56 UTC 2006  Steve Huston  <shuston@riverace.com>

Fri Sep 29 10:00:04 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Web_Crawler/Web_Crawler.mpc:
          Added avoids+=uses_wchar for borland and bmake, the Borland
          compiler gives a warning which can't be easily suppressed and
          by not building this project we do get a few new green builds

Thu Sep 28 19:37:13 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * bin/diff-builds.pl:
          Fixed the finding of the nearest earlier build for a given date.

Thu Sep 28 16:53:14 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * bin\MakeProjectCreator\config\ciao_executionmanager_stub.mpb
        * bin\MakeProjectCreator\config\ciao_plan_generator.mpb
        Added the base projects for executionmanager_stub and plan_generator.

Thu Sep 28 14:46:43 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * bin/diff-builds.pl:

          Updated to fix temporary files creation. Now all those are put
          in the temporary files directory. Fixed the ability to compare
          just two dates.

Thu Sep 28 13:35:04 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-hpux-11.00.h:
          Removed ACE_HAS_EXPLICIT_STATIC_TEMPLATE_MEMBER_INSTANTIATION that
          was set for gcc, with this define set the ACE library doesn't
          build.

        * ace/CDR_Stream.cpp:
          Initialise pointer with 0

        * ace/TP_Reactor.{h,inl}:
          Changed owner from int to bool.

Wed Sep 27 21:18:04 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/Synch_Options.h: Corrected the table of possible Use_Reactor,
          Timeout combinations - it was reversed.

        * ace/WFMO_Reactor.{h cpp}: Change the delete_signal_handler_,
          delete_timer_queue_, delete_handler_rep_, delete_notify_handler_,
          and open_for_business_ members from int to bool to more
          accurately reflect their nature as yes/no indicators.
          Also, initialize notify_handler_ to 0 in constructors to avoid
          a UMR warning from Purify.

Wed Sep 27 06:28:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_compile.pl:
          Added protocols directory

Tue Sep 26 09:49:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/dynamicany.mpb:
          Derive from valuetype, needed to get AbstractBase::_nil() in a no
          inline build.

Mon Sep 25 16:29:42 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/ACE.cpp (send_n_i): Conditionally removed the check for
          errno == ENOBUFS because Winsock send, or WSASend will try to
          enqueue all buffer at once (to the kernel) and if not it will
          return ENOBUFS, in which case the socket is always ready for
          writing but actually winsock can never perform such write and we
          have endless loop.  Thanks to Aleksandar Vukajlovic <vukajlo at
          finsoft dot co dot yu> for reporting this and suggesting a fix.

Mon Sep 25 11:39:35 UTC 2006  Boris Kolpackov  <boris@codesynthesis.com>

        * ace/Bound_Ptr.inl:
        * ace/Bound_Ptr.h:

          Applied workarounds that should fix compile errors on BCB6.
          Thanks to Martin Corino <mcorino at remedy.nl> for providing
          the patch.

        * protocols/ace/TMCast/Messaging.hpp:
        * protocols/ace/TMCast/TransactionController.hpp:

          Updated to use ACE_Strong_Bound_Ptr.

Fri Sep 22 12:42:37 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * docs/index.html: Added a link to the http://www.acejoy.com ACE
          developers website in China.  Thanks to Winston Zhang <webmaster
          at acejoy dot com> for creating this website.

Tue Sep 19 12:27:47 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * tests/Unload_libACE.cpp: Fixed the formatting of this file so it
          conformed to ACE guidelines.

Tue Sep 19 02:54:20 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/FILE_Connector.h: Changed the documentation to reflect the fact
          that mkstemp() is used, not mktemp().

Thu Sep 21 16:51:34 UTC 2006  Ciju John  <johnc@ociweb.com>

        * ace/TP_Reactor.h:
        * ace/TP_Reactor.cpp:
          The TP_Reactor signal handling implementation is
          incomplete. In the current implementation under certain
          circumstances (event loop breaks out if interrupted. This is
          controlled via ACE_Select_Reactor_T::restart()), a properly
          handled OS signal can break the reactor event loop in
          an unpredictable manner. This is due to the fact that we cannot
          predict which thread will receive the OS signal. Untill the
          TP_Reactor signal handling is fixed, I am commenting it out.

Thu Sep 21 15:13:19 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * bin/tao_orb_tests.lst:
          Added new bug 2188 regression test.

Mon Sep 18 10:56:29 UTC 2006  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/platform_sunos5_sunc++.GNU: Add buildbits=64
          branch for Sun Studio 11 (Sun C++ 5.8). Thanks to Aleksandar
          Vukajlovic <vukajlo at finsoft dot co dot yu> for this.

        * THANKS: Added Aleksandar Vukajlovic to the Hall of Fame.

Thu Sep 14 23:01:16 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/Bound_Ptr.inl: Tweak syntax to try and work around apparant
          issues with BCB6.

Thu Sep 14 21:48:39 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_Thread.inl (thr_getspecific): Removed the ACE_Errno_Guard
          around ::TlsGetValue() in the ACE_HAS_WTHREADS case. The comments
          near the code said (paraphrasing) "...it was to protect against
          ACE_Log_Msg::instance() overwriting the error value before it had a
          chance to be logged; although ACE_ERROR et al already store the
          error value before calling ACE_Log_Msg::instance(), there may be a
          chance that other uses of ACE_Log_Msg don't protect this way."
          I have a report that having the errno guard in place is taking
          over 10% CPU during a customer system's run-time. This is way too
          much to have in a hot path, especially for a mis-placed guard.
          It seems a little random to be picking on ACE_OS::thr_getspecific()
          when there are many more OS calls in the ACE_Log_Msg::instance()
          call path.
          If there are really cases outside of ACE_ERROR... et al, then the
          guard should be worked into ACE_Log_Msg::instance() method. However,
          rather than try that now, let's see if there are any real issues,
          since OS-level calls should be setting errno when errors are
          noticed, propagating from GetLastError() via
          ACE_OS::set_errno_to_last_error () as needed.
          Thanks to Kelly Hickel <kfh at mqsoftware dot com> for raising
          this point.

Wed Sep 13 18:25:37 UTC 2006  Boris Kolpackov  <boris@codesynthesis.com>

        * ace/Bound_Ptr.h:
        * protocols/ace/RMCast/Reassemble.cpp:

          Re-applied my changes (Wed Sep  6) on build czar's (Steve
          Huston) request.

Tue Sep 12 18:07:57 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * docs/svn/svn-prefs.reg
        * docs/svn/config

          Added pdf,eps,ps as binary file types.

Tue Sep 12 13:56:22 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * apps/JAWS3/small/SS_Service_Handler.h: Added #include
          "ace/svc_export.h".  Thanks to Andy Wang <ypwangandy at gmail
          dot com> for reporting this.

Tue Sep 12 13:56:09 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * apps/JAWS3/small/SS_State_DONE.h:
        * apps/JAWS3/small/SS_State_READ.h: Added #include
          "ace/Synch_Traits.h".  Thanks to Andy Wang <ypwangandy at gmail
          dot com> for reporting this.

Thu Sep  7 19:43:02 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/FILE_Connector.h (ACE_FILE_Connector): Updated the
          documentation to remove mention of the return values.  Thanks to
          Hieu Ngyuen <hieu dot t dot nguyen at vanderbilt dot edu> for
          reporting this.

Mon Sep 11 13:03:17 UTC 2006  Boris Kolpackov  <boris@codesynthesis.com>

        * ace/Bound_Ptr.h:
        * protocols/ace/RMCast/Reassemble.cpp:

          Reverted my previous changes (Wed Sep  6) since BCB2006
          is unable to handle the required C++ constructs.

Sun Sep 10 09:23:04 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * include/makeinclude/platform_g++_common.GNU

          Committing a fix provided by Ossama Othman (Ossama_Othman at symantec dot com)
          to fix a problem with symbol visibility when building static libraries.

Fri Sep  8 21:11:20 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/CDR_Stream.cpp (ACE_OutputCDR::replace()): Fixed compile error
          from apparant cut/paste error in ACE_ENABLE_SWAP_ON_WRITE path.
          Thanks to JR Andreassen for reporting this.

        * ace/Bound_Ptr.h: Changed new constructor/assignment to use
          dynamic_cast in order to be able to transport pointers through
          that can go both up and down a class hierarchy.
          (See Wed Sep  6 07:40:03 UTC 2006  Boris Kolpackov
          <boris@codesynthesis.com>).

        * protocols/ace/RMCast/Protocol.h (clone(), clone_()): Replaced use of
          naked pointers returned from clone_() with ACE_Strong_Bound_Ptr and
          used new ACE_Strong_Bound_Ptr ctor to facilitate carrying a more-
          refined type through a Profile_ptr and back. Closes up a window
          for exception unsafeness noticed by Boris Kolpackov. Also see
          Tue Aug 22 22:52:41 UTC 2006  Steve Huston  <shuston@riverace.com>

Fri Sep  8 18:25:17 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/Synch_Options.{h cpp}: Improved the documentation for this
          class, particularly the table that explains the behavior for the
          valid combinations of reactor-usage and timeout. Thank you to
          Andriy Gapon <avg at icyb dot net dot ua> for motivating this.

          Also changed the return type of operator[] from int to bool; its
          meaning was always 1/0 but was overlooked in the sweep for this
          type of thing last year.

        * NEWS: Added the ACE_Synch_Options::operator[] return type change.

        * THANKS: Added Andriy Gapon to the Hall of Fame.

Wed Sep  6 07:40:03 UTC 2006  Boris Kolpackov  <boris@codesynthesis.com>

        * ace/Bound_Ptr.h:

          Added new constructor and assignment operator templates that
          support the naked pointer-like implicit conversion.

        * protocols/ace/RMCast/Reassemble.cpp:

          Use the new constructor to get rid of reinterpret_cast.

Tue Sep  5 21:28:02 UTC 2006  Nishanth Shankaran  <nshankar@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/ciao_race_component.mpb:
        * bin/MakeProjectCreator/config/ciao_race_default.mpb:
        * bin/MakeProjectCreator/config/ciao_race_monitor.mpb: Added new
          RACE specific base projects.

Fri Sep  1 19:58:06 UTC 2006  Ciju John  <johnc@ociweb.com>

        * bin/tao_orb_tests.lst:
          Turn on nightly regression test for bug 1476.

Fri Sep 1 13:49:12 UTC 2006  Martin Corino <mcorino@remedy.nl>

        * bin/PerlACE/Run_Test.pm:
          Increased process creation timeout for tests on openVMS.

Thu Aug 31 01:45:06 UTC 2006  Sumant Tambe  <sutambe@nospam>

        Added .xml files to it.
        * docs/svn/config:
        * docs/svn/svn-prefs.reg:

Wed Aug 30 17:45:30 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        This change fixes bug#2648

        * ace/Service_Object.cpp:

          Fixed formatting.

        * ace/Service_Repository.cpp:

          Updated logging.

        * ace/Service_Types.h:
        * ace/Service_Types.cpp:

          Added ACE_Service_Object_Type::initialized_ member variable to
          hold the result of calling init() on the ACE_Service_Object. The
          value is later consulted in ACE_Service_Object_Type::fini() to
          determine if ACE_Service_Object::fini() should be
          called. C++NPv2 (page 120) says that fini() must be called if
          and only if, init() succeeded, i.e. returned 0.

Wed Aug 30 17:18:52 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * bin/MakeProjectCreator/config/ciao_config_handlers.mpb
          Modified this file to fixed the "reference to `ACE_Singleton<CIAO
          ::Config_Handlers::XML_Helper, ACE_Null_Mutex>::instance()'"warnings
          with FC5_Static build.

Wed Aug 30 13:34:50 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * bin/make_release

          Updates to the make_release script to make it subversion compatible.
          major updates to be aware of:
            . Assumes the working copy it uses is flattened
            . Must have DOC_ROOT set
            . Script should be started from DOC_ROOT.
            . Produces traditional (nested) releases
            . Now produces a set of source-only kits in addition to
              the traditional kits.

          IMPORTANT: The release makefiles have not been updated, and are
          most likely broken.

          Producing a release is a two step process:
          make_release -u  # Update version numbers
          make_release -k ace+tao+ciao # Create all kits.

Wed Aug 30 12:19:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/CDR_Stream.{h,cpp}:
          Use true/false consistently for the good_bit

Wed Aug 30 05:57:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Service_Config_Test.cpp:
          Fixed argument not used warnings

Tue Aug 29 21:17:26 UTC 2006  Steve Huston  <shuston@riverace.com>

        * tests/Service_Config_DLL.{h cpp}:
        * tests/Service_Config_Test.cpp: Added a test for ACE_Service_Config's
          behavior when a dynamic service's init() hook returns -1 (failure).
          This was precipitated by Bugzilla #2648.

Tue Aug 29 18:07:39 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * examples/IPC_SAP/SSL_SAP/SSL_SAP.mpc:
        * tests/SSL/tests.mpc:

          Disable MPC projects in these files that depend on features not
          found in the "ACE for TAO" subset", i.e. ACE_Profile_Timer and
          asynch I/O.

Tue Aug 29 13:19:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added bug 2560 regression. It runs fine on windows but seem to
          crash on linux exhibiting a bug that isn't fixed yet.

Tue Aug 29 13:17:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/ProcessVX.pm:
          Commented out the ProcessVX_Unix require, it resulted in
          errors on test systems when they don't have Net::Telnet ()
          available.

Tue Aug 29 11:16:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/Run_Test.pm:
        * bin/PerlACE/ProcessVX_Unix.pm:
        * tests/run_test.pl:
          Changes for running tests on linux with vxworks 6.3 rtp model target

Tue Aug 29 08:20:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/run_test.lst:
          Don't run UUIDTest in ACE_FOR_TAO configuration

        * bin/ace-tests.lst:
          Don't run wfmo reactor tests in ACE_FOR_TAO configuration

Tue Aug 29 00:24:48 UTC 2006  Adam Mitz  <mitza@ociweb.com>

        * docs/run_test.txt:
          Fixed Perl bug in example (needed "" instead of '' to get $ variable
          expansion) and added explanatory text on using $PerlACE::ACE_ROOT
          and $PerlACE::TAO_ROOT.

Tue Aug 29 00:26:56 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/SSL/ssl.mpc
        * ace/SSL/ssl_for_tao.mpc
        * bin/MakeProjectCreator/config/ssl_full.mpb:
        * bin/MakeProjectCreator/config/ssl.mpb:
        * bin/MakeProjectCreator/config/ssl_for_tao.mpb:

          Added support for new ACE_SSL subset "ACE_SSL_FOR_TAO" for
          "ace_for_tao" configuration.  The ACE_SSL_FOR_TAO subset merely
          lacks asychronous I/O support.

Tue Aug 29 00:04:29 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/ACE_export.h:

          SGI C++ 7.3 compiler does not support standard C++ "extern
          inline" declarations.

        * ace/Log_Msg.cpp (log):

          Corrected scalar/vector operator delete() mismatch.  The wide
          string buffer was allocated as an array.  Destroy it
          accordingly.

        * ace/MMAP_Memory_Pool.cpp (ACE_MMAP_Memory_Pool):

          Prevent potential dereferencing of null pointer.

        * ace/Svc_Conf_Param.h:

          Corrected author information.

Mon Aug 28 23:59:50 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        From Amnon Berger <AmnonAB at gmail dot com>
        * ace/SSL/SSL_Context.h (ACE_SSL_Context):
        * ace/SSL/SSL_Context.cpp (certificate):

          Added support for reading an X.509 certificate from memory
          instead of a file.

Mon Aug 28 19:33:50 UTC 2006  Sumant Tambe  <sutambe@nospam>

        A quick perl script to create a change-log-entry date and time.
        * bin/cltime.pl:

        Added *.cidl *.pcd *.cdd
        * docs/svn/config:
        * docs/svn/svn-prefs.reg:

Mon Aug 28 14:14:39 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * bin/tao_other_tests.lst:
          Added TAO/orbsvcs/tests/Security/Big_Request/run_test.pl to the
          list of SSL-based tests. Thanks to Johnny Willemsen
          <jwillemsen@remedy.nl> for pointig out that it was missing.

Mon Aug 28 13:45:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Svc_Conf_Lexer.cpp:
          Fixed variable not used warning when ACE_USES_WCHAR is not
          defined

        * ace/Min_Max.h:
          Removed ACE_LACKS_MIN_MAX_TEMPLATES and the code that was
          there when this define was set, this define wasn't enabled
          in any configuration file.

Mon Aug 28 11:53:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/taodefaults.mpb:
          Added exceptions as base project, TAO requires native C++ exceptions.

Mon Aug 28 11:45:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * protocols/tests/RMCast/RMCast.mpc:
          Removed avoids usage, that is already in the base projects

Mon Aug 28 11:13:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/*.doxygen:
          Set ignore prefix in several files to improve generated
          documentation

Mon Aug 28 11:08:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/acexml.doxygen:
          Ignore ACEXML_ as prefix

Mon Aug 28 10:34:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/run_test.txt:
          Updated to explain how the script works on VxWorks and extended
          the exampl in such a way that if there is not an executable
          it returns directly

Mon Aug 28 10:07:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/run_test.lst:
          Added UUIDTest, was just not listed in this file

        * bin/PerlACE/ProcessVX_Unix.pm:
          New initial file for running tests for VxWorks from an unix host

        * bin/PerlACE/ProcessVX.pm:
          On unix use the new file above

Mon Aug 28 09:05:20 UTC 2006  Boris Kolpackov  <boris@codesynthesis.com>

        * bin/ace_tests.lst:

          Copied test exclusion list from the Multicast_Test entry.

        * protocols/tests/RMCast/Protocol.h:
        * protocols/tests/RMCast/run_test.pl:

          Adjusted the timeout value and message size.

Sun Aug 27 11:11:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added twoway DII collocation test

Sun Aug 27 00:03:07 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Filecache.cpp (ACE_Filecache_Object): Added a call to

          this->lock_.release ();

          to release the lock and so the same file can be fetched again.
          Thanks to Liu Qian <qianliu dot gmail at com> for reporting
          this.

Sat Aug 26 17:40:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/ACE-porting.html:
          ACE_VXWORKS is the define for VxWorks, exceptions are required
          for TAO.

Sat Aug 26 17:36:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/ACE-guidelines.html:
          Updated some parts to mention svn instead of cvs

Sat Aug 26 03:11:01 UTC 2006  Krishnakumar B  <kitty@spam.invalid.domain>

        * docs/svn/svn-prefs.reg:
        * docs/svn/config:

          Updates to add even more file types.

Sat Aug 26 02:32:18 UTC 2006  Krishnakumar B  <kitty@spam.invalid.domain>

        * docs/svn/svn-prefs.reg:
        * docs/svn/config:

          Updated these files to add more entries to the list of globally
          ignored extensions, and also to the list of file types which
          should have automatic properties set.  Also synced up the config and
          svn-prefs.reg file.

Fri Aug 25 22:01:38 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/Sock_Connect.cpp (get_ip_interfaces, count_interfaces):
          Corrected to extract IPv6 information correctly from ioctl()-
          returned structures.

        * tests/Enum_Interfaces_Test.cpp: On error condition ACE_HAS_IPV6 but
          no ipv6 interfaces, do the log as LM_ERROR so the scoreboard picks
          it up.

Fri Aug 24 12:55:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-vxworks6.3.h:
        * ace/Process.cpp:
        * ace/Task.cpp:
          Fixes for building on vxworks 6.3 with diab 5.4 compiler

Fri Aug 24 11:17:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/CDR_Size.cpp:
          Added include of OS_Memory.h to get ACE_align_binary

Thu Aug 24 21:40:24 UTC 2006  Steve Huston  <shuston@riverace.com>

        * tests/Process_Manual_Event_Test.cpp (acquire_release): Fixed a race
          condition whereby while a parent and child were ping-ponging, it
          was possible for one process to signal event1, wait on event2, then
          signal event1 again before the other process could respond to
          event1 being signaled and reset it. Thus, event1 was being reset
          after the other process signaled it, ensuring a never-ending
          wait at the end of the iterations. I changed the code to quickly
          reset the event before printing the debug message, thereby closing
          the window of opportunity a lot. But probably not completely
          removing it... we'll have to see.

Thu Aug 24 16:40:54 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/config-aix-4.x.h: Only need to set
          ACE_HAS_EXPLICIT_STATIC_TEMPLATE_MEMBER_INSTANTIATION for g++
          prior to g++ 4.1 (have only heard report of this for g++ 4.1;
          it may need adjustment for 4.0). Thanks to Nzer Zaidenberg
          <scipioenterprises at yahoo dot com> for reporting the original
          problem and testing this fix.

        * THANKS: Added Nzer Zaidenberg to the Hall of Fame.

Thu Aug 24 16:33:22 UTC 2006  James H. Hill     <hillj@isis.vanderbilt.edu>

        * docs/svn/config:
        * docs/svn/svn-prefs.reg:

          Added auto-props for *.tex and *.cls files.

Thu Aug 24 13:48:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-openvms.h
          Removed ACE_HAS_SOCK_BUF_SIZE_MAX, not needed anymore with the
          latest OpenVMS versions

Thu Aug 24 08:11:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/DLL.h
        * ace/Service_Repository.h
        * ace/Service_Object.cpp
        * ace/Parse_Node.cpp
        * ace/Service_Object.inl
        * ace/Parse_Node.h
        * ace/Service_Repository.cpp
        * ace/Service_Object.h
        * ace/Service_Gestalt.h
        * ace/Service_Gestalt.cpp
        * ace/DLL_Manager.cpp
        * ace/DLL.cpp
          Reverted change from below on request of Iliyan because it broke
          a set of tests that spawn a thread in init.
          Tue Aug 22 21:43:34 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

Wed Aug 23 08:32:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Sock_Connect.{h,cpp}:
          Reverted the change below, VxWorks/OpenVMS/AIX all have problems
          after this change

        Tue Aug 22 15:19:46 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>
        * ace/Sock_Connect.h:
        * ace/Sock_Connect.cpp:

Tue Aug 22 22:52:41 UTC 2006  Steve Huston  <shuston@riverace.com>

        * protocols/ace/RMCast/Protocol.h: Replaced use of
          ACE_Refcounted_Auto_Ptr with ACE_Strong_Bound_Ptr. Code formerly used
          ACE_Refcounted_Auto_Ptr::release() with the assumption it had the
          same semantics as auto_ptr::release() - stealing the pointer away.
          This used to work by accident. The fixed ACE_Refcounted_Auto_Ptr's
          release() method decrements the reference count which may cause the
          object to be deleted, which is what happened all the time in the
          RMCast protocol's clone() methods. Because all the clone() methods
          relied on being able to take a more-derived pointer and use it as
          a Profile*, changing the refcounted pointer type necessitated
          changing the protected clone_() methods to return a naked pointer
          rather than a refcounted one. This is acceptable because the naked
          pointer is not exposed to class users; the public methods insert
          the naked pointer into a ACE_Strong_Bound_Ptr before giving access
          to it externally.

        * protocols/ace/RMCast/Acknowledge.cpp:
        * protocols/ace/RMCast/Reassemble.cpp: With properly functioning
          refcounted pointers (see above) these needed a few changes to
          make proper use of the pointers while maintaining correct reference
          counts.

Tue Aug 22 21:43:34 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

          This change fixes bug#2612.

        * ace/DLL.h:
        * ace/DLL.cpp:

          Made assignment return 'T&' instead of 'const T&'. Adjusted code
          formatting and logging messages.

        * ace/DLL_Manager.cpp:

          Fixed formatting.

        * ace/Parse_Node.h:
        * ace/Parse_Node.cpp:

          Added accessor for the underlying ACE_DLL and adjusted logging.

        * ace/Service_Gestalt.h:
        * ace/Service_Gestalt.cpp:

          Introduced ACE_Service_Type_DLL_Guard class. As dynamic service
          objects are loaded, static service objects that come with the
          same DLL code, may also be registered. The static services
          however, have no information about the context in which their
          registration takes place and their relation with the DLL is
          lost. A situation can easily arise where the dynamic service
          object is finalized and its DLL - unmapped, but some of the
          DLL's static services may still be around. Their finalization
          would not be possible, if the DLL counting that code is gone.

          The guard, when instantiated (on the stack) swaps out the
          current Gestalt and its service repository, and replaces them
          with a "sandbox" Gestalt, which has lifetime sufficient for just
          the current service initialization. Note that this mechanism is
          effective even in the case where a service initialization causes
          re-entry into the Gestalt to load and initialize another service
          as part of the initialization.

          If no action is taken (in case of an error, for instance) the
          guard destructor will simply finalize all newly initialized
          service(s) from the sandbox. On the other hand, if
          initialization is successful the service object descriptors are
          "relocated" to the original Gestalt.

          During the relocation, all static services are "fixed-up" to
          hold a reference to the DLL they belong to. Effectively, a
          static service, initialized via loading of a particular DLL,
          becomes a dynamic service. Thus the order of service
          finalization does not matter anymore because the DLL will be
          help in memory until the last service object it provides is
          finalized.

        * ace/Service_Object.h:
        * ace/Service_Object.inl:
        * ace/Service_Object.cpp:

          Added a relocate method to modify the ACE_DLL each SO has.

        * ace/Service_Repository.h:
        * ace/Service_Repository.cpp:

          Befrended ACE_Service_Type_DLL_Guard. Adjusted logging.

        * tests/Service_Config_Test.cpp:

          Simplified test case.

Tue Aug 22 18:37:48 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * bin/MakeProjectCreator/config/ipv6.mpb:

          Building with IPv6 for WinCE requires an additional library for
          rtti that is not required for the windows builds.

        * bin/ciao_tests.lst:
        * bin/tao_orb_tests.lst:
        * bin/tao_other_tests.lst:
          Added ACE_FOR_TAO exclusions as necessary

Tue Aug 22 15:19:46 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Sock_Connect.h:
        * ace/Sock_Connect.cpp:

          Refactored interface discovery code. The methods used to find
          IPv6 interface addresses is highly platform specific. So much so
          that the single method was too confusing to maintain. With this
          patch, the code has been refactored to put each
          platform-specific variation in its own method, then only compile
          the method needed by any given platform. I'm not sure this will
          yield much of a footprint reduction, as all the existing code is
          still present, it is just easier to keep track of what is going on.

          Also, when IPv6 is enabled, it might be on a platform that is
          using IPv6 exclusively, ie, with no IPv4 enabled. At least one
          third-party user of ACE requested a specific test for IPv4
          enablement status, thus I have added a new method for that test.

        * ace/config-linux.h:
          Linux supplies the getipaddrs system call.

        * tests/Enum_Interfaces_Test.cpp:
          Extended the test so that if ACE is built with ACE_HAS_IPV6
          defined, the test will expect at least one IPv6 endpoint or it
          will fail.

Tue Aug 22 11:41:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/UUID.{h,cpp}:
          Implemented copy constructor

        * tests/UUIDTest.cpp:
          Test copy constructor

Tue Aug 22 09:36:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/UUID.{h,inl}:
          Made the accessors const and reimplemented operator == and
          operator !=.

        * tests/UUIDTest.cpp:
          Test the operator != and ==.

Mon Aug 21 20:46:43 UTC 2006  Steve Huston  <shuston@riverace.com>

        * configure.ac: Modified the check for the net/if.h header file
          to do a #include <sys/socket.h> if it exists. Allows the compile
          of net/if.h to succeed, fixing a configure warning for a file that
          exists but won't compile. Thanks to Don Meek <Don dot Meek at
          windstream dot com> for reporting this problem.

        * THANKS: Added Don Meek to the Hall of Fame.

Mon Aug 21 20:43:59 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/Service_Config.inl:

          Added the missing implementation of the static process_file ()
          method. Thanks to Lothar Werzinger <lothar@tradescape.biz> for
          pointing that out.

Mon Aug 21 20:06:38 Pacific Daylight Time 2006  Ossama Othman  <ossama_othman at symantec dot com>

        From Russell Mora <russell_mora at symantec dot com>:
        * ace/Thread_Exit.cpp (instance):

          Fixed race condition in generated code by stopping optimizer
          from re-ordering static variable initializations by declaring
          static "instance_" variable as "volatile".  This problem was
          observed on a quad-CPU Solaris 8 box.

Mon Aug 21 18:31:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/*.doxygen:
          In all files except ace.doxygen added SHORT_NAMES=YES to let
          doxygen generate shorter filenames, this should fix the problems
          we had during the release with cpio not capable of handling
          long filenames

Mon Aug 21 17:46:55 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Numeric_Limits.h (ACE_Numeric_Limits):

          The Microsoft Platform SDK does not provide
          std::numeric_limits<> specializations for 64 bit integers so we
          need to explicitly provide ACE_Numeric_Limits<> specializations
          to compensate for this deficiency.  [Bug 2639]

          Unfortunately there is no way to tell if the platform SDK is
          being used so we specialize for the ACE_WIN64 + MSVC++ 7.1 case,
          which is the configuration that exhibits this problem.  It also
          happens to be a fairly isolated configuration since 64-bit
          support in MSVC++ 7.1 was not very good to begin with.

Mon Aug 21 15:35:26 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Timeprobe_T.cpp (print_times): More fixed for timestamp
          inversion due to recording time from different threads.  This
          prints a warning message the first time it detects a timestamp
          inversion.  It also fixes various minor problems in the
          timeprobe reports whenever the total number of timeprobes
          exceeds 8192.  Thanks to Patrick Rabau for contributing this.

        * ace/INET_Addr.h: Updated the documentation of the non-reentrant
          versions of get_host_addr() and get_host_name() to clarify how
          they can be used correctly (or better yet not used at all..).
          Thanks to Ephy Levy <EphyLevy at gmail dot com> for motivating
          this.

        * ace/Logging_Strategy.cpp: Added a destructor to delete
          this->filename_, which is allocated in the constructor.  Thanks
          to Amnon AB <AmnonAB at gmail dot com> for reporting this.

        * ace/Acceptor.h: Made the suspend()/resume() methods of
          ACE_Strategy_Acceptor public rather than protected.  Thanks to
          Amnon AB <AmnonAB at gmail dot com> for reporting this.

        * docs/Symbol_Versioning.html (HREF): Added a link to the Riverace
          webpage that describes symbol versioning in ACE.  Thanks to
          Steve Huston for contributing this.

        * ace/Timeprobe_T.cpp (print_times): Revised the code so that if
          there is a timestamp inversion due to recording time from
          different threads, the time difference will be displayed as a
          negative value instead of a gigantic positive value.  Also
          compute the time difference correctly when the timeprobe array
          wraps around.  Thanks to Patrick Rabau <pr2345 at gmail dot com>
          for this fix.

        * ace/Containers_T.cpp,
        * ace/Log_Msg.cpp,
        * ace/CDR_Size.cpp,
        * ace/CDR_Size.inl,
        * ace/CDR_Stream.cpp: Fixed a bunch of problems with type punning.
          Thanks to Thomas Girard <thomas.g.girard at free dot fr> for
          reporting this.

        * ace/TSS_T.cpp (tryacquire): There was a missing '&' in

          ACE_Thread::getspecific (this->key_, temp);

          Thanks to Thomas Girard <thomas.g.girard at free dot fr> for
          reporting this.

Mon Aug 21 10:45:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/UUID.{h,cpp,inl}:
          Extended UUID to make it possible to assign a string to a UUID
          to set it a new value.

        * tests/UUIDTest.cpp:
          Extended this test to test the new functionality above.

Mon Aug 21 10:26:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/UUID.{h,cpp,inl}:
          Changed node_release_ to a real bool and use ACE_ERROR instead
          of ACE_DEBUG for a real error message

        * ace/OS_NS_unistd.cpp:
          Const improvement

Sat Aug 19 22:03:03 UTC 2006  Yan Dai  <dai_y@ociweb.com>

        * bin/tao_orb_tests.lst

          Excluded the DII collocation oneway test from running in the minimum
          CORBA build.

Fri Aug 18 20:38:35 UTC 2006  Steve Huston  <shuston@riverace.com>

        * examples/APG/Logging/Trace.h: Further changed use of __VA_ARGS__
          to remove the comma and the fixed FMT arg from the macros. This
          may still trigger the same ISO C99 warning, but it doesn't fail.

Fri Aug 18 17:22:08 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_unistd.cpp (pwrite): Corrected the large-file-offset
          logic to build correctly for Windows. Also moved the explicit
          SetFilePointerEx() before WriteFile() to the non-ACE_HAS_WINNT4
          section - for ACE_HAS_WINNT4 the supplied OVERLAPPED structure
          carries the file offset to write at.

Fri Aug 18 17:08:35 UTC 2006  Yan Dai  <dai_y@ociweb.com>

        * bin/tao_orb_tests.lst

          Added DII collocation oneway test. This is the regression test
          for bugzilla #2545.

Fri Aug 18 15:49:01 UTC 2006  Steve Huston  <shuston@riverace.com>

        * examples/APG/Logging/Trace.h: Changed the varargs form used in the
          macros from ##__VA_ARGS__ to ,__VA_ARGS__ in an effort to conform
          to C99 and clear some compile warnings from gcc4. This effectively
          prohibits leaving the varargs out completely from the macro
          invocation but that use-case isn't exercised anyway.

        * bin/ace_tests.lst: Add protocols/tests/RMCast/run_test.pl to run
          RMCast tests, except ACE_FOR_TAO builds.

Fri Aug 18 12:03:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Don't run Bug_2510_Regression in a ST build, it uses threading

        * bin/MakeProjectCreator/templates/bor.mpd:
          Don't print a message with the dummy realclean

Thu Aug 17 14:20:00 UTC 2006  Simon Massey  <sma@prismtech.com>

        * apps/drwho/Binary_Search.cpp:
        * apps/drwho/CM_Client.cpp:
        * apps/drwho/CM_Server.cpp:
        * apps/drwho/Hash_Table.cpp:
        * apps/drwho/Options.cpp:
        * apps/drwho/Options.h:
        * apps/drwho/PMC_All.cpp:
        * apps/drwho/PMC_Flo.cpp:
        * apps/drwho/PMC_Ruser.cpp:
        * apps/drwho/PMC_Usr.cpp:
        * apps/drwho/PMS_All.cpp:
        * apps/drwho/PMS_Flo.cpp:
        * apps/drwho/PMS_Ruser.cpp:
        * apps/drwho/PMS_Usr.cpp:
        * apps/drwho/Protocol_Manger.cpp:
        * apps/drwho/Protocol_Record.cpp:
        * apps/drwho/Rwho_DB_Manager.cpp:
        * apps/drwho/Search_Struct.cpp:
        * apps/drwho/Single_Lookup.cpp:
        * apps/Gateway/Gateway/Gateway.cpp:
        * apps/Gateway/Gateway/Options.cpp:
        * apps/Gateway/Gateway/Options.h:

          Renamed the enum ID "DEBUG" to "DEBUGGING", was causing problems
          with MFC builds.

Thu Aug 17 12:15:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/SString_Test.cpp:
          Added a check whether npos is zero, if it is print an error,
          with Intel C++ 9.0 with the Microsoft platform SDK this seems
          to be zero

Thu Aug 17 08:30:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/ciao_client_dnc.mpb:
        * bin/MakeProjectCreator/config/ciao_deployment_stub.mpb:
        * bin/MakeProjectCreator/config/ciao_deployment_svnt.mpb:
        * bin/MakeProjectCreator/config/ciao_events_dnc.mpb:
        * bin/MakeProjectCreator/config/ciao_rtevent_dnc.mpb:
          Removed -Sc form the taoidlflags, it is deprecated already sometime
          ago

Wed Aug 16 22:19:47 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/Acceptor.h: Doxygen improvements.

Wed Aug 16 17:42:02 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Numeric_Limits.h:

          Explicitly #undef min and max before including <limits> in the
          Mingw case to address global namespace pollution induced
          conflicts.  The previous attempt to address this problem where
          the Windows-specific NOMINMAX preprocessor symbol was defined in
          this header didn't work since the min and max macros were
          already defined beforehand.  In order for NOMINMAX to work as
          expected, it would be have to be defined before any Windows
          headers are included, or more preferrably on the
          preprocessor/compiler command line.  Unfortunately, that would
          probably break some applications.

Wed Aug 16 14:51:58 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * docs/svn/svn-prefs.reg
        * docs/svn/config

          Updated to correct keywords values, and add use-commit-times
          as a default option.

Wed Aug 16 10:19:41 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Obstack_T.{cpp,inl}:
          Moved grow_fast and freeze methods from inl to cpp file,
          should fix the link problems with the RHAS IPv6 build

Wed Aug 16 09:50:41 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Misc/Misc.mpc:
        * examples/Misc/test_timestamp.cpp:
          Simple small test for ACE::timestamp()

Wed Aug 16 08:37:41 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/build_lib.bor:
        * include/makeinclude/clean.bor:
        * include/makeinclude/compiler.bor:
          Removed support for the CBuilderX preview compiler, it has never
          become more then preview and we don't test with it anymore

        * include/makeinclude/recurse.bor:
          Removed from the repo, seems not to be used anymore

Tue Aug 15 17:47:11 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Numeric_Limits.h:

          Windows defines min/max macros that interfere with the
          numeric_limits::min/max() traits.  Prevent those macros from
          being defined by defining the Windows-specific NOMINMAX symbol
          before any Windows headers are included.  This is currently
          only done for Mingw builds since the problem is not exhibited by
          other Windows builds (e.g. MSVC++, Borland, etc).

Tue Aug 15 16:17:56 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * ace/Hash_MultiMap_Manager_T.h
          Made some minor changes to the documentation to use @a to refer to
          argument names.

Tue Aug 15 15:00:00 UTC 2006  Adam Mitz  <mitza@ociweb.com>

        * ace/Event_Handler.cpp:

          Updated Event_Handler_var to use an ACE_Errno_Guard to
          prevent overwriting the errno.

        * bin/tao_orb_tests.lst

          Added new test: TAO/tests/Oneway_Timeouts/run_test.pl

Tue Aug 15 14:22:53 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * ace/Hash_MultiMap_Manager_T.h
          Address the "unsupported xml/html tag" warnings in doxygen build.

Tue Aug 15 08:36:00 UTC 2006  Simon Massey  <sma@prismtech.com>

        * bin/MakeProjectCreator/config/acedefaults.mpb

          Backout all of the recent MFC changes.

        * bin/MakeProjectCreator/config/ace_opt_mfc.mpb:

          DELETED.

Mon Aug 14 23:34:11 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * ace/TP_Reactor.cpp
        * ace/TP_Reactor.h

          Removed all register_handler member functions from these files.
          This essentially enables the ability to register signal handlers in
          the TP Reactor by implicitly delegating to the select reactor base
          class.

          Other register_handler methods (not relating to signal handling)
          were explicit delegations to the select reactor base class, present
          only to silence virtual function hiding warnings created by
          disabling the signal related methods.

Mon Aug 14 16:14:56 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * test/Hash_Multi_Map_Manager_Test.cpp
          Address the "no matching function for call" errors.

        * ace/Hash_MultiMap_Manager_T.h
          Address the "unsupported xml/html tag" warnings in doxygen build.

Mon Aug 14 16:00:00 UTC 2006  Simon Massey  <sma@prismtech.com>

        * bin/MakeProjectCreator/config/ace_mfc.mpb:
        * bin/MakeProjectCreator/config/ace_opt_mfc.mpb:

          Backout the "Specific" guards.

Mon Aug 14 15:20:00 UTC 2006  Simon Massey  <sma@prismtech.com>

        * bin/MakeProjectCreator/config/ace_mfc.mpb:
        * bin/MakeProjectCreator/config/ace_opt_mfc.mpb:

          Specific the macro and don't inherit from mfc for opt.

Mon Aug 14 15:43:12 UTC 2006  Steve Huston  <shuston@riverace.com>

        * tests/Makefile.am: Added Hash_Multi_Map_Manager_Test.

Mon Aug 14 13:33:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/clean.bor:
          Use .inl as file extension to clean instead of .i

        * bin/MakeProjectCreator/templates/bor.mpd:
          Added empty realclean target

Mon Aug 14 12:52:19 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * ACE-INSTALL.html:

          I added "-type gnuace" to the options where the default project
          type was assumed.  Eventually, MPC will not have a default project
          type.

        * include/makeinclude/macros.GNU:
        * include/makeinclude/rules.common.GNU:
        * include/makeinclude/rules.local.GNU:

          Added a new target to remove only the binaries (executables and
          shared libraries).

Mon Aug 14 11:15:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/*.h:
          Added /**/ to the include of config-all.h and ACE_export.h, this
          way doxygen doesn't add these files to the include graphs which
          make them much easier to read

Sun Aug 13 23:30:02 UTC 2006  Yan Dai  <dai_y@ociweb.com>

        * bin/tao_other_tests.lst:

          Excluded TAO POAManagerFactory and EndpointPolicy tests from
          running in a minimum CORBA configuration.

Sun Aug 13 22:21:55 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * test/Hash_Multi_Map_Manager_Test.cpp
          Address the "Implicit conversion of string literal to char * is
          deprecated" warnings.

Sun Aug 13 15:25:17 UTC 2006  Boris Kolpackov  <boris@codesynthesis.com>

        * bin/MakeProjectCreator/config/ciaocidldefaults.mpb:

          Removed '--' from the cidlc command line.

Sun Aug 13 000:02:00 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * ace/Hash_MultiMap_Manager_T.inl
        * ace/Hash_MultiMap_Manager_T.cpp
        * ace/Hash_MultiMap_Manager_T.h
          Change the name of these files into Hash_Multi_Map_Manager.*.
          Add some comments to explain in brief the purpose of using
          ACE_Hash_Multi_Map_Manager class and how to use it.
          Remove the backward compatibility of ACE_Hash_Multi_Map_Manager class
          and its associated iterator classes.
          Remove "_Ex" on the names of ACE_Hash_Multi_Map_Manager class and its
          associated iterator classes.

        * ace/Hash_MultiMap_Manager.h
          Remove this file since it simply includes the
          Hash_MultiMap_Manager_T.h file.

        * test/Hash_MultiMap_Manager_Test.cpp
          Change the name of this file into Hash_Multi_Map_Manager_Test.cpp.
          Address the "convert const char* to ACE_TCHAR*" errors.

        * ace/ace.mpc
          Change the name of Hash_MultiMap_Manager project into
          Hash_Multi_Map_Manager.

        * test/run_test.lst
        * test/tests.mpc
          Change the name of Hash_MultiMap_Manager_Test project into
          Hash_Multi_Map_Manager_Test.

Fri Aug 11 16:46:56 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * ace/Hash_MultiMap_Manager.h
        * ace/Hash_MultiMap_Manager_T.cpp
        * ace/Hash_MultiMap_Manager_T.h
        * ace/Hash_MultiMap_Manager_T.inl
          Add these files which implement Hash_MultiMap_Manager.

        * test/Hash_MultiMap_Manager_Test.cpp
          Add this test file for Hash_MultiMap_Manager.

        * ace/ace.mpc
          Modify this file to include Hash_MultiMap_Manager.

        * test/run_test.lst
        * test/tests.mpc
          Modify these files to include Hash_MultiMap_Manager_Test.

Fri Aug 11 16:37:34 UTC 2006  Steve Huston  <shuston@riverace.com>

        * tests/CDR_File_Test.cpp: Corrected a signed/unsigned compare.

Fri Aug 11 13:59:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/CDR_Size.cpp:
          Add include of OS_Memory.h to get ACE_align_binary

        * ace/Sig_Handler.cpp:
          Add include of Guard_T.h to get the guards

        * ace/config-vxworks6.3.h:
          Add some code for the diab compiler but this is not complete
          support, just some testing results.

Fri Aug 11 07:17:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/svn/config:
        * docs/svn/svn-prefs.reg:
          Added settings for .idl and .pidl

Thu Aug 10 13:14:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          Disabled the performance tests on OpenVMS for the moment, they
          result in too much error logs

Thu Aug 10 10:33:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/taoidldefaults.mpb:
          Updated for -GX

Thu Aug 10 09:38:13 UTC 2006  Simon McQueen  <sm@prismtech.com>

        * bin/tao_other_tests.lst:

          Exclude Bug_2615_Regression from running on 'ACE for TAO' builds.

Thu Aug 10 01:52:34 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/config-aix-4.x.h: Added ACE_HAS_TEMPLATE_TYPEDEFS for Visual
          Age C++ 6 and higher.

Wed Aug  9 14:15:18 UTC 2006  Ciju John  <johnc@ociweb.com>

        * bin/MakeProjectCreator/config/csd_threadpool.mpb:

          Added a dependency upon threads.mpb as this project shouldn't be
          built if thread support is not going to be built into TAO.

Wed Aug  9 13:45:00 UTC 2006  Simon Massey  <sma@prismtech.com>

        * bin/MakeProjectCreator/config/acedefaults.mpb

          Typo, Remove the + character that came with the patch file.

Wed Aug  9 12:17:00 UTC 2006  Simon Massey  <sma@prismtech.com>

        * bin/MakeProjectCreator/config/ace_opt_mfc.mpb
        * bin/MakeProjectCreator/config/acedefaults.mpb

          Chad's new fix for MPC building MFC projects.

Tue Aug  8 14:00:06 UTC 2006  Carlos O'Ryan  <coryan@atdesk.com>

        * Merged in all the changes from the fix_bug_2540 branch, that is,
          from revision 73857 to revision 73859.

        Thu Aug  3 21:49:27 UTC 2006  Carlos O'Ryan  <coryan@atdesk.com>

        * ace/TP_Reactor.cpp:
        * ace/Select_Reactor_T.cpp:
          Avoid the problems described in bug 2540 by detecting the
          infinite loop and recomputing the number of active handlers.
          Thanks to Jody Hagins for correcting my original "fix."

Tue Aug  8 14:05:00 UTC 2006  Simon Massey  <sma@prismtech.com>

        * bin/MakeProjectCreator/config/ace_mfc.mpb
        * bin/MakeProjectCreator/config/acedefaults.mpb

          Reverted Chad's fix for MPC building MFC projects.
          It seems that this causes non MFC builds to build as MFC
          breaking the scoreboard.

Tue Aug  8 09:30:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE.mwc:
          Removed several directories which aren't existing anymore

Tue Aug  8 09:28:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Removed some parts of the VxWorks building instructions because
          it was really wrong what was said

Tue Aug  8 09:15:00 UTC 2006  Simon Massey  <sma@prismtech.com>

        * ace/OS_Memory.h
        * ace/config-win32-msvc.h
        * bin/MakeProjectCreator/config/ace_mfc.mpb
        * bin/MakeProjectCreator/config/acedefaults.mpb

          Chad's fix for MPC building MFC projects. Correction for
          Thu Apr 27 21:04:08 UTC 2006  Steve Huston  <shuston@riverace.com>
          throw CMemoryException on out-of-memory condition. These
          exceptions must be caught by pointer and thrown via calling
          AfxThrowMemoryException ().

Tue Aug  8 08:06:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Select_Reactor_Base.cpp:
        * ace/Select_Reactor_T.cpp:
          Const improvements, use bool when possible

Tue Aug  8 07:46:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/generate_rel_manpages:
        * bin/make_release:
          Did a little bit of cleanup removing old things

Tue Aug  8 07:11:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Select_Reactor_T.cpp (dump):
          Removed usage of not needed operator++ on the handle set

Mon Aug  7 08:02:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Handle_Set.{h,cpp}:
          Removed operator++, it is deprecated and nothing more then a noop

Fri Aug  4 07:57:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Asynch_IO.h:
        * ace/Event_Handler.h:
        * ace/Framework_Component_T.h:
        * ace/Hash_Map_Manager_T.h:
        * ace/IO_SAP.h:
        * ace/Local_Tokens.h:
        * ace/LSOCK_Connector.h:
        * ace/Map_Manager.h:
        * ace/Map_T.h:
        * ace/WFM_Reactor.h:
          Doxygen improvements

Thu Aug  3 10:39:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Connector.h:
          Improved documentation

Wed Aug  2 22:54:24 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * THANKS: Added Eric Danielou to the hall of fame.

Wed Aug  2 21:27:59 UTC 2006  Adam Mitz  <mitza@ociweb.com>

        * bin/PerlACE/Run_Test.pm:

          Added two new packaged-scoped variables, $PerlACE::ACE_ROOT and
          $PerlACE::TAO_ROOT.  $PerlACE::TAO_ROOT is set to the TAO_ROOT
          environment variable, if one exists.  If not it is set to
          $ACE_ROOT/TAO.  $PerlACE::ACE_ROOT is the same as the ACE_ROOT
          envrionment variable so it's just there for convenience and for
          symmetry.

Wed Aug  2 20:19:04 UTC 2006  Adam Mitz  <mitza@ociweb.com>

        * bin/tao_other_tests.lst:
          Added new test (TAO/orbsvcs/tests/ImplRepo/Bug_2604_Regression).

Wed Aug  2 18:16:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Connector.cpp:
          Const improvements

        * ace/Caching_Utility_T.h:
        * ace/config-lite.h:
        * ace/Event_Handler.h:
        * ace/Framework_Component.h:
        * ace/Lock.h:
        * ace/Lock_Adapter_T.h:
        * ace/Null_Mutex.h:
        * ace/Object_Manager.h:
        * ace/Object_Manager_Base.h:
        * ace/Proactor.cpp:
        * ace/Process_Manager.h:
        * ace/Semaphore.h:
        * ace/Thread_Exit.h:
          Doxygen improvements

Wed Aug  2 15:50:48 UTC 2006  Simon McQueen  <sm@prismtech.com>

        * bin/tao_other_tests.lst:

          Schedule bugzilla #2615 regression test.

Wed Aug  2 14:55:45 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * ACE-INSTALL.html:

          Updated the location of the MPC documentation.  It was moved from
          the MPC root directory to a docs directory.

        * bin/ChangeLogEditor/CVSFileLocator.pm:
        * bin/ChangeLogEditor/ChangeLogEdit.pm:
        * bin/ChangeLogEditor/ChangeLogEntry.pm:
        * bin/ChangeLogEditor/FileLocator.pm:
        * bin/ChangeLogEditor/SVNFileLocator.pm:
        * bin/cle.pl:

          Added better support for subversion and it now reports errors from
          cvs/svn.

        * bin/MakeProjectCreator/README:

          Updated to provide information on anonymously checking out MPC
          using Subversion.

        * bin/make_release:

          I added "-type gnuace" to the options where the default project
          type was assumed.  Eventually, MPC will not have a default project
          type.

Wed Aug  2 13:47:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/ACE-development-process.html:
          Document the fact that people should test on at least two
          platforms and should be available for some days after they
          commit a change.

Wed Aug  2 11:16:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/Download.html:
          Also put the download page from deuce.doc under svn control
          so that we can update it for the svn conversion

Wed Aug  2 11:07:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/bczar/bczar.html:
        * docs/bczar/privileges.html:
          Added documents that where on deuce.doc, the documentation
          for the bczar how to create a release should really be handled
          with care, so put them under svn control

Tue Aug  1 20:23:50 UTC 2006  Adam Mitz  <mitza@ociweb.com>

        * ace/config-macosx-tiger.h:
          Added preliminary support for Mac OS X 10.4 on Intel CPU's.

Tue Aug  1 20:00:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-vxworks6.3.h:
          Enabled some features in ACE because vxworks 6.3 delivers more system
          api's

Mon Jul 31 19:23:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_stropts.inl (ioctl):
          Check for ACE_HAS_IOCTL_INT_3_PARAM to make it easier to handle
          the different VxWorks versions

        * config-vxworks5.x.h:
        * config-vxworks6.2.h:
        * config-vxworks6.3.h:
          Added ACE_HAS_IOCTL_INT_3_PARAM

Mon Jul 31 18:48:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * Containers_T.{h,cpp}:
        * Hash_Map_Manager_T.{h,cpp}:
        * Map_Manager.{h,inl}:
        * Node.{h,cpp}:
          Removed check for !ACE_HAS_BROKEN_NOOP_DTORS, this define is
          not in any config file

        * config-unixware-7.1.0.udk.h:
          Removed commented out define

        * Token_Collection.{h,cpp}:
        * Token_Manager.{h,inl}:
          Changed debug flag to be a bool

        * SOCK_Dgram_Bcast.h
        * TP_Reactor.h
        * Signal.h
        * Thread.h
        * Thread_Adapter.h
          Documentation updates

Mon Jul 31 14:57:08 UTC 2006  Steve Huston  <shuston@riverace.com>

        * apps/Makefile.am: Removed hard-coded inclusion of gperf in the
          SUBDIRS list; it's an optional piece; see also
          Tue Jun 20 20:19:37 UTC 2006  Steve Huston  <shuston@riverace.com>
          Thanks to Robert Schwebel <robert at schwebel dot de> for this fix.

Mon Jul 31 14:36:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/*.doxygen:
          Cleanup of these files

Sat Jul 29 11:26:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-icc-common.h:
          Added fix for Intel C++ 9.1

Fri Jul 28 15:32:27 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * ace/SSL/Makefile.am
        * ace/QoS/Makefile.am
        * performance-tests/Synch-Benchmarks/Base_Test/Makefile.am
        * performance-tests/Synch-Benchmarks/Perf_Test/Makefile.am
        * Kokyu/Makefile.am
        * apps/JAWS/clients/Caching/Makefile.am
        * ACEXML/apps/svcconf/Makefile.am
        * ACEXML/common/Makefile.am
        * ACEXML/parser/parser/Makefile.am
        * ACEXML/examples/SAXPrint/Makefile.am
        * websvcs/lib/Makefile.am
        * examples/ASX/Event_Server/Event_Server/Makefile.am
        * examples/ASX/UPIPE_Event_Server/Makefile.am
        * examples/Service_Configurator/IPC-tests/server/Makefile.am

        Updated to comply with the .i->.inl changes from:
        Thu Jul 27 20:30:26 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

Fri Jul 28 12:17:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * Kokyu/DSRT_Dispatch_Item_T.inl:
        * ACEXML/parser/parser/Parser.inl:
          Fixed file tag

Thu Jul 27 20:30:26 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * ace/SSL/SSL_SOCK_Connector.h
        * ace/SSL/SSL_SOCK_Acceptor.inl
        * ace/SSL/SSL_SOCK_Acceptor.cpp
        * ace/SSL/SSL_SOCK_Connector.i
        * ace/SSL/SSL_SOCK_Stream.h
        * ace/SSL/SSL_SOCK_Stream.i
        * ace/SSL/SSL_SOCK_Acceptor.h
        * ace/SSL/SSL_SOCK_Acceptor.i
        * ace/SSL/SSL_SOCK.cpp
        * ace/SSL/SSL_SOCK.inl
        * ace/SSL/SSL_SOCK.h
        * ace/SSL/SSL_SOCK.i
        * ace/SSL/SSL_SOCK_Connector.cpp
        * ace/SSL/SSL_SOCK_Connector.inl
        * ace/SSL/SSL_SOCK_Stream.cpp
        * ace/SSL/SSL_SOCK_Stream.inl
        * ace/QoS/SOCK_Dgram_Mcast_QoS.inl
        * ace/QoS/SOCK_Dgram_Mcast_QoS.cpp
        * ace/QoS/QoS_Session_Impl.cpp
        * ace/QoS/QoS_Session_Impl.inl
        * ace/QoS/SOCK_Dgram_Mcast_QoS.h
        * ace/QoS/SOCK_Dgram_Mcast_QoS.i
        * ace/QoS/QoS_Session_Impl.h
        * ace/QoS/QoS_Session_Impl.i
        * performance-tests/Synch-Benchmarks/Base_Test/Baseline_Test.cpp
        * performance-tests/Synch-Benchmarks/Base_Test/Baseline_Test.inl
        * performance-tests/Synch-Benchmarks/Base_Test/Baseline_Test.h
        * performance-tests/Synch-Benchmarks/Base_Test/Baseline_Test.i
        * performance-tests/Synch-Benchmarks/Perf_Test/Performance_Test_Options.inl
        * performance-tests/Synch-Benchmarks/Perf_Test/Performance_Test_Options.h
        * performance-tests/Synch-Benchmarks/Perf_Test/Performance_Test_Options.i
        * Kokyu/Kokyu_dsrt.cpp
        * Kokyu/Kokyu_dsrt.inl
        * Kokyu/Kokyu.cpp
        * Kokyu/Kokyu.inl
        * Kokyu/Kokyu_defs.h
        * Kokyu/Kokyu_defs.i
        * Kokyu/Dispatcher_Impl.h
        * Kokyu/Dispatcher_Impl.i
        * Kokyu/Default_Dispatcher_Impl.h
        * Kokyu/Default_Dispatcher_Impl.i
        * Kokyu/Dispatch_Deferrer.h
        * Kokyu/Dispatch_Deferrer.i
        * Kokyu/DSRT_Dispatcher_Impl_T.h
        * Kokyu/DSRT_Dispatcher_Impl_T.i
        * Kokyu/DSRT_Dispatch_Item_T.h
        * Kokyu/DSRT_Dispatch_Item_T.i
        * Kokyu/Kokyu_dsrt.h
        * Kokyu/Kokyu_defs.cpp
        * Kokyu/Kokyu_defs.inl
        * Kokyu/Kokyu_dsrt.i
        * Kokyu/Kokyu.h
        * Kokyu/Dispatcher_Impl.cpp
        * Kokyu/Dispatcher_Impl.inl
        * Kokyu/Kokyu.i
        * Kokyu/Default_Dispatcher_Impl.cpp
        * Kokyu/Default_Dispatcher_Impl.inl
        * Kokyu/Dispatch_Deferrer.cpp
        * Kokyu/Dispatch_Deferrer.inl
        * Kokyu/DSRT_Dispatcher_Impl_T.cpp
        * Kokyu/DSRT_Dispatcher_Impl_T.inl
        * Kokyu/DSRT_Dispatch_Item_T.cpp
        * Kokyu/DSRT_Dispatch_Item_T.inl
        * apps/JAWS/clients/Caching/Local_Locator.inl
        * apps/JAWS/clients/Caching/Local_Locator.cpp
        * apps/JAWS/clients/Caching/URL_Properties.inl
        * apps/JAWS/clients/Caching/URL_Properties.cpp
        * apps/JAWS/clients/Caching/Local_Locator.h
        * apps/JAWS/clients/Caching/Local_Locator.i
        * apps/JAWS/clients/Caching/URL_Properties.h
        * apps/JAWS/clients/Caching/URL_Properties.i
        * apps/JAWS/clients/Caching/Locator_Request_Reply.cpp
        * apps/JAWS/clients/Caching/Locator_Request_Reply.inl
        * apps/JAWS/clients/Caching/Locator_Request_Reply.h
        * apps/JAWS/clients/Caching/Locator_Request_Reply.i
        * apps/JAWS2/HTTPU/http_response.h
        * apps/JAWS2/HTTPU/http_response.i
        * apps/JAWS2/HTTPU/http_base.inl
        * apps/JAWS2/HTTPU/http_base.cpp
        * apps/JAWS2/HTTPU/http_headers.h
        * apps/JAWS2/HTTPU/http_headers.i
        * apps/JAWS2/HTTPU/http_status.inl
        * apps/JAWS2/HTTPU/http_status.cpp
        * apps/JAWS2/HTTPU/parse_http_request.h
        * apps/JAWS2/HTTPU/http_request.inl
        * apps/JAWS2/HTTPU/parse_http_request.i
        * apps/JAWS2/HTTPU/http_request.cpp
        * apps/JAWS2/HTTPU/parse_http_response.h
        * apps/JAWS2/HTTPU/http_response.cpp
        * apps/JAWS2/HTTPU/parse_http_response.i
        * apps/JAWS2/HTTPU/http_response.inl
        * apps/JAWS2/HTTPU/http_headers.inl
        * apps/JAWS2/HTTPU/http_headers.cpp
        * apps/JAWS2/HTTPU/http_base.h
        * apps/JAWS2/HTTPU/http_base.i
        * apps/JAWS2/HTTPU/parse_http_request.inl
        * apps/JAWS2/HTTPU/parse_http_request.cpp
        * apps/JAWS2/HTTPU/http_status.h
        * apps/JAWS2/HTTPU/parse_http_response.cpp
        * apps/JAWS2/HTTPU/parse_http_response.inl
        * apps/JAWS2/HTTPU/http_status.i
        * apps/JAWS2/HTTPU/http_request.h
        * apps/JAWS2/HTTPU/http_request.i
        * ACEXML/apps/svcconf/Svcconf_Handler.cpp
        * ACEXML/apps/svcconf/Svcconf_Handler.inl
        * ACEXML/apps/svcconf/Svcconf_Handler.h
        * ACEXML/apps/svcconf/Svcconf_Handler.i
        * ACEXML/common/AttributesImpl.cpp
        * ACEXML/common/LocatorImpl.cpp
        * ACEXML/common/Env.cpp
        * ACEXML/common/Exception.cpp
        * ACEXML/common/SAXExceptions.h
        * ACEXML/common/SAXExceptions.i
        * ACEXML/common/AttributesImpl.h
        * ACEXML/common/AttributesImpl.i
        * ACEXML/common/XMLFilterImpl.cpp
        * ACEXML/common/Env.h
        * ACEXML/common/SAXExceptions.cpp
        * ACEXML/common/Env.i
        * ACEXML/common/Exception.h
        * ACEXML/common/Exception.i
        * ACEXML/common/AttributesImpl.inl
        * ACEXML/common/LocatorImpl.inl
        * ACEXML/common/Env.inl
        * ACEXML/common/XMLFilterImpl.h
        * ACEXML/common/XMLFilterImpl.i
        * ACEXML/common/Exception.inl
        * ACEXML/common/XMLFilterImpl.inl
        * ACEXML/common/LocatorImpl.h
        * ACEXML/common/LocatorImpl.i
        * ACEXML/common/SAXExceptions.inl
        * ACEXML/parser/debug_validator/Element_Tree.i
        * ACEXML/parser/debug_validator/Element_Tree.cpp
        * ACEXML/parser/debug_validator/Element_Tree.inl
        * ACEXML/parser/debug_validator/Element_Tree.h
        * ACEXML/parser/parser/Parser.h
        * ACEXML/parser/parser/Parser.i
        * ACEXML/parser/parser/Entity_Manager.cpp
        * ACEXML/parser/parser/Entity_Manager.inl
        * ACEXML/parser/parser/Entity_Manager.h
        * ACEXML/parser/parser/Entity_Manager.i
        * ACEXML/parser/parser/Parser.cpp
        * ACEXML/parser/parser/Parser.inl
        * ACEXML/examples/SAXPrint/SAXPrint_Handler.cpp
        * ACEXML/examples/SAXPrint/SAXPrint_Handler.inl
        * ACEXML/examples/SAXPrint/SAXPrint_Handler.h
        * ACEXML/examples/SAXPrint/SAXPrint_Handler.i
        * websvcs/lib/URL_Addr.h
        * websvcs/lib/URL_Addr.i
        * websvcs/lib/URL_Addr.cpp
        * websvcs/lib/URL_Addr.inl
        * examples/ASX/Event_Server/Event_Server/Options.h
        * examples/ASX/Event_Server/Event_Server/Options.i
        * examples/ASX/Event_Server/Event_Server/Options.inl
        * examples/ASX/UPIPE_Event_Server/Options.h
        * examples/ASX/UPIPE_Event_Server/Options.i
        * examples/ASX/UPIPE_Event_Server/Options.inl
        * examples/Service_Configurator/IPC-tests/server/Handle_Timeout.cpp
        * examples/Service_Configurator/IPC-tests/server/Handle_Timeout.inl
        * examples/Service_Configurator/IPC-tests/server/Handle_L_SPIPE.cpp
        * examples/Service_Configurator/IPC-tests/server/Handle_L_SPIPE.inl
        * examples/Service_Configurator/IPC-tests/server/Handle_L_CODgram.h
        * examples/Service_Configurator/IPC-tests/server/Handle_L_CODgram.i
        * examples/Service_Configurator/IPC-tests/server/Handle_L_FIFO.h
        * examples/Service_Configurator/IPC-tests/server/Handle_L_FIFO.i
        * examples/Service_Configurator/IPC-tests/server/Handle_Broadcast.h
        * examples/Service_Configurator/IPC-tests/server/Handle_Broadcast.i
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Pipe.cpp
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Pipe.inl
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Dgram.h
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Dgram.i
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Stream.h
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Stream.i
        * examples/Service_Configurator/IPC-tests/server/Handle_R_Dgram.h
        * examples/Service_Configurator/IPC-tests/server/Handle_R_Dgram.i
        * examples/Service_Configurator/IPC-tests/server/Handle_R_Stream.h
        * examples/Service_Configurator/IPC-tests/server/Handle_R_Stream.i
        * examples/Service_Configurator/IPC-tests/server/Handle_L_CODgram.inl
        * examples/Service_Configurator/IPC-tests/server/Handle_L_CODgram.cpp
        * examples/Service_Configurator/IPC-tests/server/Handle_Timeout.h
        * examples/Service_Configurator/IPC-tests/server/Handle_Timeout.i
        * examples/Service_Configurator/IPC-tests/server/Handle_L_FIFO.inl
        * examples/Service_Configurator/IPC-tests/server/Handle_L_FIFO.cpp
        * examples/Service_Configurator/IPC-tests/server/Handle_L_SPIPE.h
        * examples/Service_Configurator/IPC-tests/server/Handle_L_SPIPE.i
        * examples/Service_Configurator/IPC-tests/server/Handle_Broadcast.inl
        * examples/Service_Configurator/IPC-tests/server/Handle_Broadcast.cpp
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Dgram.cpp
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Dgram.inl
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Stream.cpp
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Stream.inl
        * examples/Service_Configurator/IPC-tests/server/Handle_R_Dgram.cpp
        * examples/Service_Configurator/IPC-tests/server/Handle_R_Dgram.inl
        * examples/Service_Configurator/IPC-tests/server/Handle_R_Stream.cpp
        * examples/Service_Configurator/IPC-tests/server/Handle_R_Stream.inl
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Pipe.h
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Pipe.i

          Moved the .i file to .inl (with history), changed the includes in the
          .cpp and .h files to match, removed the .i file.

Thu Jul 27 18:43:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Some more updates to refer to the subversion archive

Thu Jul 27 13:57:31 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * docs/svn/config

          Fixed syntax errors.  thanks to Adam Mitz for reporting them.

Thu Jul 27 10:14:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        Committing some small changes I had pending to see how svn behaves now
        with updates and status info on the build systems.

        * ace/Recursive_Thread_Mutex.{h,cpp}:
          Changed removed_ to a bool

        * ace/Thread_Mutex.{h,cpp,inl}:
          Changed removed_ to a bool and removed ACE_USES_OBSOLETE_GUARD_CLASSES
          support.

Thu Jul 27 07:37:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/tao.doxygen:
        * etc/tao_portableserver.doxygen:
          Set ignore prefix

        * Kokyu/Dispatcher_Task.i
        * Kokyu/Dispatcher_Task.inl
          Renamed .i to .inl so that we can have a look how subversion stores
          this in the history

        * Kokyu/Dispatcher_Task.cpp
        * Kokyu/Dispatcher_Task.h
        * Kokyu/Makefile.am
          Updated for the change above.

Wed Jul 26 07:25:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/sets-manager.py:
          Fixed typo

Wed Jul 26 07:25:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
        * html/Stats/index.shtml:
        * docs/ACE-bug-process.html:
          Updated documentation to point to the new svn repository

Tue Jul 25 21:51:07 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * bin/PythonACE/fuzz/max_project_len.py
        * bin/PythonACE/fuzz/inline.py

          Fixed errors in these checks.

Tue Jul 25 20:52:51 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * bin/PythonACE/fuzz/cpp_inline.py

          Fixed this check, it was incorrectly matching ACE_INLINES inside
          defines and comments.

Tue Jul 25 20:16:26 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * docs/svn/svn-prefs.reg
        * docs/svn/config

          Updated to add global-ignores to mimic .cvsignore functionality.

Tue Jul 25 19:40:54 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * bin/PythonACE/__init__.py

          This enables PythonACE to be loaded as a module.

        * bin/PythonACE/fuzz/check_includes.py
        * bin/PythonACE/fuzz/no_conflict_markers.py

          Fixed these checks, they were incorrectly flagging errors.

        * bin/fuzz.py

          Command line fuzz client that uses the PythonACE fuzz module.

        * bin/sets-manager.py

          Corrected this file to point at DOC/Middleware instead of ACE/Middleware.

Mon Jul 24 23:58:33 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * docs/svn/svn-prefs.reg
        * docs/svn/config

          Updated these files to add svn:keywords to most text types.

Mon Jul 24 23:53:53 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * bin/create_ace_build.pl

          Fix provided by Steve Huston to prevent this script from building
          links from .svn directories.

Mon Jul 24 19:17:37 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * bin/fuzz.pl

          Disabled the ID string check until the script can be fixed to ignore
          .svn directories.

Mon Jul 24 15:45:34 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * Subversion conversion completed at revision 73730

Sun Jul 23 15:44:43 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * Repository frozen for repository conversion

Sun Jul 23 11:17:31 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/make_release:
          Don't exclude the other mwc files for vc71/vc8, this will create then
          some more workspace files which just contain a subset of the projects

Sun Jul 23 09:25:12 UTC 2006  Olli Savia  <ops@iki.fi>

        * NEWS:
          Added a note about TTY_IO API change.

Sat Jul 22 19:12:10 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * docs/svn/config
        * docs/svn/svn-prefs.reg

          These are client side configuration files for Subversion. Currently,
          the automate setting svn:eol-style and svn:executable properties on
          newly added files.

Sat Jul 22 18:28:33 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * bin/sets-manager.py

          First cut of a branching script for subverion.  Pass --help
          to get documentation.

Fri Jul 21 13:28:31 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/taoidldefaults.mpb:
          Updated because of -oS addition to tao_idl

Fri Jul 21 13:17:31 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_unistd.cpp:
          Const improvements and initialise pointer with 0

Thu Jul 20 21:44:31 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tests/Service_Config_Test.cpp:

          In testLimits (), surrounded string literals with ACE_TEXT to
          fix a build error on wchar builds.

Thu Jul 20 16:42:04 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Basic_Types.h:

          Removed ACE_NTOHLL function.  It was experimental, untested and
          not ready for the ACE sources just yet.

          Removed "ace/os_include/netinet/os_in.h" include directive.  Now
          that ACE_NTOHLL has been removed it is no longer necessary.

        * ace/Numeric_Limits.h:

          Commented out "{unsigned} long long" specializations in the
          ACE_LACKS_NUMERIC_LIMITS case.  They're currently not used, and
          we need

Thu Jul 20 15:19:30 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Basic_Types.h: Added

          # include "ace/os_include/netinet/os_in.h" // Get ntohl()

          and added the inline keyword to ACE_NTOHLL() to fix the problems
          introduced with

          Wed Jul 19 22:46:51 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

Thu Jul 20 15:01:32 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Configuration.cpp: Made
          ACE_Configuration_ExtId::operator==() and
          ACE_Configuration_ExtId::operator!=() case insensitive.  Thanks
          to Domingos Monteiro <d dot monteiro at netia dot net> for this
          contribution.

Thu Jul 20 09:57:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/tao_no_iiop.mpb:
          New feature to disable iiop in TAO

        * bin/MakeProjectCreator/config/global.features:
          Set tao_no_iiop to 0 by default

Thu Jul 20 09:11:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.h:
          Doxygen improvements

Thu Jul 20 08:55:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Mutex.{h,cpp,inl}:
          Made the removed_ member a bool instead of an int

Thu Jul 20 08:37:17 UTC 2006  Olli Savia  <ops@iki.fi>

        * ace/TTY_IO.cpp:
          Fixed compile error on VxWorks. Thanks to Johnny for pointing
          out the problem.

Wed Jul 19 23:39:05 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * bin/PythonACE/fuzz/__init__.py
        * bin/PythonACE/fuzz/_generic_handler.py
        * bin/PythonACE/fuzz/_mailer.py
        * bin/PythonACE/fuzz/_singleton.py
        * bin/PythonACE/fuzz/_warning_handler.py
        * bin/PythonACE/fuzz/streams_include.py

          Changes necessary to support mailing (non-fatal) Fuzz errors to
          the user that attempts a commit.  streams_include is an example
          of a fuzz check that sends warnings instead of stopping commits.

Wed Jul 19 22:46:51 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Basic_Types.h (ACE_INT64, ACE_UINT64):

          Silence g++ "-pedantic" warnings regarding use of "long long"
          type by preceding the typedef with the g++ __extension__
          keyword.

Wed Jul 19 21:15:51 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * NEWS:

          Updated the file with a note announcing the interface change
          from "Wed Jul 19 20:11:52 UTC 2006".

Wed Jul 19 20:11:52 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/ACE.h:
        * ace/ACE.cpp:

          Changing ACE::debug () to use boolean instead of char.

        * ace/Acceptor.cpp:
        * ace/DLL_Manager.cpp:
        * ace/Dynamic_Service_Dependency.cpp:
        * ace/SOCK_Dgram_Bcast.cpp:
        * ace/Service_Gestalt.cpp:
        * ace/Service_Object.cpp:
        * ace/Service_Repository.cpp:
        * ace/Service_Types.cpp:

          Updating places where ACE::debug() return value is interpreted
          as a integral type.

        * tests/Service_Config_Test.cpp:

          Fixing the test to correctly account for XML-based service
          configurations.

Wed Jul 19 15:53:09 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * bin/PythonACE/fuzz/__init__.py
        * bin/PythonACE/fuzz/_fuzz.py
        * bin/PythonACE/fuzz/_generic_handler.py
        * bin/PythonACE/fuzz/_path.py
        * bin/PythonACE/fuzz/_types.py
        * bin/PythonACE/fuzz/check_includes.py
        * bin/PythonACE/fuzz/cpp_inline.py
        * bin/PythonACE/fuzz/inline.py
        * bin/PythonACE/fuzz/math_include.py
        * bin/PythonACE/fuzz/max_filename.py
        * bin/PythonACE/fuzz/max_project_len.py
        * bin/PythonACE/fuzz/newline.py
        * bin/PythonACE/fuzz/no_conflict_markers.py
        * bin/PythonACE/fuzz/noncvs.py
        * bin/PythonACE/fuzz/ptr_arith_t.py
        * bin/PythonACE/fuzz/refcountservantbase.py
        * bin/PythonACE/fuzz/verify_changelog.py

          This is a python module designed to eventually replace the
          bin/fuzz.pl script.  Each .py file in the fuzz directory that
          does not have a _ at the beginning of its filename contains a
          single check.  New fuzz checks can be added to the system simply
          by creating a new file in the fuzz directory.  Care should be
          taken to select a filename that does not conflict with an
          existing python module.

          ptr_arith_t.py and inline.py are good examples that use the
          generic handler to implement their checks, max_project_len is a
          good example of a check that does not use the generic handler.

Wed Jul 19 15:07:29 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/DLL_Manager.cpp:

          Fixing a build problem on HP and Windows, as a consequence of my
          earlier change: "Tue Jul 18 19:17:54 UTC 2006". Moral: use
          ACE_TEXT around literal expressions only.

Wed Jul 19 13:55:39 UTC 2006  Olli Savia  <ops@iki.fi>

        * examples/IPC_SAP/DEV_SAP/reader/reader.cpp:
        * examples/IPC_SAP/DEV_SAP/writer/writer.cpp:
          Updated to reflect changes below.

Wed Jul 19 13:39:13 UTC 2006  Olli Savia  <ops@iki.fi>

        * ace/TTY_IO.h:
          Changed type of rtsenb from 'int' to 'unsigned char'.
          Updated documentation to note that 'parityenb' member is
          now deprecated.

        * ace/TTY_IO.cpp:
          Changed constructor of Serial_Params class to assign sensible
          values to class members.

Wed Jul 19 10:47:31 UTC 2006  Steve Huston  <shuston@riverace.com>

        * tests/Proactor_Timer_Test.cpp: Corrected compile warning re static.

Wed Jul 19 08:00:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/ciao_config_handlers_base.mpb:
          Use exceptions as base project

Wed Jul 19 7:14:10 UTC 2006  Ossama Othman  <ossama_othman@symantec.com>

        * ace/String_Base.h (size_type):

          Explicitly bring the ACE_String_Base_Const::size_type typedef
          into the ACE_String_Base<> scope through a "using" declaration.
          IBM Visual Age 6 and Sun Studio 10 have difficulty resolving the
          name otherwise.

        * ace/SString.cpp:

          Replaced std::numeric_limits<>::max() call that was
          inadvertently introduced with its ACE_Numeric_Limits<>
          counterpart.  The former is not available on VxWorks.

Tue Jul 18 22:52:38 UTC 2006  Steve Huston  <shuston@riverace.com>

        * tests/Message_Queue_Test_Ex.cpp: Rearranged the pieces left out of
          single-threaded builds; should correct single-threaded builds.

Tue Jul 18 20:50:49 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * Happy Birthday to me!!

Tue Jul 18 19:17:54 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

          This change is in response to bug#2602, which was reported by
          Lothar Werzinger <lothar at tradescape dot biz>. It fixes a
          problem with trying to use XML as the service configuration file
          format.  The change also includes additional comments and
          in-line documentation on the new ability to use local service
          repositories.

        * ace/DLL_Manager.cpp:

          Updated the debugging output of DLL_Handle::open() to be able to
          see _why_ a DLL open failed.  For example, the errno message is
          'not found' in a case where one tries to open library A, which
          in turn depends on library B, but B is missing.  This change
          allows one to see the underlying cause for the error
          (via DLL_Handle::error(), if ACE_DEBUG=2, or greater is
          present).

        * ace/Parse_Node.h:
        * ace/Parse_Node.cpp:

          Moving the ACE_Service_Type_Factory here, from
          Service_Config.{h,cpp} This class is only needed when
          ACE_USES_CLASSIC_SVC_CONF is 1, i.e. when ACE is using the
          non-XML configuration file format.  Therefore, moving it to
          Parse_Node.{h,cpp} causes it to compile only if needed.

        * ace/Service_Config.h:

          Removed the static get_xml_svc_conf() method, as it already has
          the required implementation in the base class.

        * ace/Service_Gestalt.h:
        * ace/Service_Gestalt.cpp:

          Moved the ACE_Service_Type_Factory class to Parse_Node.{h,cpp}.
          Updated the documentation with a more clear description of the
          class responsibilities. Corrected minor omissions.

Tue Jul 18 18:12:17 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ACE-INSTALL.html: Updated the description of how to build
          ACE+TAO using MPC.  Thanks to Steve Totten for helping with
          this.

Tue Jul 18 19:04:42 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Numeric_Limits.h:

          Corrected short integer limit constants, i.e. "s/SHORT/SHRT/g".

          Try other known "long long" integer constants if
          "{U}LLONG_{MIN,MAX}" are not available.  Issue a preprocessor
          error if all known cases have been exhausted.

Tue Jul 18 16:55:31 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Makefile.am (libACE_la_SOURCES, nobase_include_HEADERS):

          Added new Sig_{Adapter,Handler}.* source and header files.

Mon Jul 17 23:18:52 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/README: Documented the ACE_TIMEPROBE_ASSERTS_FIXED_SIZE macro.

Mon Jul 17 23:16:55 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Timeprobe_T.cpp (timeprobe): Added a check to guard against
          segfaults by wrapping the index around when it reaches the end
          of the buffer.  Thanks to Patrick Rabau <pr2345 at gmail dot
          com> for this fix.

Tue Jul 18 13:21:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added Bug_2595_Regression

Tue Jul 18 12:48:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/taoidldefaults.mpb:
          Fixed the rules to decide whether a .inl file should be added
          or not. Thanks to Chad Elliot for noticing this incorrect
          rule.

Tue Jul 18 09:59:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/ProcessVX_Win32.pm:
          Increased delay factor from 2 to 3, downloading executables
          seems to take longer now

Tue Jul 18 09:54:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/Process_Unix.pm:
          Removed chorus support

Mon Jul 17 22:52:19 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/Proactor.cpp (schedule_timer): Record the ACE_Proactor instance
          that the timer is scheduled on in the ACE_Handler; makes this
          behavior analogous to that in ACE_Reactor::schedule_timer().

        * tests/Proactor_Timer_Test.cpp: Add a test for repeating timers and
          canceling a repeating timer when it's likely that an expiration for
          the timer is already queued when it's canceled.

Mon Jul 17 16:06:57 UTC 2006  Steve Huston  <shuston@riverace.com>

        * tests/Unload_libACE.cpp: Alter the libACE suffix for HP-UX on
          PA-RISC only. Also see:
          Fri Jul 14 19:44:03 UTC 2006  john_c  <johnc@ociweb.com>

Mon Jul 17 22:11:42 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * examples/Threads/process_semaphore.cpp:

          Added #include of ace/OS_NS_stdlib.h to get ACE_OS::atoi().

Mon Jul 19 11:21:56 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/String_Base.cpp:
        * ace/String_Base.inl:

          Explicitly qualify size_type parameters with "typename" to force
          some compilers (Sun Studio 10) to recognize it as a type.

Mon Jul 17 17:49:41 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * include/makeinclude/platform_hpux_aCC.GNU (SOFLAGS):

          Corrected shared library path for Itanium builds.

        * protocols/ace/HTBP/HTBP_ID_Requestor.cpp (get_HTID):

          Use new ACE_CString::size_type type to hold string
          position/index value, instead of "int".  Addresses "comparison
          between signed and unsigned" warnings.

Mon Jul 17 16:04:07 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * NEWS:

          Added information about the use of atomic operations on SPARC
          Solaris.

Mon Jul 17 15:09:21 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/Refcounted_Auto_Ptr.{h inl} (null): Changed the return type
          of the null() method from int to bool in order to more accurately
          reflect the true/false nature of the returned value.

        * NEWS: Noted the above change.

Mon Jul 17 15:05:05 UTC 2006  Steve Huston  <shuston@riverace.com>

        * examples/System_V_IPC/SV_Message_Queues/MQ_Server.cpp: Added
          include "ace/Log_Msg.h" in the "non-supported platform" case.
          Fixes compile error on Windows.

Mon Jul 17 13:03:09 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * ace/ace_for_tao.mpc:

          Sig_Handler.cpp and Sig_Adapter.cpp are needed to link gperf.

Mon Jul 17 12:49:34 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * netsvcs/servers/main.cpp:

          Added a missing #include for ace/Sig_Adapter.h.

Mon Jul 17 11:57:26 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * ace/qt_reactor.mpb:

          Removed this file.  It was no longer referenced by ace and it's
          functionality was replaced by ace_qtreactor.mpc.

Mon Jul 17 10:41:14 UTC 2006  Steve Huston  <shuston@riverace.com>

        * tests/Message_Queue_Test_Ex.cpp: Removed the VxWorks-specific
          section from MQ_Ex_N_Tester::receiver() - it was apparantly
          pulled in from another test example and didn't need to be here.
          Should resolve compile errors on VxWorks.

Mon Jul 18 09:32:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-vxworks6.3.h:
        * include/makeinclude/platform_vxworks6.3.GNU:
          New files for VxWorks 6.3

        * ace/os_include/sys/os_types.h:
        * ace/os_include/os_stdio.h:
        * ace/OS_NS_unistd.inl:
        * ace/OS_NS_arpa_inet.cpp:
          Updated for VxWorks 6.3

Sun Jul 17 06:49:21 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * apps/soreduce/Library.cpp (set_path):
        * apps/soreduce/Obj_Module.cpp (add_source):
        * examples/Misc/test_sstring.cpp:
        * examples/Web_Crawler/Command_Processor.cpp:
        * examples/Web_Crawler/URL_Visitor.cpp:

          Use new ACE_CString::size_type type to hold string
          position/index value, instead of "int".  Addresses "comparison
          between signed and unsigned" warnings.

        * examples/APG/Signals/SigAction.cpp:
        * examples/System_V_IPC/SV_Message_Queues/MQ_Server.cpp:
        * examples/System_V_IPC/SV_Message_Queues/TMQ_Server.cpp:

          Include "ace/OS_NS_stdlib.h" to pull in ACE_OS::exit()
          prototype.

        * examples/APG/Signals/SigGuard.cpp:
        * examples/APG/Signals/SigHandler.cpp:
        * examples/APG/Signals/SigHandlers.cpp:
        * examples/APG/ThreadManagement/Signals.cpp:
        * examples/APG/ThreadManagement/Signals2.cpp:
        * examples/ASX/CCM_App/SC_Server.cpp:
        * examples/ASX/Event_Server/Event_Server/event_server.cpp:
        * examples/ASX/UPIPE_Event_Server/event_server.cpp:
        * examples/Connection/blocking/SPIPE-connector.h:
        * examples/Connection/misc/Connection_Handler.cpp:
        * examples/Connection/non_blocking/CPP-acceptor.h:
        * examples/Connection/non_blocking/CPP-connector.h:
        * examples/Service_Configurator/IPC-tests/server/server_test.cpp:
        * netsvcs/lib/TS_Clerk_Handler.cpp:

          Include "ace/Sig_Handler.h" or "ace/Sig_Adapter.h" to pull in
          ACE_Sig_Handler or ACE_Sig_Adapter class declaration,
          respectively.  Necessitated by "ace/Signal.h" refactoring.

Sun Jul 16 23:14:53 UTC 2006  Ciju John  <johnc@ociweb.com>

        * ace/String_Base_Const.cpp:

          Took out an extra sem-colon. It seems to make the
          FC4_Versioned_Namespace build grumpy.

Sat Jul 15 16:14:05 UTC 2006  Ciju John  <johnc@ociweb.com>

        * NEWS:

          Added entry on HPUX library extension changes.

Fri Jul 14 22:10:02 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Sig_Handler.cpp:

          Removed explicit template instantiations.  They snuck back in
          when Signal.* was refactored.  Thanks to Johnny for pointing
          this out.

Fri Jul 14 21:32:02 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Numeric_Limits.h:

          "ace/ACE_Export.h" -> "ace/ACE_export.h".  Darn Windows case
          insensitivity.

          Removed unnecessary "ACE_Export" from ACE_Numeric_Limits primary
          template.

        * ace/Registry.cpp (make_name):

          Use ACE_TString::size_type, not ssize_t, to hold string position
          values.  Addresses signed/unsigned comparison warnings.

        * ace/Shared_Memory_Pool.h:

          Include new "ace/Sig_Handler.h" header to pull in
          ACE_Sig_Handler class declaration.

        * ace/String_Base.h:

          Added tips to documentation related to potentially user visible
          changes.

Fri Jul 14 21:10:11 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Atomic_Op.h (ACE_Atomic_Op):
        * ace/Atomic_Op.inl (ACE_Atomic_Op):

          Reverted change that made the constructor parameters for the
          "long" type specialization be passed in by reference to const
          instead of by value.  Explicit template instantiation is no
          longer performed by ACE so there is no need for the
          specialization constructor parameters to match the primary
          template constructor parameters.

        * ace/CDR_Base.cpp:
        * ace/CDR_Stream.h:
        * ace/CDR_Stream.inl:

          Const-correctness improvements.

        * ace/CDR_Base.h:

          Minor const related cosmetic changes.

        * ace/CDR_Base.inl (first_size, next_size):

          Quickly multiply by two using a bit shift.  This is guaranteed
          to work since the variable is an unsigned integer.

        * ace/CORBA_macros.h:

          Removed unnecessary instantiation of emulated exception
          environment variable from native exception case.  Reduces
          footprint in code that uses the ACE emulated exception macros in
          a native C++ exception configuration, and provides a slight
          performance increase due to resulting tighter binaries.

        * ace/DLL_Manager.cpp (get_dll_names):

          ACE_TString::rfind() now return an ACE_TString::size_type type.
          Use ACE_TString::size_type, not ssize_t, to hold the return
          value of ACE_TString::rfind().

        * ace/Dev_Poll_Reactor.cpp:

          Include new "ace/Sig_Handler.h" header to pull in
          ACE_Sig_Handler class declaration.

          Added support for HP-UX devpoll headers.

        * ace/Event_Handler.cpp:

          No need to include "ace/Message_Block.h".

        * ace/MMAP_Memory_Pool.h:
        * ace/Select_Reactor_T.cpp:
        * ace/TP_Reactor.cpp:
        * ace/WFMO_Reactor.inl:

          Include new "ace/Sig_Handler.h" header to pull in
          ACE_Sig_Handler class declaration.

        * ace/Malloc_Base.h (ACE_Allocator):

          Defined a new "size_type" typedef (currently a "size_t") to
          simplify potential allocator size type changes in the future.
          It's introduction was motivated by the ACE string class size
          type fixes described below.  Analogous to the STL
          std::allocator<>::size_type typedef.

        * ace/Numeric_Limits.h:

          Traits containing basic integer limits.  Useful for
          template-based code on platforms that lack
          std::numeric_limits<>.  These traits are not meant to be a
          replacement for std::numeric_limits<>.  Rather they are a crutch
          until all ACE-supported platforms support
          std::numeric_limits<>.  [Bug 2451]

        * ace/OS_NS_dirent.inl:

          "__USE_POSIX" -> "_POSIX_SOURCE".  The former is a C library
          implementation-specific feature test macro/symbol.

        * ace/OS_NS_stdio.cpp:
        * ace/OS_NS_stdio.h:
        * ace/OS_NS_stdio.inl (get_win32_versioninfo):

          Fixed/added missing wide character support.

        * ace/OS_NS_stdlib.cpp (mkstemp_emulation):

          Clean up preprocessor conditional blocks by taking advantage of
          new ACE_Numeric_Limits<> trait templates.

        * ace/OS_NS_stdlib.inl (atop):

          Address VC++ 64-bit warnings by taking advantage of standard
          intptr_t type, if available.

        * ace/OS_NS_sys_socket.inl (closesocket):

          Do not shutdown the write end here.  Doing so will break
          applications that duplicate a handle on fork(), for example, and
          expect to continue writing in the fork()ed process.

        * ace/OS_NS_sys_utsname.cpp (uname):

          Fixed garbage in wide string output.

        * ace/Object_Manager.cpp:

          No need to include "ace/Containers.h".

          Include newly refactored "ace/Sig_Adapter.h" instead of old
          "ace/Signal.h".  Removes dependency on the ACE_Reactor.  Allows
          service configurator-disabled subset containing
          ACE_Object_Manager support to be built, e,g, MPC ace_svcconf=0
          configuration.

        * ace/Object_Manager_Base.cpp (init):
        * ace/Process.cpp (pass_handle):

          Fixed Windows version info handling in wide string
          configurations.

        * ace/Process_Manager.h (wait):

          Clarified that the timeout value is a relative time, not
          absolute, in the documentation.

        * ace/SOCK_Acceptor.cpp (shared_open):

          Removed assertion that assumes all protocol families are
          internet related.  This method is invoked by some non-internet
          protocol subclasses, such as ACE_LSOCK_Acceptor.

        * ace/SOCK_Stream.cpp (close):

          Reinstituted explicit close_writer() method call for the
          ACE_WIN32 case since ACE_OS::close() no longer causes the writer
          to be shutdown on Windows (nor should it!).

        * ace/Service_Config.cpp:

          Replaced old "ace/Signal.h" include directive with
          "ace/Sig_Adapter.h".  ACE_Sig_Handler support is unnecessary.

          Removed redundant "ace/Service_Config.h" include directive.

        * ace/Sig_Adapter.cpp:
        * ace/Sig_Adapter.h:
        * ace/Sig_Handler.cpp:
        * ace/Sig_Handler.h:
        * ace/Sig_Handler.inl:
        * ace/Signal.cpp:
        * ace/Signal.h:
        * ace/Signal.inl:

          Refactored ACE_Sig_Adapter and ACE_Sig_Handler classes from
          "ace/Signal.*" into their own dedicated source files.  Allows
          ACE_Sig_{Guard,Set} to be used without introducing a dependency
          on the ACE_Reactor framework.

        * ace/String_Base_Const.cpp (npos):
        * ace/String_Base_Const.h (npos):

          Introduced a new "size_type" typedef.  This is consistent with
          the standard C++ string class typdef/trait.

          The "no position" constant is now an unsigned integer of the
          same "size" type used by the underlying ACE string allocator.
          It is defined to be the maximum value the unsigned type can
          handle (e.g. ACE_Numeric_Limits<size_type>::max()).  This works
          since a string length will always be less than or equal to
          "max() - 1" since the final character in the string is the null
          terminator.  [Bug 2598]

        * ace/String_Base.cpp:
        * ace/String_Base.h:
        * ace/String_Base.inl:
        * ace/SString.cpp:
        * ace/SString.h:
        * ace/SString.inl:

          All size parameter and return value types are now consistent
          with the size type of the underlying allocator
          (i.e. ACE_Allocator::size_type).  Addresses inability of ACE
          string classes to provide valid search index for string lengths
          greater than the maximum value of ssize_t, a signed type.  In
          particular, the find(), rfind() and strstr() methods now return
          an unsigned integer (size_t) instead of a signed one
          (ssize_t). Affected classes include:

              ACE_CString
              ACE_WString
              ACE_TString
              ACE_NS_WString

         Unless you have been explicitly using -1 instead of npos when
         comparing the return value of find(), rfind() and strstr(),
         and/or assigning the return value to ssize_t you should not see
         any difference. A new size_type typedef has been added to the ACE
         string class to aid developers.

         The ACE_String_Base<>::strstr() documentation as well as a
         default rfind() argument erroneously referred to -1 instead of
         npos. Those instances have been corrected.

         To summarize, a "no position" condition is denoted using the npos
         constant, not -1. It can be referred directly by scoping it with
         the appropriate string class (e.g. ACE_CString::npos,
         ACE_WString::npos, etc).  [Bug 2598]

        * ace/Task_T.h:

          Include "ace/IO_Cntl_Msg.h" to pull in ACE_IO_Cntl_Msg class
          declaration.

        * ace/Time_Value.cpp (max_time):

          Cleaned up preprocessor conditional blocks by taking advantage
          of ACE_Numeric_Limits trait templates.

        * ace/Timer_Queue_Adapters.cpp:

          Include "ace/Signal.h" to pull in ACE_Sig_Guard class
          declaration.

        * ace/Timer_Queue_Adapters.h:

          Forward declare ACE_Sig_Set class.  No need for the full blown
          declaration.

        * ace/Token.cpp:

          Minor cosmetic change.

        * ace/ace_wchar.h (ACE_GetVersionEx):

          New wide string support for Windows "GetVersionEx{A,W}()"
          functions.

        * ace/ace_wchar.inl:

          Improved const-correctness.

        * ace/config-aix-4.x.h:
        * ace/config-macosx-panther.h:
        * ace/config-macosx-tiger.h:
        * ace/config-macosx.h:

          Fixed single-threaded configuration so that all multi-thread
          support is disabled.

        * ace/ace.mpc:

          Added missing DLL_Manager.cpp source file, and newly refactored
          Sig_{Adapter,Handler}.cpp source files.

        * ace/ace_for_tao.mpc:

          Explicitly require the ace_svcconf MPC feature.

          Added missing ACE_LACKS_ACE_TOKEN macro.  The ace_for_tao subset
          does not support ACE's token collections.

        * ace/svcconf.mpb:

          Do not define ACE_HAS_ACE_SVCCONF.  There is no such macro in
          the ACE sources.

          Explicitly remove ACE_LACKS_ACE_SVCCONF from the macro list.

          Moved "DLL_Manager.cpp" to the core ACE library source file
          list.  "DLL_Manager.cpp" is not an optional component, and must
          always exist in ACE regardless of whether or not ACE's service
          configurator support is enabled.

        * ace/token.mpb:

          Do not define ACE_HAS_ACE_TOKEN.  There is no such macro in
          the ACE sources.

          Explicitly remove ACE_LACKS_ACE_TOKEN from the macro list.

        * bin/MakeProjectCreator/config/ace_for_tao.mpb:

          Added missing ACE_LACKS_ACE_TOKEN macro.  The ace_for_tao subset
          does not support ACE's token collections.

        * tests/SString_Test.cpp:

          Corrected checks for "no position" return values to compare
          against "npos" constant, not "-1".

Fri Jul 14 20:57:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/INET_Addr.cpp:
          Initialise some pointers explicitly with 0

Fri Jul 14 20:41:23 UTC 2006  john_c  <johnc@ociweb.com>

        * bin/tao_orb_tests.lst:

          Add new test TAO/tests/Optimized_Connection to nightly builds.

Fri Jul 14 20:39:41 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/config-vxworks6.2.h: Reverted this change:
          Fri Jul 14 10:34:43 UTC 2006  Steve Huston  <shuston@riverace.com>
          It appears to not work, and I can't test anything else here.

Fri Jul 14 18:53:32 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/global.features
        * bin/MakeProjectCreator/config/stl.mpb

          Added an stl feature/base project for projects that use portions
          of the STL that may not be universally supported.

Fri Jul 14 19:44:03 UTC 2006  john_c  <johnc@ociweb.com>

        * ace/config-hpux-11.00.h:
        * include/makeinclude/platform_hpux_aCC.GNU:

          Changing the shared library extension for hpux ia64 to ".so". On
          HP-UX 11i Version 1.5 the naming scheme is lib*.sl for PA and
          lib*.so on IPF.

Fri Jul 14 19:29:59 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_stdio.cpp (DllMain): Add extern "C" to the DllMain
          signature - enables it to be located and called at startup.
          Thanks to Hubert Talbot <Hubert dot Talbot at criq dot qc dot ca>
          for this fix.

Fri Jul 14 19:13:06 UTC 2006  john_c  <john@ociweb.com>

        * ace/Timer_Queue_Adapters.cpp:

          Include file was missing. Fixes compile error when
          ACE_HAS_DEFERRED_TIMER_COMMANDS is defined.

Fri Jul 14 19:05:15 UTC 2006  Ciju John  <john_c@ociweb.com>

        * bin/tao_other_tests.lst:

          Adding the TAO/orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated
          test to nightly builds.

Fri Jul 14 16:25:00 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * bin/tao_orb_tests.lst:
          Added exclusions for Bug_2593_Regression test.

Fri Jul 14 15:50:34 UTC 2006  Adam Mitz  <mitza@ociweb.com>

        * bin/PerlACE/Process_Unix.pm:
        * bin/PerlACE/Process_Win32.pm:

          Added an optional parameter to Process->Kill().  If the parameter is
          true then the return value from the process is ignored.

Fri Jul 14 15:45:04 UTC 2006  Steve Huston  <shuston@riverace.com>

        * tests/Message_Queue_Test_Ex.{h cpp}: Corrected for !ACE_HAS_THREADS.

Fri Jul 14 15:39:53 UTC 2006  Adam Mitz  <mitza@ociweb.com>

        * bin/tao_other_tests.lst:
          Added new test (TAO/orbsvcs/tests/CosEvent/Timeout/run_test.pl).

Fri Jul 14 10:34:43 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/config-vxworks6.2.h: Added ACE_LACKS_USECONDS_T to fix a
          compile error. It's in the non-__RTP__ section since that's where
          ACE_LACKS_SUSECONDS_T was, but I'm not sure this is correct.

Fri Jul 14 07:26:46 UTC 2006  Olli Savia  <ops@iki.fi>

        * ace/Thread_Mutex.h:
        * ace/ace_wchar.h:
        * tests/SOCK_Dgram_Bcast_Test.cpp:
          Fixed typos in comments.

        * m4/config_h.m4:
          Removed references to ACE_HAS_TERM_IOCTLS. It's no longer
          used in ACE/TAO/CIAO code.

Fri Jul 14 02:11:21 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * bin/tao_orb_tests.lst:
          Added new test for Bug 2593 to nightly suite.

Thu Jul 13 20:40:10 UTC 2006  Olli Savia  <ops@iki.fi>

        * ace/config-integritySCA.h:
          Removed references to ACE_HAS_ATTR_SETSCHED. It's no longer
          used in ACE/TAO/CIAO code.

        * ace/config-rtems.h:
          Removed references to ACE_HAS_SIGNAL_SAFE_OS_CALLS. It's no longer
          used in ACE/TAO/CIAO code.

        * ace/config-sco-5.0.0-mit-pthread.h:
          Removed references to ACE_HAS_T_OPMGMT. It's no longer
          used in ACE/TAO/CIAO code.

Thu Jul 13 10:35:39 UTC 2006  Olli Savia  <ops@iki.fi>

        * ace/Base_Thread_Adapter.cpp:
        * ace/Cleanup.cpp:
        * ace/OS.cpp:
        * ace/OS_Errno.cpp:
        * ace/OS_Log_Msg_Attributes.cpp:
        * ace/OS_NS_Thread.cpp:
        * ace/OS_NS_arpa_inet.cpp:
        * ace/OS_NS_ctype.cpp:
        * ace/OS_NS_dirent.cpp:
        * ace/OS_NS_dlfcn.cpp:
        * ace/OS_NS_errno.cpp:
        * ace/OS_NS_fcntl.cpp:
        * ace/OS_NS_math.cpp:
        * ace/OS_NS_netdb.cpp:
        * ace/OS_NS_poll.cpp:
        * ace/OS_NS_pwd.cpp:
        * ace/OS_NS_regex.cpp:
        * ace/OS_NS_signal.cpp:
        * ace/OS_NS_stdio.cpp:
        * ace/OS_NS_stdlib.cpp:
        * ace/OS_NS_string.cpp:
        * ace/OS_NS_strings.cpp:
        * ace/OS_NS_stropts.cpp:
        * ace/OS_NS_sys_mman.cpp:
        * ace/OS_NS_sys_msg.cpp:
        * ace/OS_NS_sys_resource.cpp:
        * ace/OS_NS_sys_select.cpp:
        * ace/OS_NS_sys_sendfile.cpp:
        * ace/OS_NS_sys_shm.cpp:
        * ace/OS_NS_sys_socket.cpp:
        * ace/OS_NS_sys_stat.cpp:
        * ace/OS_NS_sys_time.cpp:
        * ace/OS_NS_sys_uio.cpp:
        * ace/OS_NS_sys_wait.cpp:
        * ace/OS_NS_time.cpp:
        * ace/OS_NS_unistd.cpp:
        * ace/OS_NS_wchar.cpp:
        * ace/OS_TLI.cpp:
        * ace/Thread_Adapter.cpp:
        * ace/Thread_Control.cpp:
        * apps/JAWS2/HTTPU/parse_http_request.cpp:
        * apps/JAWS2/HTTPU/parse_http_response.cpp:

          Fixed typo in comment.

Thu Jul 13 09:51:33 UTC 2006  Olli Savia  <ops@iki.fi>

        * configure.ac:
          Removed references to ACE_HAS_EXCEPTION_H. It's no longer
          used in ACE/TAO/CIAO code.

Thu Jul 13 09:48:10 UTC 2006  Olli Savia  <ops@iki.fi>

        * ace/os_include/os_string.h:
        * ace/os_include/os_stropts.h:
          Fixed typo in comment.

Thu Jul 13 09:32:54 UTC 2006  Olli Savia  <ops@iki.fi>

        * ace/config-vxworks6.2.h:
        * configure.ac:
        * m4/config_h.m4:
          Removed references to ACE_HAS_USING_KEYWORD. It's no longer
          used in ACE/TAO/CIAO code.

Thu Jul  6 20:45:15 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/Refcounted_Auto_Ptr.{h inl}: Repaired the ACE_Refcounted_Auto_Ptr
          reset() and release() methods per Bugzilla #1925. They will both now
          detach from the underlying ACE_Refcounted_Auto_Ptr_Rep object;
          reset() will create a new one for the new pointer specified as its
          argument. Generally modified the class to not make changes to the
          underlying ACE_Refcounted_Auto_Ptr_Rep (such as with reset()). This
          safely allows the get() method to avoid using the lock for reading
          the pointer value since there's no way to change the underlying
          rep's pointer.
          Also cleaned up the Doxygen stuff for these classes.

          This work resulted in removal of the following methods in
          ACE_Refcounted_Auto_Ptr_Rep (not ACE_Refcounted_Auto_Ptr):
            - null ()
            - assign ()
            - release ()
            - reset ()

          This significantly improves ACE_Refcounted_Auto_Ptr. This is not
          a recommendation to [not] use it over ACE_Strong_Bound_Ptr. Just
          responding to user reports. It may still be possibly/adviseable to
          work further on this class, though I have no specific ideas or
          reports at this time.

        * tests/Refcounted_Auto_Ptr_Test.{h cpp}: Added tests for release()
          and reset() per code supplied in Bugzilla #1925. Removed code in
          ACE_ASSERT since it doesn't run in Release builds; replaced with
          explicit checks and ACE_ERROR.

Wed Jul 12 20:32:49 UTC 2006  Steve Huston  <shuston@riverace.com>

        * tests/Message_Queue_Test_Ex.{h cpp}: Fixed compile errors on Linux.

Wed Jul 12 19:15:58 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/Message_Queue_T.{h cpp}: Added a new class,
          ACE_Message_Queue_Ex_N<class ACE_MESSAGE_TYPE, ACE_SYNCH_DECL>, that
          is similar to ACE_Message_Queue_Ex in that the object queued is a
          template parameter. However, ACE_Message_Queue_Ex_N allows the
          enqueueing and dequeueing of multiple chained objects at once. This
          wasn't added to ACE_Message_Queue_Ex because the chained object
          functionality requires the ACE_MESSAGE_TYPE class to have a
          ACE_MESSAGE_TYPE *next (void) const method, analogous to
          ACE_Message_Block::next(), to follow the chain and this would
          probably break existing applications using ACE_Message_Queue_Ex.

        * tests/Message_Queue_Test_Ex.{h cpp}: Added test capability for
          ACE_Message_Queue_Ex_N.

        * NEWS: Added description of the new class.

          Thanks to Guy Peleg <guy dot peleg at amdocs dot com> for
          contributing this new class and its tests.

Wed Jul 12 16:37:40 UTC 2006  Steve Huston  <shuston@riverace.com>

        * etc/ace.doxygen:
        * etc/ace_qos.doxygen:
        * etc/ace_ssl.doxygen: Use the IGNORE_PREFIX directive to have Doxygen
          ignore the ACE_, ACE_QoS_, ACE_SSL_ prefixes when alphabetizing
          the class index. Thanks to Stefan Naewe <naewe dot s at atlas dot de>
          for this idea.

        * THANKS: Added Stefan Naewe to the Hall of Fame.

Wed Jul 12 14:30:16 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/config-lynxos.h:
        * ace/config-netbsd.h: Changed ACE_SCANDIR_CMP_USES_VOIDPTR to
          ACE_SCANDIR_CMP_USES_CONST_VOIDPTR - makes it match the decl in
          ace/os_include/os_dirent.h and should resolve a compile error.

Wed Jul 12 13:55:09 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/Message_Queue.inl: Move the #include out of the namespace; see
          Tue Jul 11 13:38:10 UTC 2006  Steve Huston  <shuston@riverace.com>

Wed Jul 12 10:15:12 UTC 2006  Martin Corino <mcorino@remedy.nl>

        * include/makeinclude/platform_openvms.GNU:
          Added fixes for SSL support.

        * ace/config-openvms.h:
          Added ACE_HAS_PTHREAD_SCHEDPARAM.

        * ace/Global_Macros.h:
        * ace/Lib_Find.cpp:
        * ace/Service_Config.cpp:
        * ace/Service_Config.h:
        * ace/Service_Object.cpp:
        * ace/Service_Object.h:
          Moved OpenVMS specific dynamic service support class to a
          better place.

Wed Jul 12 07:13:01 UTC 2006  Olli Savia  <ops@iki.fi>

        * ace/FILE_Connector.cpp:
          It is safe to use ACE_OS::mkstemp() on all platforms.

Wed Jul 12 02:21:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_order.lst:
          Build ObjRefTemplate before IORInterceptor

Tue Jul 11 23:09:28 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * include/makeinclude/platform_hpux_aCC.GNU:

          The C compiler doesn't support the -mt option.  So, add -mt to
          CC_THR_DEFS and then later add CC_THR_DEFS to CCFLAGS.  CCFLAGS
          isn't used when compiling C files.

Tue Jul 11 22:30:21 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/config-win32-common.h:
        * ace/config-WinCE.h: Break the tight tie between UNICODE and
          ACE_USES_WCHAR I introduced in
          Thu Oct  6 17:56:19 2005  Steve Huston  <shuston@riverace.com>
          Now ACE_USES_WCHAR is always on for CE; non-CE Windows builds must
          explicitly set ACE_USES_WCHAR independent of UNICODE. Thanks to
          Russell Morra <russell_mora at symantec dot com> for explaining
          the situation and submitting this fix.

Tue Jul 11 22:20:14 UTC 2006  Steve Huston  <shuston@riverace.com>

        * bin/generate_doxygen.pl: Add the ability to put the generated
          HTML output in a specified location using the new -html_output
          command line option. It alters the path specified for the
          HTML_OUTPUT and GENERATE_TAGFILE Doxygen options.

Tue Jul 11 22:09:56 UTC 2006  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/platform_linux.GNU: Added support for the
          "buildbits=64" and "buildbits=32" make settings to target
          32- and 64-bit build targets, respectively. Thanks to Boris
          Kaminer <boris dor kaminer at gmail dot com> for this addition.

Tue Jul 11 22:22:04 UTC 2006  Steve Huston  <shuston@riverace.com>

        * configure.ac: Change the minimum automake version to 1.9.6; this is
          required to generate Makefiles that work properly on AIX.

        * m4/compiler.m4: For AIX, replace ACE_AIX_MAJOR_VERS and
          ACE_AIX_MINOR_VERS compile macros with ACE_AIX_VERS as the
          hand-edited platform_aix_ibm.GNU has and the code expects.
          Also removed the AIX 3 and 4 code since AIX 3 and 4 are no longer
          supported. Also, turned on -qtemplateregistry for xlC-type
          compilers (Visual Age C++ 6 and XL C++ 7).

Tue Jul 11 21:37:51 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_stdio.cpp (snprintf, sprintf): In the wchar versions,
          adjust the preprocessor checks to pick up the way that Solaris
          indicates the presence of XPG5 capability. Allows these functions
          to work, which allows ACE_Log_Msg to work also.

        * ace/OS_NS_unistd.{h inl} (ualarm): Changed u_long arguments and
          return value to useconds_t to gain portability.

        * ace/OS_NS_dirent.{h inl cpp}: Made the selector and comparator
          function pointer arguments to ACE_OS::scandir() and
          scandir_emulation() be extern "C" to enforce their use with a
          C RTL function. This resolves warnings from Solaris and makes usage
          correct across all platforms. The function types are now in
          typedefs ACE_SCANDIR_SELECTOR and ACE_SCANDIR_COMPARATOR,
          respectively. The typedef was used previously only for Windows/MSVC
          where the calling convention change had bit someone - now it's
          uniform for all.
          Also, folded in the ACE_SCANDIR_CMP_USES_VOIDPTR def here to
          set up the proper typing with extern "C" for when it's needed to
          cast inside the ACE_OS::scandir() implementation. The interface
          offered by ACE_OS::scandir() is always defined in terms of
          ACE_SCANDIR_SELECTOR and ACE_SCANDIR_COMPARATOR.

        * ace/Dirent_Selector.{h cpp}: Use the extern "C"-containing typedefs
          for selector/comparator functions set up for ACE_OS::scandir() in
          ACE_Dirent_Selector as well since they get passed through to ACE_OS.

        * apps/soreduce/Library.cpp:
        * tests/Dirent_Test.cpp: Mark selector/comparator functions that'll be
          passed to ACE_OS::scandir() as extern "C" to match new param types.

        * ace/config-aix-5.x.h: Added ACE_HAS_SCANDIR since AIX has scandir(),
          as well as the needed ACE_SCANDIR_SEL_LACKS_CONST and
          ACE_SCANDIR_CMP_USES_VOIDPTR to adjust to it's differences from
          the common way scandir() is usually defined.

        * ace/config-hpux-11.00.h: Added ACE_HAS_SCANDIR.

        * ace/config-linux-common.h: Clarify that, despite the man page,
          ACE_SCANDIR_CMP_USES_CONST_VOIDPTR is needed, at least on RHEL 3
          and 4.

        * ace/README: Added descriptions for ACE_HAS_SCANDIR and
          ACE_SCANDIR_CMP_USES_VOIDPTR as well as the new settings
          ACE_SCANDIR_SEL_LACKS_CONST and ACE_SCANDIR_CMP_USES_CONST_VOIDPTR.

        * NEWS: Summarize the above user-visible selector/comparator changes.

Tue Jul 11 17:39:00 UTC 2006  Olli Savia  <ops@iki.fi>

        * ace/Basic_Types.h:
        * ace/OS.h:
          Removed unnecessary includes.

Tue Jul 11 17:25:06 UTC 2006  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_rtems.x_g++.GNU:
        * include/makeinclude/wrapper_macros.GNU:

          Removed references to obsolete ACE_HAS_GNUG_PRE_2_8 make
          variable. Removed egcs checks.

Tue Jul 11 16:55:57 UTC 2006  Olli Savia  <ops@iki.fi>

        * ace/TTY_IO.cpp:
          Enable raw mode correctly on POSIX systems. Accept "none" as
          valid parity value. Thanks to hongxing <hongxing777 at gmail dot com>
          for the patch.

        * ace/TTY_IO.h:
          Updated documentation to reflect changes above.

        * ace/os_include/sys/os_resource.h:
          Fixed typo in comment.

Tue Jul 11 16:38:29 UTC 2006  Olli Savia  <ops@iki.fi>

        * ace/config-linux-common.h:
        * ace/os_include/os_signal.h:
        * ace/os_include/os_stropts.h:

          Changed ACE_HAS_ISASTREAM_PROTO to ACE_HAS_ISASTREAM_PROTOTYPE and
          ACE_HAS_PTHREAD_SIGMASK_PROTO to ACE_HAS_PTHREAD_SIGMASK_PROTOTYPE
          to better follow ACE naming conventions.

Tue Jul 11 13:38:10 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/Message_Queue.inl: Include "ace/Guard_T.h" in the ACE_WIN32
          section to avoid compile errors with Release builds.

        * ace/TSS_T.h: Improved documentation.

        * tests/ACE_Init_TestDlg.cpp: Added comment block at the top to explain
          the file's purpose.

        * tests/Task_Test.cpp: Added a smoke test for the new
          ACE_Task::last_thread() method.

Thu Jul  6 12:48:58 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/OS_NS_sys_socket.inl (sendto): Initialize "bytes_sent" to 0
          to avoid random values.  Thanks to Winston Zhang <winston_ace at
          kubao-inc dot com> for reporting this.

Wed Jul  5 20:32:20 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/WFMO_Reactor.cpp (open): Added some more code to prevent
          memory leaks when the ACE_WFMO_Reactor is reopened.  Thanks to
          Sonicfly Zhou <zhoucn at txsec dot com> for this fix.

Tue Jul 11 12:19:23 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/tao.doxygen:
          Added .idl to FILE_PATTERNS

Tue Jul 11 12:01:12 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * ace/Atomic_Op.cpp:
        * ace/Atomic_Op_Sparc.h:
        * ace/Atomic_Op_Sparc.c:
        * include/makeinclude/platform_sunos5_sunc++.GNU:

          Added a SPARC assembler implementation of functions needed for use
          within the ACE_Atomic_Op specializations.  The implementation will
          only be used if atomic_ops_sparc is set to 1 in
          platform_macros.GNU.  It also requires that v8plus or higher be
          used with SunCC.

        * ace/Makefile.am:
        * ace/ace.mpc:

          Added the new Atomic_Op_Sparc.c.

        * ace/CDR_Base.cpp:

          In grow(), call the clone_nocopy() method on the ACE_Data_Block
          with the new size.  Previously, the clone_nocopy() would be called
          and then directly after that, size() would be called on the cloned
          data block which would re-allocate to the new size and copy the
          previous contents.

          In the same method, we avoid constructing an ACE_Message_Block to
          avoid reference count manipulating the data block's reference
          count.

          Also, in consolidate(), avoid attempting to copy data if the
          destination and source are the same. [RT 8372]

        * ace/CDR_Stream.h:
        * ace/CDR_Stream.cpp:

          Added a constructor that takes an ACE_Data_Block* which can be
          used to avoid an allocation while constructing the
          ACE_Message_Block held by the ACE_OutputCDR. [RT 8372]

        * ace/Message_Block.h:
        * ace/Message_Block.cpp:
        * ace/Message_Block_T.h:
        * ace/Message_Block_T.cpp:

          Added a new parameter to the ACE_Data_Block::clone_nocopy() method
          that allows the user copy the data block, but increase the size
          all in one step. [RT 8372]

        * ace/OS_NS_string.inl:

          Added an unrolled implementation of memset, only active if
          ACE_HAS_SLOW_MEMSET is defined, that supports up to 16 bytes
          without calling into the memset() C function.

        * ace/config-sunos5.5.h:

          SunCC 5.x supports new(nothrow_t).  So, I have enable the use of
          it when exceptions are enabled. [RT 8372]

        * ace/OS_NS_Thread.h:
        * ace/os_include/os_pthread.h:

          Added macro definitions required to build ACE and TAO on Solaris
          without using the pthreads library.

        * include/makeinclude/platform_aix_ibm.GNU:
        * include/makeinclude/platform_hpux_aCC.GNU:
        * include/makeinclude/platform_irix6.x_sgic++.GNU:

          Added 64-bit options to the CFLAGS macros to deal with the newly
          added C file in ACE. [RT 8372]

Tue Jul 11 01:47:23 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Log_Msg_Test.cpp:
          initialise pointer with 0

Tue Jul 11 01:37:23 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_unistd.h:
          Layout change

Tue Jul 11 01:09:23 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/taoidldefaults.mpb:
          If -oA has been used as idlflags, don't add the A files

Tue Jul 11 00:50:23 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/generate_compile_stats.sh:
          Updated to also handle redhat version information

Sun Jul 09 05:53:23 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE version 5.5.2 released.

Fri Jul  7 08:07:50 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html: Small improvements

Thu Jul  6 19:57:50 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ACE-INSTALL.html: Improvements and corrections motivated by
          Abdul Sowayan <abdullah dot sowayan at lmco dot com>.

Wed Jul  5 19:15:37 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ACE-INSTALL.html: Cleaned up further; clarified role of DOC and
          support companies and use of PROBLEM-REPORT-FORM.

        * NEWS: Noted removal of Chorus and pSOS.

Tue Jul  4 04:10:11 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * tests/Memcpy_Test.cpp: Added a short summary of this test.
          Thanks to Arvind Krishna for contributing it.

Tue Jul  4 01:05:47 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * tests/Memcpy_Test.cpp (testit): ACE-ified this test.

Tue Jul  4 01:03:52 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * tests/CE_fostream.cpp:
        * tests/Service_Config_Test.cpp: Improved the description of these
          tests.

Mon Jul  3 14:42:45 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * NEWS: Updated the NEWS file with information about using multiple
          service repositories.

Mon Jul  3 03:25:43 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * examples/APG/Svc_Config/HA_Configurable_Server_Dynamic.cpp
          (ACE_TMAIN): Changed the reactor event loop to explicitly pass
          in ACE_Reactor::check_reconfiguration().  Thanks to Michael Reed
          <mnr102 at yahoo dot com> for reporting this.

Mon Jul  3 03:15:14 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * examples/Service_Configurator/IPC-tests/server/server_test.cpp
          (ACE_TMAIN): Changed the reactor event loop to explicitly pass
          in ACE_Reactor::check_reconfiguration().

Fri Jun 30 13:40:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_order.lst:
          Added CSD_Framework and CSD_ThreadPool

Fri Jun 30 09:33:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/generate_rel_manpages:
          Updated doxygen version we are using for the release

Fri Jun 30 07:29:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/taoexe.mpb:
          Added corba/e and core_minimum_corba as base projects so that
          the executables that can be build with CORBA/e and minimum
          corba do have set the correct flags during compilation

Thu Jun 29 17:30:52 UTC 2006  Steve Huston  <shuston@riverace.com>

        * NEWS: Added a note about the logging changes from
          Tue May 16 22:23:55 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

Thu Jun 29 10:05:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Signal_Test.cpp:
          Layout changes

Thu Jun 29 09:13:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Containers_T.cpp:
          Initialise pointer with 0

Thu Jun 29 08:52:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_g++_common.GNU:
        * include/makeinclude/platform_osf1_4.x_cxx.GNU:
        * include/makeinclude/platform_sunos5_ghs.GNU:
        * include/makeinclude/platform_sunos5_sunc++.GNU:
        * include/makeinclude/wrapper_macros.GNU:
          Removed support for explicit templates, we don't support that
          anymore

Thu Jun 29 08:34:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/ACE-guidelines.html:
          Document that the STL generic algorithms are safe to be used and
          made some other small updates

Wed Jun 28 10:03:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ace_for_tao.mpc:
          Added missing file because of the sendfile addition to TAO

Wed Jun 28 09:20:08 UTC 2006  Boris Kolpackov  <boris@kolpackov.net>

        * protocols/ace/RMCast/Link.cpp:
        * protocols/ace/RMCast/Link.h:
        * protocols/ace/RMCast/Socket.cpp:
          Added explicit calls to close functions for sockets and pipes.
          Thanks to finalpatch <fengli@gmail.com> for reporting this.

Wed Jun 28 07:10:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/ACE-guidelines.html:
          Document that template template arguments are not possible to
          be used because HP aCC 3.70 doesn't support it.

Tue Jun 27 13:06:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Unbounded_Queue.cpp:
          Explicitly initialise pointers with 0

Tue Jun 27 08:59:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ace_for_tao.mpc:
          Added MMAP_Memory_Pool.* because TAO uses these for sendfile
          support

Tue Jun 27 06:56:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_unistd.inl:
        * ace/config-WinCE.h:
          WinCE doesn't seem to have SetFilePointerEx, so introduced
          ACE_LACKS_SETFILEPOINTEREX which we check in OS_NS_unistd.inl,
          if this is set we fallback to SetFilePointer

Tue Jun 27 06:47:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/CDR_File_Test.cpp:
          Fixed 64bit conversion warning

Tue Jun 27 06:34:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/taolib.mpb:
          Added tao_versioning_idl_defaults as base

Mon Jun 26 13:27:00 UTC 2006  Simon Massey  <sma@prismtech.com>

        * NEWS:
          Added PICurrent refactoring note. Moved from NEWS to TAO/NEWS

Mon Jun 26 08:27:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/DLL_Manager.h:
          Reexport ACE_DLL_Handle, the ACE_DLL_Manager returns a pointer
          to this type in its interfaces. Thanks to Patrick Bennett
          <Patrick dot Bennett at inin dot com> for reporting this

Mon Jun 26 08:17:12 UTC 2006  Martin Corino  <mcorino@remedy.nl>

        * include/makeinclude/platform_openvms.GNU:
          Some compileswitch changes.

        * ace/config-openvms.h:
          Added multicast filtering setting.

Sun Jun 25 11:54:12 UTC 2006  Martin Corino  <mcorino@remedy.nl>

        * include/makeinclude/platform_openvms.GNU:
          Some compileswitch changes.

Sun Jun 25 08:36:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_mpc_auto_compile.pl:
          Build gperf and TAO_IDL before tao

Sat Jun 24 14:02:15 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/Lib_Find.cpp (open_temp_file): In the ACE_WIN32 section,
          'perm' is not used, so use ACE_UNUSED_ARG on it.

        * tests/Hash_Map_Manager_Test.cpp: Use const ACE_TCHAR with literal
          string, not non-const. Resolves compile warning on some compilers.

Fri Jun 23 21:03:37 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/Lib_Find.cpp (open_temp_file):

          Added FILE_SHARE_READ | FILE_SHARE_WRITE | FILE_SHARE_DELETE
          for the 'perms' argument of the Windows version, which
          eliminates a open_temp_file() failure in the IDL compiler
          on a file that was previously opened/closed with fopen/fclose.
          Thanks to Krishnakumar Balasubramanian <kitty@dre.vanderbilt.edu>
          for figuring out the fix.

Fri Jun 23 16:01:31 UTC 2006  Steve Huston  <shuston@riverace.com>

        * examples/Reactor/Proactor/test_proactor.cpp (open): When calling
          ACE_OS::open(), don't supply a very UNIXy-looking 0644 value for
          the 'perms' argument. Let it default to something reasonable for
          the platform. Using 0644 on Windows passes something Windows doesn't
          like, and the test fails. Thanks very much to William Cote
          <William dot Cote at hp dot com> for fixing this.

        * THANKS: Added William Cote to the Hall of Fame.

Fri Jun 23 13:20:21 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        Reverted the change below, it triggers pidl recompilation for all pidl files
        Fri Jun 23 07:36:21 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>
        * bin/MakeProjectCreator/config/taoidldefaults.mpb:
          Added .pidl to the inputext. This should be the way how things should
          run fine again in TAO but it seems somewhere ther is something missing.

Fri Jun 23 07:36:21 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/taoidldefaults.mpb:
          Added .pidl to the inputext. This should be the way how things should
          run fine again in TAO but it seems somewhere ther is something missing.

Thu Jun 22 21:05:20 UTC 2006  Krishnakumar B  <kitty@dre.vanderbilt.edu>

        * ace/OS_NS_fcntl.h (ACE_DEFAULT_OPEN_PERMS): Set the value of
          ACE_DEFAULT_OPEN_PERMS from ACE_DEFAULT_FILE_PERMS instead of
          0.  This ensures that users of ACE_OS::open() who don't override
          the default argument get a sensible default.

Thu Jun 22 15:08:01 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/SSL/SSL_Context.{h cpp} (load_trusted_ca): Added a third
          argument, bool use_env_defaults, which defaults to true. If false,
          the ca_file and ca_dir arguments do not get ACE defaults applied
          to them if passed as 0. This allows a user to specify a 0 file or
          directory to the underlying SSL_CTX_load_verify_locations() function.
          If a ca_dir is supplied, attempt to add its CA list to the
          X509 names in addition to that of ca_file.

          (seed_file): If the file loads ok, check RAND_status() to see if
          there's "enough" entropy.

        * ace/SSL/SSL_Context.inl:
        * ace/SSL/SSL_Asynch_Stream.cpp:
        * ace/SSL/SSL_SOCK_Stream.cpp: When setting up SSL_CTX, set the verify
          mode as well. When creating a new socket object, let it inherit the
          verify mode from the SSL context rather than making a call back to
          the context to retrieve the verify mode and setting it with a
          separate SSL call.

Thu Jun 22 14:48:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_order.lst:
          Build the portableserver earlier in the list of libs

Thu Jun 22 05:29:48 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/Service_Gestalt.cpp:

          The initialize_i() method would not remove a service, which
          failed to initialize, in case the ACE_NOLOGGING is defined. For
          some reason the two blocks of code were switched around.  Thanks
          to Martin Corino <mcorino at remedy dot nl> for pointing out the
          problem.

Wed Jun 21 21:29:04 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/config-lynxos.h: Added ACE_LACKS_STRPTIME. This should fix a
          compile error on LynxOS.

Wed Jun 21 15:45:32 UTC 2006  Steve Huston  <shuston@riverace.com>

        * tests/Hash_Map_Manager_Test.cpp: Fix incorrect concatenating of
          text literals.

Wed Jun 21 07:10:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Misc/test_trace.cpp:
          Fixed fuzz error

Tue Jun 20 23:20:17 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * tests/Framework_Component_DLL.cpp: Added a description of this test.

Tue Jun 20 22:34:43 UTC 2006  Steve Huston  <shuston@riverace.com>

        * tests/Service_Config_DLL.cpp: Added a comment block at the top
          to describe this file's purpose.

Tue Jun 20 22:09:54 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_time.cpp (strptime): Added a const_cast<char*> wherever
          a return of something based on the const char *buf was done; related
          to:
          Tue Jun 20 20:19:37 UTC 2006  Steve Huston  <shuston@riverace.com>

        * NEWS: Noted that the signature of ACE_OS::strptime() changed, also
          related to the entry above.

Tue Jun 20 20:19:37 UTC 2006  Steve Huston  <shuston@riverace.com>

        * configure.ac:
        * ace/README:
        * ace/OS_NS_time.h:
        * ace/OS_NS_time.inl:
        * ace/OS_NS_time.cpp:
        * m4/config_h.m4: The ACE_OS::strptime() wrapper was previously not
          compiled in unless ACE_HAS_STRPTIME was set. If this was set and
          ACE_LACKS_NATIVE_STRPTIME was also set, an emulation was supplied.
          This has been changed so that:
             - ACE_OS::strptime() is always supplied.
             - The emulation is used if ACE_LACKS_STRPTIME is set.
             - The first arg to ACE_OS::strptime() is now "const char *"
               instead of "char *" as the native strptime() is.
             - ACE_OS::strptime() is inlineable.
          ACE_HAS_STRPTIME is no longer used, and ACE_LACKS_NATIVE_STRPTIME
          is changed to ACE_LACKS_STRPTIME. If ACE_LACKS_STRPTIME is set
          and the user decides not to include the emulation, then
          ACE_REFUSE_STRPTIME_EMULATION should be set, which will cause
          ACE_NOTSUP_RETURN to be used instead of the emulation.

        * ace/config-borland-common.h:
        * ace/config-vxworks5.x.h:
        * ace/config-vxworks6.2.h:
        * ace/config-win32-dmc.h:
        * ace/config-win32-ghs.h:
        * ace/config-win32-mingw.h:
        * ace/config-win32-msvc-7.h:
        * ace/config-win32-msvc-8.h:
        * ace/config-win32-visualage.h: Removed ACE_HAS_STRPTIME; changed
          ACE_LACKS_NATIVE_STRPTIME to ACE_LACKS_STRPTIME.

        * ace/config-cygwin32.h:
        * ace/config-doxygen.h:
        * ace/config-irix6.x-common.h:
        * ace/config-linux-common.h:
        * ace/config-netbsd.h:
        * ace/config-openvms.h:
        * ace/config-sunos5.5.h:
        * ace/config-tandem-nsk-mips-v3.h: Removed ACE_HAS_STRPTIME.

        * ace/config-rtems.h: Changed ACE_LACKS_NATIVE_STRPTIME to
          ACE_LACKS_STRPTIME.
          NOTE!! RTEMS users should add #define ACE_REFUSE_STRPTIME_EMULATION
          to the local config.h file to avoid bringing in the emulation,
          maintaining behavior in previous ACE versions.

        For additional background on why this arrangement was put in place
        originally, please see:
        Tue Aug 10 14:46:12 1999  David L. Levine  <levine@cs.wustl.edu>
        It makes sense, but adds a unique requirement for porting to new
        platforms that one must know to explicitly enable an existing wrapper,
        even if its natively available. This has tripped up a number of porting
        efforts (including mine) and now it's consistent with other wrappers.

        * m4/ace.m4: Add --enable-wince to set up the BUILD_WINCE setting
          that's inserted into the Makefile.am files for the wince MPC setting.

        * ace/ace.mpc: Replace config-win32-msvc-6.h with config-win32-msvc-8.h

        * bin/bin/mpc: Removed the verbatim for automake that adds
          TESTS=auto_run_tests.pl - it was an early attempt at getting the
          test ability to work that never was right.

        * */Makefile.am: Regenerated with MPC. This effectively changes the
          version scheme based on the changes in:
          Thu May 18 16:37:46 UTC 2006  Steve Huston  <shuston@riverace.com>

        * apps/Makefile.am: Hand-added code to avoid building gperf if
          --disable-gperf was specified to configure. Thanks to Robert Schwebel
          <robert at schwebel dot de> for this fix.

        * apps/gperf/tests/Makefile.am: This one doesn't get close to being
          regenerated with MPC. The "stamp" items require hand-tweaking as
          given in previous entries for this file.

        * ace/Makefile.am: Regenerated with MPC and hand-tweaked to add needed
          "nobase_include_HEADERS =" line.

        * configure.ac: Added the following new AC_CONFIG_FILES entries:

        * ACEXML/tests/util/Makefile.am:
        * apps/JAWS2/Makefile.am:
        * apps/JAWS2/JAWS/Makefile.am:
        * examples/ASX/Event_Server/Makefile.am:
        * examples/ASX/Event_Server/Event_Server/Makefile.am:
        * examples/ASX/Event_Server/Transceiver/Makefile.am:
        * examples/ASX/UPIPE_Event_Server/Makefile.am:
        * examples/Map_Manager/Makefile.am:
        * examples/Reactor/TP_Reactor/Makefile.am:
        * protocols/tests/Makefile.am:
        * protocols/tests/RMCast/Makefile.am: New files, generated with MPC.

        * THANKS: Added Robert Schwebel to the Hall of Fame.

Tue Jun 20 19:25:20 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/Task.{h inl cpp}: Moved the public data members (thr_count_,
          thr_mgr_, flags_, grp_id_, lock_) from public to a new protected
          section. There was a comment that said these should be private, but
          no reason given why they weren't.
          Removed the thr_count_dec() method since it is no longer used
          anywhere in ACE. Moved its functionality into cleanup() where it
          also sets the new last_thread_id_ member (see below).
          Added a new member last_thread_id_ which holds the thread ID
          (ACE_thread_t) of the last thread to exit svc() processing. Before
          any threads exit, the value is 0; it's set to 0 in the constructor
          and in activate().
          The new accessor, ACE_thread_t last_thread (void) const, retrieves
          the value of last_thread_id_. It's recommended that a thread in
          close() check the last_thread_id_ value, rather than the thr_count(),
          when deciding if it's safe to destroy the object. Since thr_count
          can be seen as 0 in multiple threads concurrently, it's not safe
          to rely on for destroying a thread. This fixes Bugzilla #2339.
          Thanks to Howard Finer <hfiner@sonusnet.com> for this idea.

        * NEWS: Added a note about the new ACE_Task::last_thread() method.

Tue Jun 20 18:55:12 UTC 2006  Martin Corino  <mcorino@remedy.nl>

        * tests/Based_Pointer_Test.cpp:
        * tests/Based_Pointer_Test_Lib.cpp:
        * tests/CDR_File_Test.cpp:
        * tests/DLL_Test.cpp:
        * tests/Malloc_Test.cpp:
        * tests/Process_Manager_Test.cpp:
          Several fixes to make OpenVMS happy.

Tue Jun 20 18:04:45 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * examples/Log_Msg/test_ostream.cpp (ACE_TMAIN): Couldn't used
          std::getline() for some odd reason..  Fixed by using
          ifstream::getline() instead.  Thanks to Johnny for reporting
          this.

Tue Jun 20 14:31:05 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * examples/Misc/test_trace.cpp (recursive): Simplified the
          ACE_TRACE method name to make fuzz happy.

Tue Jun 20 13:50:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Hash_Map_Manager_Test.cpp:
          Fixed unicode compile problems

Tue Jun 20 12:51:19 UTC 2006  James H. Hill  <hillj@isis.vanderbilt.edu>

        * bin/ChangeLogEditor/FileLocatorFactory.pm:

          Now supports the standard hack for subversion on Windows when
          SVN_ASP_DOT_NET_HACK environment variable is set. Instead
          of placing repo info in a .svn file, it is placed in _svn.

Tue Jun 20 12:31:12 UTC 2006  Martin Corino  <mcorino@remedy.nl>

        * ace/os_include/os_time.h:
        * ace/os_include/sys/os_types.h:
          Fixed type definitions for OpenVMS.

        * ace/config-openvms.h:
          Updated build configuration for OpenVMS.

        * ace/Lib_Find{.h .cpp}:
        * ace/DLL_Manager.cpp:
        * ace/Service_Config{.h .cpp}:
        * ace/Global_Macros.h:
        * ace/Strategies_T.cpp:
        * ace/Logging_Strategy.cpp:
          Added support for dynamic loading scheme of service configurator
          framework under OpenVMS.

        * ace/OS_NS_stdio.h:
          Additional include for OpenVMS.

Tue Jun 20 08:23:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/taolib.mpb:
          Add corba subset projects as base

        * bin/MakeProjectCreator/config/core_minimum_corba.mpb:
          New file for usage within the core libs

        * bin/MakeProjectCreator/config/core_minimum_corba.mpb:
          Make minimum corba a feature

Tue Jun 20 07:42:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Log_Msg/test_callback.cpp:
          Fixed typo

Tue Jun 20 07:04:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/global.features:
          CORBA subset configurations are disabled by default

Mon Jun 19 18:03:12 UTC 2006  Martin Corino  <mcorino@remedy.nl>

        * include/makeinclude/platform_openvms.GNU:
          Changed template instantiation model.

        * include/makeinclude/rules.local.GNU:
          Change to enable adding custom REALCLEAN_FILES in platform file.

Mon Jun 19 15:11:12 UTC 2006  Martin Corino  <mcorino@remedy.nl>

        * bin/auto_run_tests.pl:
          Changed to enable spawning Perl testscripts on OpenVMS.

Mon Jun 19 14:26:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Replaced dsp/dsw with sln/vcproj. Thanks to Abdullah Sowayan
          <abdullah dot sowayan at lmco dot com> for reporting this

Mon Jun 19 13:14:54 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * tests/Hash_Map_Manager_Test.cpp (test_two_allocators): Fixed a typo.
          Thanks to Abdul for reporting this.

        * tests/Hash_Map_Manager_Test.cpp (test_two_allocators): Added a
          test for the two allocator version of ACE_Hash_Map_Manager.
          Thanks to Jarek for contributing this.

Mon Jun 19 02:55:48 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * examples/Log_Msg/test_ostream.cpp (ACE_TMAIN): Enhanced the test to
          show the ofstream output better.

Mon Jun 19 01:31:46 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * examples/Log_Msg/test_callback.cpp (ACE_TMAIN): Zapped the
          extraneous '\n' from the messages.

Mon Jun 19 01:06:49 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * examples/Misc/test_trace.cpp: Enhanced to the the ACE_TRACE macro.

Sun Jun 18 16:58:20 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * netsvcs/clients/Logger/indirect_logging.cpp (ACE_TMAIN): Cleaned
          up the test to work if none of the daemons are running.

Sun Jun 18 16:44:14 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Signal.{inl,cpp}: Moved the destructors out of the *.inl
          file into the *.cpp file since inline destructors aren't really
          a good idea.

Sun Jun 18 16:35:13 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * netsvcs/lib/Client_Logging_Handler.cpp (send): Printout the type
          of log message as a diagnostic to make it easier to see the
          filtering that's going on!

Fri Jun 16 17:48:18 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/CDR_Size.cpp (adjust): Added a fix for the case where
          ACE_LACKS_CDR_ALIGNMENT is undefined.  Thanks to Aleksandar
          Vukajlovic <vukajlo at finsoft dot co dot yu> for contributing
          this.

Fri Jun 16 13:57:53 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Ping_Socket.cpp: Replaced the use of char, short, int,
          etc. for struct ip and icmp with the equivalent
          ACE_UNIT[8,12,32] types to ensure a fixed size.  Thanks to Paul
          Daugherty <Paul at nextalk dot com> and Robert S. Iakobashvili
          <coroberti at gmail dot com> for reporting this and contributing
          a fix.

Mon Jun 19 11:37:17 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_unistd.{h,cpp,inl}:
          Changed the (f)truncate method to use ACE_LOFF_T and use
          SetFilePointerEx on windows to fix 64bit warnings

Mon Jun 19 10:08:17 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/diff-builds.pl:
          Changed this script not to die when we can't find results for
          a certain date, then just take the closest results.

Mon Jun 19 10:00:17 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Service_Gestalt.cpp:
        * ace/Acceptor.cpp:
          Const improvement

Mon Jun 19 09:56:17 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/OS_NS_sys_sendfile.cpp (sendfile_emulation):

          Verify the ACE_OS::mmap() call succeeded prior to continuing.

          Use ACE_OS::send() instead of ACE_OS::write() on Windows.  The
          latter doesn't provide the same semantics on Windows as on
          Unix.  Addresses an ACE_OS::sendfile() failure on Windows.

Tue Jun 13 02:10:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/run_tests.lst:
          Don't run netlink test in ACE_FOR_TAO configuration

Mon Jun 12 17:00:02 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * include/makeinclude/wrapper_macros.GNU:

          Set winnt to 0 if not explicitly set by a platform_*.GNU
          makefile.

Mon Jun 12 16:48:19 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * tests/SV_Shared_Memory_Test.cpp (run_main): Moved a couple of
          calls outside of ACE_ASSERT since they don't belong in there.

Mon Jun 12 14:34:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_sys_stat.h:
          Fixed mingw definition of ACE_stat

Mon Jun 12 10:24:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/vc6.features:
          Removed this file, wer don't support vc6 anymore

Mon Jun 12 01:30:03 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Thread_Manager.cpp (wait): Changed the flag parameters to be
          bool rathet than int.  Thanks to Johnny for this suggestion.

Sat Jun 10 22:32:03 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ACE-INSTALL.html: Corrected a bunch of platform build things and
          hopefully clarified the sections a bit.

        * bin/make_release: Removed the search for, and chmod for, dsp/dsw
          files - they're for MSVC6 which is no longer generated.

Sat Jun 10 10:07:32 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Thread_Manager.cpp:
          Fix for compiler errors.

Sat Jun 10 04:31:54 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/config/automake.features:

          Define MPC feature variable "wxWindows" to 1.

        * bin/MakeProjectCreator/config/wxwindows.mpb:

          Add automake specific definitions for compile_flags,
          linkflags, and pure_libs.

Fri Jun  9 19:25:19 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Thread_Manager.h: Added a new parameter to wait() that
          determines whether relative or absolute time is used.  Thanks to
          Sonicfly Zhou <zhoucn at txsec dot com> for this idea.

Fri Jun  9 14:06:52 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Hash_Map_With_Allocator_T.{h,inl,cpp}: Enhanced this class
          so that it compiles with the new "two allocator"
          ACE_Hash_Map_Manager_Ex class.  This class needs to be improved
          so that it actually leverages the two allocator features, but
          that's something for the future.

Fri Jun  9 13:15:38 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Hash_Map_Manager_T.h: Clarified the meaning of the
          constructor and open() parameters.

Fri Jun  9 13:07:40 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Hash_Map_Manager_T.cpp (open): If the user doesn't supply an
          entry_alloc pointer then use the table_alloc pointer.

Fri Jun  9 13:00:22 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Hash_Map_Manager_T.cpp (open): Zapped the use of ACE_ASSERT
          and replaced it with and if statement.  We shouldn't be using
          ACE_ASSERT in ACE library code..

Fri Jun  9 12:53:48 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Hash_Map_Manager_T.{h,inl,cpp}: Added support for a separate
          allocator for creating the entries in the chain of
          ACE_Hash_Map_Entry objects in the buckets.  There are now two
          allocators, one for the bucket table and the other for the
          entries in the buckets.  Thanks to Jaroslaw Nozderko <jaroslaw
          dot nozderko at polkomtel dot com dot pl> for this fix.

Fri Jun  9 14:04:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ace_for_tao.mpc:
          Updated because ARGV and Arg_Shifter are template files now

Fri Jun  9 13:58:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/FILE_IO.cpp:
          Const improvements

        * ace/MMAP_Memory_Pool.cpp:
          Added static cast from ACE_LOFF_T to size_t and const improvements

Fri Jun  9 13:58:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/FILE_IO.cpp:
          Added static cast from ACE_LOFF_T to size_t

Fri Jun  9 13:42:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_sys_stat.inl:
          Use special stat call for vc71

Fri Jun  9 13:33:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Connection_Recycling_Strategy.h:
          Doxygen improvement

Fri Jun  9 13:12:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_unistd.{h,cpp}:
          Use ACE_LOFF_T in the pwrite interface

Fri Jun  9 12:47:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_sys_stat.h:
          With vc71 use _stati64 for ACE_stat, not __stat64. The first has
          time as 32bit, the second time as 64 bit (__time64_t) which causes
          problems because the time interfaces of ACE use time_t which is
          32bit with vc71 but 64bit with vc8.

Fri Jun  9 10:29:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Configuration_Import_Export.cpp:
          Initialise pointer with 0

Fri Jun  9 10:13:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Arg_Shifter.{h,cpp}:
          Also refactored ACE_Arg_Shifter to ACE_Arg_Shifter<CHAR_TYPE> and
          made ACE_Arg_Shifter a typedef. The refactoring fo ACE_ARGV resulted
          in a drop of the TAO Hello client executable of about 2.5Kb which is
          nice for such a small change.

        * ace/ace.mpc:
        * ace/Makefile.am:
          Updated because Arg_Shifter.cpp is not a template file

Fri Jun  9 09:54:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-linux-common.h:
          Added ACE_HAS_NETLINK, all linux versions do support netlink sockets.
          This closes bugzilla bug 2317. Thanks to Robert Iakobashvili
          <coroberti at gmail dot com> and Razi Ben-Yehuda
          <raziebe at gmail dot com> for creating the netlink wrappers

Fri Jun  9 08:16:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/SOCK_Netlink_Test.cpp:
          New test for netlink sockets. Thanks to Robert Iakobashvili
          <coroberti at gmail dot com> for creating this test.

        * tests/tests.mpc:
        * tests/run_test.lst:
          Added new netlink test

Fri Jun  9 07:55:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ARGV.{h,cpp,inl}:

          Refactored ACE_ARGV to ACE_ARGV_T which is a template, where
          ACE_ARGV is now a typedef of ACE_ARGV_T<ACE_TCHAR>. Taken the
          idea from the wchar work of David Giovannini <giovannd at ociweb
          dot com>

        * ace/ace.mpc:
        * ace/Makefile.am:

          ARGV.cpp added to the template files, added the new netlink files

        * ace/OS_NS_sys_stat.{h,inl}:
        * ace/MMAP_Memory_Pool{h,cpp}:
        * ace/Mem_Map.{h,cpp,inl}:
        * ace/Filecache.{h,cpp}:
        * ace/FILE_IO.cpp:
        * ace/FILE.h:

          Use ACE_LOFF_T for the filesize so that we can support files
          bigger then 2Gb on windows and other platforms. Also use for
          Borland the 64bit stat structure and api's. This fixes bugzilla
          bug 1286, thanks to Ruslan Zasukhin <sunshine at public dot
          kherson dot ua> for reporting this. Also fixes part of bugzilla
          bug 2359, thanks to Olivier Brunet <o dot brunet at free dot fr>
          for reporting this.

Thu Jun  8 17:13:42 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/String_Base.h,
          ace/Array_Map.h: Removed the @deprecated
          comments to make Ossama happy ;-)  This fixes bugid 2558.

Thu Jun  8 12:44:46 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/OS_NS_Thread.inl (recursive_mutex_lock): Cleaned up the
          structure of the code here so that we don't try to release the
          nesting lock unless it was acquired successfully.  Thanks to
          J.T. for reporting this.

Thu Jun  8 12:37:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/corba_e_compact.mpb:
        * bin/MakeProjectCreator/config/corba_e_micro.mpb:
          New base projects for CORBA/e micro and compact

Thu Jun  8 12:28:49 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * bin/DependencyGenerator/DependencyEditor.pm:
        * bin/DependencyGenerator/DependencyGenerator.pm:
        * bin/DependencyGenerator/GNUDependencyWriter.pm:
        * bin/DependencyGenerator/GNUObjectGenerator.pm:
        * bin/DependencyGenerator/Preprocessor.pm:
        * bin/depgen.pl:

          Committing performance improvements which take off about 7% from
          the dependency generation time for the whole ACE_wrappers tree.

Thu Jun  8 11:57:58 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/OS_NS_dirent.cpp:
        * ace/OS_NS_dirent.h:

          Don't compile the {opendir,readir,closedir,scandir}_emulation()
          functions if {opendir,readir,closedir,scandir} are provided by
          the OS.

Thu Jun  8 11:29:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Netlink_Addr.h:
        * ace/SOCK_SEQPACK_Association.h:
          Doxygen fixes

        * ace/OS_NS_Thread.inl:
          Const improvement

Thu Jun  8 11:37:59 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-netbsd.h:

          Define ACE_HAS_SCANDIR and ACE_SCANDIR_CMP_VOIDPTR.

Wed Jun  7 23:02:53 UTC 2006  Krishnakumar B  <kitty@nospam.invalid.domain>

        * tests/Recursive_Mutex_Test.cpp: Use ACE_TEST_MUTEX instead of
          ACE_Recursive_Thread_Mutex so that we use the right version of
          mutex (ACE_Process_Mutex) on Windows.  Thanks to Doug for the
          suggestion.  This should fix the Recursive_Mutex_Test failing on
          Windows.

Wed Jun  7 21:42:36 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/ciao_config_handlers.mpb

          Fixed static library ordering problem.

Wed Jun  7 13:34:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-doxygen.h:
          Added ACE_HAS_NETLINK so that we get documentation for the new
          netlink classes

Wed Jun  7 13:31:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/run_test.lst:
          Removed chorus

Wed Jun  7 13:16:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/sys/os_socket.h:
          When ACE_HAS_NETLINK is defined, include more files specific
          for this protocol.

Wed Jun  7 12:56:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Netlink_Addr.{h,cpp,inl}:
        * ace/SOCK_Netlink.{h,cpp,inl}:
          New files for netlink sockets. Thanks to Robert Iakobashvili
          <coroberti at gmail dot com> and Razi Ben-Yehuda
          <raziebe at gmail dot com> for creating these new files.
          These files will be added to the ACE mpc later this week, with
          the files in the repo it is much easier to test them on
          multiple linux version. See bugzilla bug 2317 for more info.

Wed Jun  7 12:28:18 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Changed the message displayed when a project isn't build when a
          particular feature is disabled.  Many users thought that this
          message was an error, I believe, because of the word 'missing'.

Wed Jun  7 11:46:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-suncc-common.h:
          New config file for the SunCC compiler, idea is to refactor
          all things related to the Sun C++ compiler to this file. This is
          to make it easier to support Sun C++ on Linux

Wed Jun  7 10:45:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux_suncc.GNU:
          First version for using the Sun compiler on Linux. The compiler
          itself is an alpha version, so no guarantees at this moment

Wed Jun  7 10:07:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Strategies_T.cpp:
          Initialise pointer with 0 and const improvement

Wed Jun  7 09:19:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/taoidldefaults.mpb:
          When using -SS we do generate an empty S.h file, so add S
          to the header_outputext so that we zap this file during a clean

Wed Jun  7 09:02:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_aix_g++.GNU:
          Set X11 and Xt defines, thanks to Peter Grotrian
          <peter dot grotrian at pdv-fs dot de> for reporting this. This fixes
          bugzilla 2556

        * ace/config-sunos5.5.h:
          Added fixes to build with threads=0, this fixes bugzilla bug 2555. Thanks
          to Peter Grotrian <peter dot grotrian at pdv-fs dot de> for reporting
          this.

        * ace/config-aix-4.x.h:
          Added fixes to build with threads=0, this fixes bugzilla bug 2553. Thanks
          to Peter Grotrian <peter dot grotrian at pdv-fs dot de> for reporting
          this.

        * include/makeinclude/platform_chorus.GNU:
        * include/makeinclude/platform_chorus4.x_g++.GNU:
        * include/makeinclude/platform_chorus_ghs.GNU:
        * include/makeinclude/platform_psos_diab.GNU:
        * include/makeinclude/platform_psos_diab_ppc.GNU:
        * include/makeinclude/platform_psos_tm.GNU:
        * include/makeinclude/platform_psosim_g++.GNU:
          Removed these files, psos and chorus are not supported anymore

Wed Jun  7 08:27:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.cpp:
          Added needed check for VxWorks with task api

        * ace/os_include/sys/os_stat.h:
          Removed workarounds for old Borland compiler versions

Wed Jun  7 03:25:00 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/ciao_config_handlers_base.mpb
        * bin/MakeProjectCreator/config/ciao_config_handlers_base.mpc

          Corrected the file extension.

Tue Jun  6 21:11:37 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/WFMO_Reactor.cpp (open): make sure we delete the
          notify_handler_ before reassigning it to prevent resource leaks.
          Thanks to Sonicfly Zhou <zhoucn at txsec dot com> for suggesting
          this.

Tue Jun  6 21:41:02 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/Service_Gestalt.{h cpp}:
        * ace/Dynamic_Service_Base.cpp:
        * ace/Dynamic_Service_Dependency.cpp:
        * ace/Service_Config.cpp:
        * ace/Service_Object.cpp:
        * ace/Svc_Conf_Lexer.cpp: Add missing #include directives.

Tue Jun  6 18:09:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.cpp:
          Reverted a change for VxWorks, broke other platforms, will make
          a new change tomorrow.

Tue Jun  6 17:14:51 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/GNUACEProjectCreator.pm:

          Cleaned up the fill_value() method and removed an unused method.

        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:

          Use DirectoryManager::mpc_basename() instead of
          File::Basename::basename().

Tue Jun  6 15:43:32 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/templates/gnu.mpd

          Modified to explicitly state the name of a project being skipped
          due to missing features or libraries.

Tue Jun  6 03:57:08 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Hash_Map_Manager_T.cpp:
        * ace/Hash_Map_Manager_T.h:

          Added key() and item() methods to ACE_Hash_Map_Entry<>, to be
          like ACE_RB_Tree_Node<>.  This makes it easier to switch code
          to and from Hash_Maps and RB_Trees.  Mark direct access to
          the ext_id_ and int_id_ fields @deprecated.

        * ace/Hash_Map_Manager_T.cpp:
        * ace/Hash_Map_Manager_T.h:
        * ace/Hash_Map_Manager_T.inl:
        * ace/RB_Tree.h:
        * ace/RB_Tree.inl:

          Added operator->() for iterators to be more like STL API.

Mon Jun  5 20:27:42 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/ciao_config_handlers.mpb
        * bin/MakeProjectCreator/config/ciao_config_handlers_base.mpc

          Restructured to clean up config handlers MPC files.

Sun Jun  4 13:38:21 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * tests/Array_Map_Test.cpp: Fixed all uses of empty() to be
          is_empty().

Sun Jun  4 13:35:25 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Array_Map.{h,inl},
        * ace/Intrusive_List.{h,inl},
        * ace/String_Base.{h,inl}: Changed empty() to is_empty(), which
          makes more sense.  Kept empty() around for the time being as a
          @deprecated method.  Thanks to Domingos Monteiro <d dot monteiro
          at netia dot net> for this suggestion.

Sun Jun  4 00:51:38 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/CString.{h,inl,cpp}: Added some performance improvements for ACE_CString:

          . Introduced new operators == and != to compare ACE_CString
            and const char *.  This results in at least a 10-fold performance
            improvement, due to avoiding dynamic memory allocation.

          . Streamlined the existing operator == between two ACE_CString's.
            (15% improvement in some cases, due to avoiding some of the
            overhead of compare())

          Also cleaned up some of the doxygen comments, e.g., the
          ACE_CString comparison operators must have been returning an
          integer at some point (?), but it's not the case anymore.
          Thanks to Patrick Rabau <pr2345 at gmail dot com> for these
          patches.

Fri Jun  2 19:52:19 UTC 2006  Yan Dai  <dai_y@ociweb.com>

        * bin/tao_orb_tests.lst:

          Removed DII_Collocation_Tests.

Fri Jun  2 16:29:55 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Select_Reactor_T.cpp (open): Added an error message
          explicitly noting that the notification pipe open failed, which
          should make debugging easier when this occurs, e.g., due to a
          disabled network interface.  Thanks to David Highley <dhighley
          at highley-recommended dot com> for this suggestion.

Fri Jun  2 12:20:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/taoidl3toidl2defaults.mpb:
          Updated to make cross compilation possible

Fri Jun  2 12:12:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/gnu.mpd:
          Added TAO_IDL3_TO_IDL2 and TAO_IDL3_TO_IDL2_DEP as first step to
          run idl3_to_idl2 in a cross build environment

Fri Jun  2 11:51:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_vxworks6.2.GNU:
          Updated for VxWorks 6.2

Fri Jun  2 11:33:36 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * tests/Recursive_Mutex_Test.cpp (test_recursion_depth): The
          get_nesting_level() only works on certain OS platforms, so don't
          use it as part of the test.

Fri Jun  2 10:13:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Configuration.cpp:
          Fixed operator==

        * tests/Config_Test.{h,cpp}:
          Added an explicit test for operator==. Thanks to Popeye Cai
          <popeye dot cai at utstar dot com> for reporting this. This
          fixes bugzilla bug 2550

Fri Jun  2 10:02:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.cpp:
          Improved VxWorks 6.2 support

        * ace/Svc_Handler.cpp:
          64bit change and initialise pointer with 0

        * ace/Process.cpp:
          Added support for VxWorks 6.x in rtp mode

Fri Jun  2 09:42:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.inl:
          Added necessary code for VxWorks 6.2

Thu Jun  1 23:13:58 UTC 2006  Yan Dai  <dai_y@ociweb.com>

        * bin/tao_orb_tests.lst:

          Added oneway and twoway DII_Collocation_Tests.

Thu Jun  1 20:53:31 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/Recursive_Mutex_Test.cpp (run_main):

          Added ACE_UNUSED_ARG macros to eliminate 'unused parameter'
          warnings on single threaded builds.

Thu Jun  1 16:54:56 UTC 2006  Yan Dai  <dai_y@ociweb.com>

        * bin/tao_orb_tests.lst:

          Added new DII_Collocation_Tests.

Thu Jun  1 13:59:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/FILE.cpp:
          Const improvement

Thu Jun  1 12:15:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Dirent_Test.cpp:
          Updated VxWorks specific checks, removed chorus checks

Thu Jun  1 11:03:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Threads/thread_pool.cpp:
          Fixed 64bit conversion warnings

Thu Jun  1 09:39:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/diff-builds.pl:
          Corrected usage of strftime

Thu Jun  1 09:19:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Default_Constants.h:
          Define the platform suffix for vxworks

        * ace/Sock_Connect.cpp:
          Added include for VxWorks and removed some unneeded checks
          for vxworks >= 0x600

        * ace/ACE.h:
          Doxygen improvement

        * ace/config-vxworks6.2.h:
          Updated with more settings to better match vxworks 6.2

        * ace/Process_Manager.cpp:
          Added specific check for vxworks

        * ace/OS_NS_stdlib.inl:
          Emulate putenv with setenv when putenv is not available but
          setenv is.

Thu Jun  1 02:26:03 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Service_Gestalt.h:
        * ace/Service_Gestalt.cpp:

          Reworked the way static svc descriptors are kept so that if DLLs
          include static initializers, they won't cause a problem if the
          DLL is later unloaded and reloaded. There is currently no
          dependency replationship between these "static" services and the
          DLL that contains them, so there is still a slight risk that
          pointers held after the DLL is unloaded might be referenced. But
          the only thing that actually uses these pointers is the service
          gestalt itself if it is processing an explicit static directive
          and the desired service object had not yet been loaded in that
          configuration context.

Wed May 31 20:49:03 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * examples/APG/Logging/Trace.h:

          Added '##' to several macro definitions in this file, at the
          suggestion of Steve Huston <shuston@riverace.com> to get
          rid of warnings on GCC4 platforms.

Wed May 31 18:18:37 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * bin/MakeProjectCreator/config/ciao_config_handlers.mpb:

          Shortened some line lengths, to make the file more readable.

Wed May 31 16:36:43 UTC 2006  Steve Huston  <shuston@riverace.com>

        * tests/tests.mpc:
        * tests/run_test.lst: Don't build or run Unload_libACE on WinCE. The
          code is purposely leaving out ACE stuff and the ACE stuff is needed
          for WinCE, unless there's lots of conditional code added to duplicate
          the workings on ACE_TMAIN on CE.

Wed May 31 14:33:16 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/OS_NS_Thread.inl (recursive_mutex_lock):

          Added additional ACE_UNUSED_ARG for the timeout parameter, to
          eliminate warnings in single-threaded builds.

Wed May 31 13:05:05 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Argv_Type_Converter.cpp (align_char_with_wchar): ACE-ified this code.

Wed May 31 14:00:16 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/Recursive_Mutex_Test.cpp (run_main):

          Moved '#if defined (ACE_HAS_THREADS)' up a few lines to include
          a variable defined inside the same guard at the top of the file,
          to eliminate an 'undefined' error on single-threaded builds.

Wed May 31 13:37:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added Bug_2542_Regression, this should run without problems

Wed May 31 11:44:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_time.inl:
          Fixed unreachable code warning

Wed May 31 09:23:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/run_test.lst:
          Changes for ACE_FOR_TAO configuration

Wed May 31 08:19:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bound_Ptr_Test.cpp:
          Initalise pointers with 0

Wed May 31 08:16:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Recursive_Mutex_Test.cpp:
          Added missing include to get ACE_OS::sleep

Tue May 30 21:56:52 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ACE-INSTALL.html: Corrected the AIX section; removed descriptions of
          old compilers that are no longer supported and suggested the config
          and platform_macros files to use. Thanks to Michelle Zheng
          <Michelle dot Zheng at dowjones dot com> for motivating this.

        * THANKS: Added Michelle Zheng to the Hall of Fame.

Tue May 30 19:17:40 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Dynamic_Service.h:
        * ace/Dynamic_Service.inl:
        * ace/Dynamic_Service.cpp:
        * ace/Dynamic_Service_Base.h:
        * ace/Dynamic_Service_Base.cpp:
        * ace/Dynamic_Service_Dependency.cpp:

          In order to ensure proper separation of contexts, this patch
          gives the dynamic service instance lookup the ability to
          optionally exclude the global configuration context.

        * ace/Service_Gestalt.h:
        * ace/Service_Gestalt.cpp:

          To allow explicitly configured static service objects, those for
          which a directive such as 'static XYZ "foo bar"', to be
          independently configured in different configuration contexts,
          these changes retain any static service descriptor for service
          XYZ, then looks for a previous instance of XYZ in the local
          context only, otherwise it uses the previously retained static
          service descriptor to create a new instance.


Tue May 30 18:24:54 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/DLL.h (ACE_DLL): Updated the documentation of open() to explain the
         lookup scheme when a filename is given.  Thanks to Phlip
          <phlip2005 at gmail dot com> for motivating this.

Tue May 30 13:06:42 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/ACE.inl:
        * ace/Base_Thread_Adapter.cpp:
        * ace/Default_Constants.h:
        * ace/Global_Macros.h:
        * ace/OS.h:
        * ace/OS_NS_Thread.cpp:
        * ace/OS_NS_Thread.h:
        * ace/OS_NS_netdb.inl:
        * ace/OS_NS_signal.inl:
        * ace/OS_NS_sys_socket.inl:
        * ace/OS_NS_time.inl:
        * ace/OS_main.cpp:
        * ace/OS_main.h:
        * ace/Object_Manager_Base.h:
        * ace/Process_Manager.cpp:
        * ace/Process_Semaphore.cpp:
        * ace/Process_Semaphore.h:
        * ace/Process_Semaphore.inl:
        * ace/Recursive_Thread_Mutex.cpp:
        * ace/SV_Semaphore_Simple.h:
        * ace/TLI_Acceptor.cpp:
        * ace/Thread_Adapter.cpp:
        * ace/Token.h:
        * ace/config-macros.h: Removed all vestiges of PSOS.

Tue May 30 12:22:53 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * bin/mpc.pl:
        * bin/mwc.pl:

          Added a load-time check for the minimum perl version (5.6).

Tue May 30 12:18:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Log_Msg.cpp:
        * ace/OS_NS_dirent.inl:
        * ace/OS_NS_netdb.inl:
        * ace/OS_NS_pwd.inl:
        * ace/OS_NS_stdlib.inl:
        * ace/OS_NS_Thread.cpp:
        * ace/OS_NS_Thread.inl:
        * ace/OS_NS_time.cpp:
        * ace/OS_NS_time.inl:
        * ace/Thread_Manager.cpp:
        * ace/os_include/os_pthread.h:
        * ace/os_include/os_stdlib.h:
          Removed support for HPUX 10.20

        * ace/os_include/net/os_if.h:
        * ace/os_include/netinet/os_tcp.h:
          Removed psos support

        * ace/os_include/sys/os_types.h:
          Removed ACE_LACKS_FLOATING_POINT

Tue May 30 11:57:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-hpux-10.x-g++.h
        * ace/config-hpux-10.x-hpc++.h
        * ace/config-hpux-10.x.h
          Removed these files, not supported anymore

        * ace/OS_NS_time.inl:
          Removed check for ACE_CTIME_R_RETURNS_INT, it was for hpux 10.20

Tue May 30 11:57:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-osf1-4.0.h:
          Removed, contents merged to tru64 file

        * ace/config-tru64.h:
          Added osf1-4.0 file contents, be aware that tru64 support hasn't
          been tested for a long time.

Tue May 30 11:45:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Recursive_Mutex_Test.cpp:
          Fixed compile error

Tue May 30 11:11:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/os_stdio.h:
          Removed psos support

        * ace/IOStream.h:
          Removed checks for ACE_LACKS_CHAR_STAR_RIGHT_SHIFTS, that was only
          set for chorus which is removed

        * ace/Basic_Types.h:
        * ace/Log_Msg.cpp:
        * ace/Profile_Timer.{h,cpp}:
          Removed checks for ACE_LACKS_FLOATING_POINT. Was only set for chorus
          which is now removed.

        * ace/OS_NS_Thread.cpp:
          Removed chorus support

        * ace/config-chorus.h:
          Removed.

        * ace/INET_Addr.cpp
        * ace/Lib_Find.cpp
        * ace/Local_Tokens.cpp
        * ace/Log_Record.cpp
        * ace/Parse_Node.cpp
          Removed check for ACE_HAS_BROKEN_CONDITIONAL_STRING_CASTS, is only
          set for psos which we don't support anymore

        * ace/os_include/os_signal.h:
          Removed check for ACE_SIGINFO_IS_SIGINFO_T, only set for psos

        * ace/config-psos-diab-mips.h
        * ace/config-psos-diab-ppc.h
        * ace/config-psos-diab.h
        * ace/config-psos-tm.h
        * ace/config-psosim-g++.h
          Removed from the repo, psos support has been removed

Tue May 30 10:48:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/CDR_Stream.cpp:
          Use true/false, when demarshaling a string, check the result of the
          demarshaling of the length of the string, if that failed, just return
          directly instead of trying to demarshal a random lenght string

        * ace/Task.h:
        * ace/System_Time.h:
          Doxygen improvement

        * ace/ACE.cpp:
        * ace/SOCK_Dgram_Bcast.cpp:
        * ace/Sock_Connect.cpp:
        * ace/Process.cpp:
        * ace/OS_NS_unistd.cpp:
        * ace/Mem_Map.cpp:
          Removed chorus support

        * ace/config-fsu-pthread.h:
          Removed this file, this configuration isn't supported and used for
          ages

        * ace/Condition_Thread_Mutex.cpp:
        * ace/Recursive_Thread_Mutex.cpp:
          Removed fsu pthread support

        * ace/Process_Manager.cpp:
          Const improvement

        * ace/OS.inl:
        * ace/OS_NS_sys_socket.inl:
        * ace/OS_NS_stdlib.cpp:
        * ace/OS_NS_stdlib.inl:
        * ace/OS_NS_Thread.cpp:
          Removed psos support

        * ace/OS_NS_unistd.inl:
        * ace/OS_NS_stdio.{h,cpp,inl}:
        * ace/Handle_Set.h:
        * ace/OS_NS_Thread.{h,inl}:
          Removed psos and chorus support

        * ace/Thread_Manager.{h,cpp,inl}:
          Made terminated_ a real bool, removed chorus support, check for
          ACE_VXWORKS instead of VXWORKS

        * ace/OS_NS_sys_time.inl:
          Check for ACE_VXWORKS instead of VXWORKS

        * ace/MMAP_Memory_Pool.{h,cpp}:
          Removed chorus support, use bool internally and added an option to
          get each time an unique mmap filename

        * ace/config-linux-common.h:
          Added ACE_HAS_VOIDPTR_MMAP and removed KCC support

        * ace/ace_wchar.inl
        * ace/Default_Constants.h
        * ace/INET_Addr.h
        * ace/IPC_SAP.cpp
        * ace/Message_Queue.cpp
        * ace/Message_Queue.h
        * ace/Message_Queue.inl
        * ace/Message_Queue_T.cpp
        * ace/Message_Queue_T.h
        * ace/OS.h
        * ace/OS_NS_macros.h
        * ace/OS_NS_stdio.h
        * ace/OS_NS_stdio.inl
        * ace/OS_NS_stdlib.inl
        * ace/OS_NS_Thread.cpp
        * ace/OS_NS_Thread.h
        * ace/OS_NS_Thread.inl
        * ace/OS_NS_time.inl
        * ace/Recursive_Thread_Mutex.cpp
        * ace/Sched_Params.cpp
        * ace/Select_Reactor_T.cpp
        * ace/SOCK_Dgram_Bcast.cpp
        * ace/Thread_Manager.h
        * ace/Token.h
          Check for ACE_VXWORKS instead of VXWORKS

Mon May 29 22:08:50 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/OS_NS_Thread.inl (recursive_mutex_lock): *Really* make the compiler
          happy now.  Thanks Olli!

Mon May 29 21:12:50 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/OS_NS_Thread.inl (recursive_mutex_lock): Added a const_cast
          for ACE_Time_Value * to make the compiler happy when passing the
          timeout parameter to ACE_OS::cond_timed_wait().  Thanks to Olli
          Savia for helping here.

Mon May 29 20:30:44 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * We recently added the 2100th contributor to ACE+TAO+CIAO!!!  The
          2000th contributor was added in August of 2005, this means that
          over 100 different people have contributed to the project in the
          past 9 months!

Mon May 29 19:50:54 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * examples/Service_Configurator/IPC-tests/server/server_test.cpp (ACE_TMAIN):
          Changed

          ACE_Reactor::instance ()->run_reactor_event_loop ()

          to

          ACE_Reactor::run_event_loop ()

          so that reconfiguration happens properly after a SIGHUP or
          SIGINT occurs.  Thanks to Kevin Hu <Xiaotao dot Hu at ge dot
          com> for motivating this.

Mon May 29 18:10:50 UTC 2006  Steve Huston  <shuston@riverace.com>

        * tests/Signal_Test.cpp:
        * tests/Thread_Manager_Test.cpp: Add missing ACE_TEXT to a string.

Mon May 29 18:44:05 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * tests/Recursive_Mutex_Test.cpp: Enhanced this test to exercise
          the new timed feature of ACE_Recursive_Thread_Mutex.

Mon May 29 18:16:31 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Recursive_Thread_Mutex.h: Clarified that get_nesting_level()
          may return -1 on some platforms when ACE_HAS_RECURSIVE_MUTEXES
          is enabled.

Mon May 29 17:45:02 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Recursive_Thread_Mutex.inl: Moved some of the short accessor
          methods from the Recursive_Thread_Mutex.cpp file to here.

        * ace/Recursive_Thread_Mutex.h,
          ace/Recursive_Thread_Mutex.inl: Added support for time recursive
          mutexes, thanks also to Abdullah.

        * ace/OS_NS_Thread.h,
        * ace/OS_NS_Thread.inl: Added support for timed recursive mutexes.
          Thanks to Abdullah Sowayan <abdullah dot sowayan at lmco dot
          com> for contributing this.

Mon May 29 17:30:52 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/OS_NS_Thread.h: Updated the documentation to clarify why
          recursive mutexes can't be used for ACE_OS::mutex_lock().

Mon May 29 18:27:08 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * examples/DLL/test_dll.cpp:

          Changed instances of a C-style cast from void* to
          pointer-to-function to a two-step reinterpret_cast
          using ptrdiff_t as an intermediate. C++ forbids casting
          directly between pointer-to-object and pointer-to-function,
          and some of the newer compilers are catching it.

Sat May 27 15:03:07 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * netsvcs/servers/main.cpp (ACE_TMAIN): Removed the following code:

          if (ACE::debug () == 0)
            ACE_LOG_MSG->priority_mask (~LM_DEBUG, ACE_Log_Msg::PROCESS);

          since (1) it makes debugging hard and (2) it's simply wrong
          since it's blowing away anything that's set by the
          ACE_Logging_Strategy in the svc.conf file.

Sat May 27 14:37:14 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Log_Record.cpp (print): Only print out the log records if the
          corresponding type is enabled for logging.

Sat May 27 14:35:21 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * netsvcs/servers/main.cpp: Enable the ignore_debug_flag in the
          ACE_Service_Config::open() call so that we can override the
          default ACE_Log_Priority settings in the svc.conf file.

Sat May 27 11:36:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/SCTP/hist.cpp:
          Fixed compile error

Fri May 26 22:02:48 UTC 2006  Steve Huston  <shuston@riverace.com>

        * examples/IPC_SAP/SPIPE_SAP/consumer_msg.cpp:
        * examples/IPC_SAP/SPIPE_SAP/consumer_read.cpp:
        * examples/IPC_SAP/SPIPE_SAP/server.cpp: Wide-char fixes; there's no
          wide-char variant for ACE_OS::fdetach().

        * examples/IPC_SAP/TLI_SAP/CPP-client.cpp:
        * examples/IPC_SAP/TLI_SAP/db-client.cpp:
        * examples/IPC_SAP/TLI_SAP/ftp-client.cpp:
        * examples/Connection/non_blocking/test_tli_acceptor.cpp:
        * examples/Connection/non_blocking/test_tli_connector.cpp:
          Wide-char/narrow-char fixes.

Fri May 26 21:47:56 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * netsvcs/lib/Client_Logging_Handler.cpp,
        * netsvcs/lib/Server_Logging_Handler_T.cpp,
        * ace/Log_Msg_IPC.cpp: Removed the special case code for Windows
          since it seems like ACE (or Windows) now handles this properly.

Fri May 26 21:20:35 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Log_Record.cpp (operator>>): Add one when allocating the buffer.

Fri May 26 13:16:48 UTC 2006  Nanbor Wang  <nanbor@exothermic.txcorp.com>

        * ace/DLL_Manager.cpp:

          Fixed incorrect usage of ACE::debug check.  Thanks to Johnny for
          reporting this.

Fri May 26 15:04:55 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ASNMP/tests/Counter_Test.cpp:
        * ASNMP/tests/Gauge_Test.cpp:
        * performance-tests/SCTP/hist.cpp:

          Added static_cast<>s to eliminate implicit conversion warnings.

Fri May 26 12:42:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Naming_Test.cpp:
          Replaced assert with if statement, resolved argument not used
          warning in BCB6 release builds

Fri May 26 10:26:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1890_Regression_Test.cpp:
        * tests/Bug_2540_Regression_Test.cpp:
          New tests made by Carlos O'Ryan for the given bug numbers.

        * tests/run_test.lst:
        * tests/tests.mpc:
          Added the new tests above

Fri May 26 09:53:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/Run_Test.pm:
          Increased wait_interval_for_process_creation from 5 to 10 seconds.
          On the slower systems some tests failed because the startup time
          is longer then 5 seconds, especially if several configuration files
          are read and saved during startup

Fri May 26 08:21:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/diff-builds.pl:
          Fixed typo in comment

Thu May 25 04:58:44 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * tests/Tokens_Test.cpp (run_main): Don't try to spawn the
          netsvcs/server/main if it's not built.

Thu May 25 03:53:47 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/config_h.m4:

          Removed AH_TEMPLATE for ACE_LACKS_TCP_H.  This was replaced
          with ACE_LACKS_NETINET_TCP_H long ago.

Wed May 24 22:19:43 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/Service_Repository.{h, inl, cpp}:

          Changed size arguments type to size_t in ctor, open,
          current_size, total_size and the corresponding members.
          ACE_Service_Repository_Iterator::next_ now starts from 0 instead
          of -1 to avoid warnings about signed/unsigned comparisons.

        * ace/Service_Gestalt.cpp:

          Reverted the change "Wed May 24 14:00:43 UTC 2006 Iliyan
          Jeliazkov <iliyan@ociweb.com>", since now the
          Service_repository::instance() takes size_t argument.

        * performance-tests/Synch-Benchmarks/Base_Test/Synch_Benchmarks_Base_Test.mpc:
        * performance-tests/Synch-Benchmarks/Perf_Test/Synch_Benchmarks_Perf_Test.mpc:

          Fixed and error whereby the DLL's generated by this two project
          files did not match the name used in the svc configuration
          files, causing the test to crash because of missing DLL.

Wed May 24 13:08:08 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/Message_Queue.h: Added #include "ace/Thread_Mutex.h" on platforms
          that have ACE_Message_Queue_NT available; that class has a
          ACE_Thread_Mutex member so the include is needed to see the class.
          Thanks to Guy Peleg <guype at amdocs dot com> for this fix.

Wed May 24 17:39:47 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Remote_Tokens.cpp (request_reply): Added a helpful error
          message to make it easy to track down problems with TSS.

Wed May 24 17:22:31 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Change feature test to define ACE_LACKS_NATIVE_STRPTIME if
          system doesn't support strptime(), as it seems ACE doesn't
          follow its feature test macro naming conventions when it comes
          to strptime().

          Changed ACE_LACKS_STRPTIME_PROTOTYPE feature test to use
          AC_CHECK_DECL instead of AC_EGREP_HEADER.

Wed May 24 16:33:59 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:

          Changed ACE_LACKS_STRPTIME and ACE_LACKS_STRPTIME_PROTOTYPE
          feature tests to use the same idiom as similar tests.  This
          Avoids requiring an AH_TEMPLATE for each feature test macro
          in config_h.m4.

Wed May 24 09:07:53 2006  Douglas C. Schmidt  <schmidt@cse.wustl.edu>

        * ace/Activation_Queue.cpp,
        * ace/Activation_Queue.inl: Fixed the queue() "setter" method
          so that it doesn't leak memory.  Thanks to David Chu <beyonddc
          dot storage at gmail dot com> for providing this fix.

Wed May 24 14:00:43 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/Service_Gestalt.cpp:

          Added a cast from size_t to int in the ctor to match the
          interface of ::instance() and to quiet the 64bit compilers,
          complaining about loss of precision in the implicit conversion.

Tue May 23 19:21:55 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/Signal_Test.cpp:

          Reset SIGHUP handler to SIG_DFL to support cases where SIGHUP
          is ignored (running under nohup(1), etc.).

Tue May 23 10:55:59 2006  Douglas C. Schmidt  <schmidt@cse.wustl.edu>

        * netsvcs/lib/Client_Logging_Handler.cpp (handle_input):
        * netsvcs/lib/Server_Logging_Handler_T.cpp
          (handle_logging_record): Cleaned up the code so that it should
          have no memory leaks and will also build cleanly on all the OS
          platforms.

        * ace/Log_Msg_IPC.cpp: Fix support for ACE_HAS_STREAM_PIPES.

Tue May 23 13:05:03 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Log_Msg.cpp:
          Fixing a memory leak found by valgrind.

        * ace/Timeprobe.cpp:
          Added missing include - this wouldn't comple with both noinline
          and ACE_COMPILE_TIMEPROPE set.

Mon May 22 21:13:15 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * bin/diff-builds.pl:

          Updated to allow diff between the tests failures today and on a
          specified date, for the clean builds (or, all the builds from
          the build score).

Mon May 22 19:06:41 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/Log_Record.cpp (operator<<, operator>>): Have to use a different
          CDR array method when ACE_USES_WCHAR.

Mon May 22 09:04:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * netsvcs/lib/Client_Logging_Handler.cpp:
          Fixed compile error on Solaris

Mon May 22 04:53:29 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/Signal_Test.cpp:

          The change:
          Sat May 20 15:10:55 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

          Was not enough to get this test working on all platforms.

          Revert to using ACE_Sig_Guard in worker_child().  Handle the
          SIGINT race condition by raising it if and only if the child
          was not shut down by the parent.

Sun May 21 13:46:49 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tests/Service_Config_Test.cpp:

          Fixing Windows test failures, because errno gets overriden
          between Service Repository::insert() and testLimits(). Most
          likely, it happens in ace_yyparse (), however the existing
          mechanism for reporting parser errors does not allow for
          reliably propagating the cause of the error. Removing the test
          for the cause of the error and simply reporting the error, if it
          had occured.

Sat May 20 15:10:55 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/Signal_Test.cpp:

          Changed synchronous tests to block signals at the top level.
          This had been done with a ACE_Sig_Guard, but that lead to a race
          condition between when the guard was release and the delivery of
          the SIGINT the client sends to itself.  The SIGINT would then be
          handled by the default handler, which terminated the process
          before the "Ending" message was written to the log.

          #if'd out the ACE_DEBUG, etc. invocations from handle_signal().
          These result in signal-unsafe functions being called when the
          handler is called asynchronously.  A braver person would have
          just removed them entirely.

Fri May 19 20:08:29 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/config-sunos5.6.h:
        * ace/os_include/sys/os_mman.h: Moved the declaration of ::madvise()
          from config-sunos5.6.h to os_mman.h, to be compiled only when
          ACE_LACKS_MADVISE_PROTOTYPE is defined. Set
          ACE_LACKS_MADVISE_PROTOTYPE in config-sunos5.6.h where it used to
          declare madvise(). This allows autoconf-detected
          ACE_LACKS_MADVISE_PROTOTYPE platforms (such as Solaris 9) to
          compile correctly.

Fri May 19 17:53:51 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/Service_Gestalt.cpp:

          Fixed a defect in process_directive () which was replacing the
          ENOSPC errno with EINVAL. Added #ifndef ACE_NLOGGING / #endif
          around logging statements.

        * ace/Service_Repository.cpp:

          Minor reformating.

        * tests/Service_Config_DLL.cpp:

          Added two independent service objects, to be used in the
          testLimits test. See testLimits().

        * tests/Service_Config_Test.cpp:

          Reworked the testLimits() to avoid printing the word "error",
          which confuses the test driver into thinking the test failed.

Fri May 19 17:51:33 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Service_Gestalt.cpp:

          Elminated memory leak found by valgrind.

Fri May 19 17:09:51 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/Service_Config_Test.cpp:

          Fixed a warning due to assignment of a string literal to a
          non-const variable.

Thu May 18 17:42:09 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * bin/diff-builds.pl:

          Contributing a little tool to find the difference in the failing
          tests between two dates, on the same build. Or between two
          builds, on a particular date. Thanks to Johnny Willemsen
          <jwillemsen@remedy.nl> for mining and hosting the data used by
          this script.

Thu May 18 17:33:57 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:

          Changed feature test for socklen_t to #include <sys/types.h>
          before <sys/socket.h>.  Use cannonical AC_CHECK_TYPE and
          AC_DEFINE with a third argument instead of a AH_TEMPLATE for
          ACE_HAS_SOCKLEN_T.  Fixes configuration on OpenBSD.  Thanks to
          Vladimir Panov <gbr at voidland dot org> for reporting this bug.

Thu May 18 16:37:46 UTC 2006  Steve Huston  <shuston@riverace.com>

        * configure.ac: Set a ACE_VERSION_NAME variable with the version
          string (canonical major.minor.beta), which may include a fix kit id.

        * bin/MakeProjectCreator/config/acedefaults.mpb: Change am_version from
          libtool's -version-info format (current:revision:age) to the ACE
          release number format (major.minor.beta) and rename it am_release.
          This is intended for use with the libtool's -release option and will
          result in library names that correspond to the ACE kit number.
          The -version-info option uses interface numbers meant to indicate a
          series of public API numbers. However, with ACE, things change
          pretty often. Rather than try to come up with a way of managing
          interface numbers, just use the release numbering that users know
          and are used to.

Thu May 18 15:15:16 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * bin/tao_orb_tests.lst:

          Removed Limits from the list of ORB tests because it is now part
          of ACE.

        * tests/Service_Config_Test.cpp:

          Added functionality to test gestalt size limits.

Thu May 18 15:21:33 UTC 2006  Steve Huston  <shuston@riverace.com>

        * NEWS:
        * ace/Task.{h inl cpp}: Reverted the changes from:
          Fri Apr 14 15:53:21 UTC 2006  Steve Huston  <shuston@riverace.com>
          Tasks that delete themselves from within close() would invalidate
          the lock that ACE_Task held across the close() call and perform
          undefined and illegal actions on the deleted lock upon return.
          Bugzilla #2339 remains unresolved.

Wed May 17 20:31:11 UTC 2006 Roopa Pundaleeka <roopa@txcorp.com>

        * ace/DLL_Manager.cpp:
        * ace/DLL_Manager.h:
          The dll handle is added to the to the
          handle_vector_ only after the library is opened
          successfully. This way, the vector does not have redundant
          handles.

        * ace/Object_Manager.cpp:
          ACE_DLL_Manager::close_singleton is called explicitly from the
          ACE_Object_Manager to make sure ACE_DLL_Manager gets cleaned up,
          even if there was an error while opening a lib file.

          Thanks to Timo Kuosmanen <ttkuosma at cc dot jyu dot fi> for
          reporting this.

Wed May 17 14:07:33 2006  Douglas C. Schmidt  <schmidt@cse.wustl.edu>

        * netsvcs/lib/Server_Logging_Handler_T.cpp: Improved the code so
          that it should compile and run properly on Windows.  Thanks to
          Phil Mesnier for reporting this.

Wed May 17 19:07:43 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/Dynamic_Service_Dependency.h: Doxygen correction; use @c to
          set a word in "typewriter" font, but for known class names, there's
          no need to do this.

Wed May 17 17:56:49 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * examples/C++NPv1/Logging_Client.cpp
        * examples/C++NPv1/Logging_Handler.cpp
        * examples/C++NPv2/Logging_Handler.cpp

          Removed now-redundant CDR insertion/extration operators now
          defined in ace/Log_Record.{h,cpp}

Wed May 17 09:35:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/sys/os_ipc.h:
        * ace/os_include/sys/os_socket.h:
        * ace/os_include/sys/os_stat.h:
        * ace/os_include/sys/os_types.h:
          Removed psos support

        * ace/os_include/sys/os_mman.h:
          Removed madvice prototype and ACE_LACKS_MADVISE_PROTOTYPE, it
          is not set in any config file

Wed May 17 02:23:31 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Log_Msg_IPC.cpp:

          Fix typo exposed on systems with ACE_HAS_STREAM_PIPES defined.
          I'll leave it to Will & Doug to do whatever the TO DO said to do.

Tue May 16 22:23:55 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * ace/Log_Msg_IPC.cpp
        * ace/Log_Record.cpp
        * ace/Log_Record.h
        * ace/Log_Record.inl
        * netsvcs/lib/Client_Logging_Handler.cpp
        * netsvcs/lib/Server_Logging_Handler_T.cpp

          Fixed some problems that stemmed from changing ACE_Log_Msg
          msg_data_ from a fixed-size array to a dynamically-sized array.
          Thanks to Keith Muzzioli <Keith_W_Muzzioli at raytheon dot com>,
          John Black <John_K_Black at Raytheon dot com>, and Mitsuo
          Fukasawa <fukasawa_mitsuo at nifty dot com> for reporting this
          and to Doug Schmidt for helping to fix it!

Tue May 16 13:20:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_sys_time.inl:
        * ace/OS_NS_time.{h,cpp,inl}:
          Removed chorus and psos support

        * ace/OS_Thread_Adapter.cpp:
          Removed psos support

Tue May 16 13:09:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_sys_wait.{h,inl}:
          Remove chorus support

        * ace/OS_NS_stropts.inl:
        * ace/OS_NS_sys_stat.inl:
        * ace/OS_NS_string.inl:
          Removed psos support

Tue May 16 13:02:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Log_Msg.cpp:
        * ace/OS_NS_arpa_inet.{h,cpp,inl}:
        * ace/OS_NS_dirent.inl:
          Removed psos support

        * ace/INET_Addr.cpp:
        * ace/config-macros.h:
          Removed chorus support

        * ace/Unbounded_Queue.h:
          Removed remark about chorus

        * ace/config-cray.h:
          Removed explicit template instantiation define, we don't have that
          anymore

        * ace/config-hpux-11.00.h:
        * ace/config-sunos5.7.h:
        * ace/config-rtems.h:
        * ace/config-osf1-4.0.h:
          Removed kcc support

Mon May 15 11:30:14 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * bin/tao_other_tests.lst:
          Added more tests that can't run in ACE_FOR_TAO configations due
          to dependency on something that avoids ACE_FOR_TAO.

Mon May 15 01:15:45 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * bin/tao_orb_tests.lst:
        * bin/tao_other_tests.lst:
          Added !ACE_FOR_TAO to those tests for which MPC skips generating
          executables because it directly or indirectly avoids ACE_FOR_TAO.
          Indirect avoidance occurs when a project derives from a base
          project that avoids ACE_FOR_TAO.

Thu May 11 12:37:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Message_Block.h:
          Doxygen improvements

Thu May 11 11:15:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Dev_Poll_Reactor.cpp:
          Removed chorus support

Thu May 11 07:19:12 UTC 2006  Kees van Marle  <kvmarle@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added Bug_1254_Regression

Wed May 10 14:10:02 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/config-win32-msvc-7.h: MSVC 7.1 operator new throws an exception
          on an out-of-memory condition, but only when the standard C++
          library is used; the older CRT new() doesn't.

Tue May  9 11:38:30 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/orbsvcslib.mpb:
          Add -GT to the idlflags, all orbsvcs then do generate the TIE files,
          if people then use them, they get them out of the box.

Tue May  9 07:36:30 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/taoidldefaults.mpb:
          Removed -Sc, added -GT, see bugzilla bug 2525 for more info

Tue May  9 07:25:30 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Condition_T.{h,cpp,inl}:
        * ace/Local_Name_Space_T.cpp:
        * ace/Configuration.cpp:
        * ace/Sched_Params.cpp:
        * ace/Mutex.{h,cpp,inl}:
        * ace/Select_Reactor_T.cpp:
        * ace/Signal.cpp:
          Removed Chorus support

        * ace/CDR_Stream.cpp:
          Small layout change

        * ace/Event_Handler.cpp:
          Removed psos support

        * ace/Message_Block.h:
          Doxygen improvements

        * ace/Message_Block.cpp:
          Const improvement

Sun May  7 21:03:30 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/Service_Config.{h,cpp}:

          Weeding out the remaining issues with single threaded
          builds. The implementation now relies on the ACE_TSS_* macros to
          abstract from the differences among build styles and platform
          support for TSS.

        * ace/Service_Gestalt.{h,cpp}:

          Eliminated commented out code. Minor reformatting in places.

        * ace/TSS_T.{h,inl,cpp}:

          Added some comments to help others avoid a few pitfalls. Made
          ts_init() a non-const, which eliminates a few const_cast's.

Sun May  7 07:02:51 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/Service_Config.h:
        * ace/Service_Config.cpp:

          Refactored the TSS usage (again) to fix a nasty
          order-of-initialization problem. The gist of which is that, if
          the ptr (to a template class instance) is a static member, in
          static builds, it will be initialized by the process prologue
          code *after* another static initializer has had the chance to
          use and assign it a value. The solution was to use a method
          scope static instance, which C++ guarantees to be initialized by
          the (first) exit from that method.

        * ace/Service_Gestalt.h:
        * ace/Service_Gestalt.cpp:

          Refactored the construction to avoid using straight new in
          constructor initializer lists. Replaced new with ACE_NEW_* where
          appropriate.

Sat May  6 18:08:13 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Add feature tests for ACE_LACKS_ASCTIME, ACE_LACKS_ACSTIME_R,
          ACE_LACKS_GETCWD, ACE_LACKS_GMTIME, ACE_LACKS_GMTIME_R,
          ACE_LACKS_LOCALTIME, and ACE_LACKS_STRFTIME.

Sat May  6 09:52:06 2006  Douglas C. Schmidt  <schmidt@cse.wustl.edu>

        * examples/DLL/test_dll.cpp: Renamed the DLLs and removed the "./"
          from the pathname.  Thanks to Sam and Roopa for reporting this
          and tracking it down, respectively.

Sat May  6 10:23:13 UTC 2006  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/platform_sunos5_sunc++.GNU: Add -lrt -laio to
          the LIBS. The Proactor framework needs this; I'm not sure why it
          never showed up until static builds were run.

Tue Apr 25 10:22:16 2006  Douglas C. Schmidt  <schmidt@cse.wustl.edu>

        * ace/OS_NS_string.cpp (strerror): Do a sanity check to make sure
          errnum >= 0 and < _sys_nerr and set errno to EINVAL if things
          are not sane.  Thanks to Aleksandar Vukajlovic <vukajlo at
          finsoft dot co dot yu> for this fix.

Fri May  5 19:37:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Default_Constants.h:
          Added a compile time check that ACE_DEFAULT_CDR_BUFSIZE must be
          defined to a value bigger then 0, it is 0 we get in a never ending
          loop in the CDR code

Fri May  5 17:01:32 UTC 2006  Steve Huston  <shuston@riverace.com>

        * examples/Service_Configurator/IPC-tests/client/local_spipe_client_test.cpp:
        * examples/Service_Configurator/IPC-tests/client/remote_thr_stream_client_test.cpp:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_SPIPE.{cpp i h}:
          Wide-char corrections.

Fri May  5 13:11:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/FIFO.cpp:
        * ace/os_include/os_stddef.h:
          Removed psos support

        * ace/config-WinCE.h:
        * ace/os_include/os_stddef.h:
          Moved setting of ACE_LACKS_STDDEF_H and ACE_LACKS_PTRDIFF_T to the
          WinCE file

Fri May  5 13:08:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_openvms.GNU:
          Changed the way templates are handled

Fri May  5 11:42:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Reactor_Token_T.h:
          Removed workaround for vc6

Fri May  5 08:38:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/MMAP_Memory_Pool.{h,cpp}:
          Made guess_on_fault_ a real bool

Fri May  5 08:09:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/os_dirent.h:
        * ace/os_include/os_errno.h:
        * ace/os_include/os_netdb.h:
        * ace/os_include/os_stdint.h:
        * ace/os_include/os_time.h:
        * ace/os_include/os_string.h:
        * ace/os_include/os_stdlib.h:
          Removed psos support

        * ace/os_include/os_dlfcn.h:
        * ace/os_include/os_signal.h:
          Removed psos and kcc support

        * ace/os_include/os_pthread.h:
          Removed chorus support

        * ace/os_include/os_unistd.h:
          Removed chorus and psos support

Fri May  5 07:59:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_sys_utsname.cpp:
        * ace/OS.h
          Removed psos and chorus support

        * ace/OS_NS_fcntl.cpp:
        * ace/Lib_Find.cpp:
        * ace/OS_NS_netdb.inl:
          Removed psos support

        * ace/Mem_Map.cpp:
          Removed chorus support

        * ace/IOStream.h:
          Removed checks for KCC compiler

Fri May  5 07:42:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Base_Thread_Adapter.h:
        * ace/SPIPE_Connector.cpp:
        * ace/SOCK_Dgram.cpp:
        * ace/Select_Reactor_T.cpp:
        * ace/Handle_Set.cpp:
          Removed code for psos, support for this platform will be removed

        * ace/CDR_Base.h:
          Removed check for KCC compiler

        * ace/Malloc_Allocator.h:
          Doxygen improvement

Thu May  4 22:11:06 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/Message_Block.h: Made ACE_Data_Block::release_i() virtual.
          Thanks to Gary Fernandez <gary dot fernandez at ironmountain dot
          com> for this change.

Thu May  4 21:07:10 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/SPIPE_Acceptor.cpp (create_new_instance, close): Have to use
          ACE_TEXT_ALWAYS_CHAR to pass pipe name on wide-char w/
          ACE_HAS_STREAM_PIPES. Thanks to Gary Fernandez <gary dot
          fernandez at ironmountain dot com> for this fix and to Yasser
          Zabuair <yzabuair at hotmail dot com> for also reporting it.  This
          fixes bugid 2541.

        * THANKS: Added Gary and Yasser to the Hall of Fame.

Thu May  4 08:50:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        Reverted the change below, broke the sendfile test and Steve
        Huston changed things in such a way that sendfile is only
        used on Solaris 9 and newer

        Tue May  2 09:34:54 Pacific Daylight Time 2006    <ossama_othman at symantec dot com>
        * ace/OS_NS_sys_sendfile.inl (sendfile):
          Removed "::" global scope qualifier from platform sendfile()
          call.  It caused problem on Solaris 8.  Thanks to Simon Massey
          and Johnny Willemsen for analyzing the problem and suggesting
          this fix.

Thu May  4 08:36:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ace_for_tao.mpc:
          Added OS_NS_sys_sendfile

Thu May  4 00:43:32 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Makefile.am:

          Add Dynamic_Service_Dependency.{cpp,h} to appropriate lists.

Wed May  3 16:02:10 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/Service_Config.h:
        * ace/Service_Config.cpp:

          Fixed a problem due to an attempt to access current_ before it
          has been initialized (a static ACE_TSS instance). The current_
          is now just a pointer to an ACE_TSS instance, which gets
          dynamicaly allocated upon invoking the current() method. The
          deallocation of that instance is left up to the Object Manager
          with which the dynamic ACE_TSS instance is registered.

        * ace/TSS_T.h:

          Added a ACE_TSS_SET () to complete the set of TSS access
          operations, which should work regardless of threading, TSS
          emulation and TSS availability.

Wed May  3 11:52:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Mem_Map.inl:
          Small const improvements

Wed May  3 10:39:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Mem_Map.{h,cpp,inl}:
          Made close_handle_ a bool

Wed May  3 08:56:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-macros.h:
          Removed support for KCC

Wed May  3 08:14:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_sys_sendfile.h:
          Export sendfile_emulation to resolve link problems in the
          windows builds

Wed May  3 03:36:23 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Svc_Conf_y.cpp:

          Moved the ACE_BEGIN_VERSIONED_NAMESPACE_DECL macro to include
          ace_yyparse.

Tue May  2 09:34:54 Pacific Daylight Time 2006    <ossama_othman at symantec dot com>

        * ace/OS_NS_sys_sendfile.inl (sendfile):

          Removed "::" global scope qualifier from platform sendfile()
          call.  It caused problem on Solaris 8.  Thanks to Simon Massey
          and Johnny Willemsen for analyzing the problem and suggesting
          this fix.

Tue May  2 10:34:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-WinCE.h:
          Added ACE_LACKS_GETCWD, ACE_LACKS_ASCTIME, ACE_LACKS_ASCTIME_R,
          ACE_LACKS_GMTIME, ACE_LACKS_GMTIME_R, ACE_LACKS_LOCALTIME and
          ACE_LACKS_STRFTIME. These macros are new and will be used soon
          in the ACE_OS layer.

Mon May  1 19:49:45 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/ARGV.{h i cpp}: Filled out more of the documentation in this
          class, specifically mentioning that the class will enforce the
          "whitespace separates tokens, except when quoted" rule of command
          line parsing that's consistent with ACE_Get_Opt, etc. Also removed
          documentation of non-existant restrictions such as after using
          add(), can't use buf().
          Removed the State enum since the only value ever used was ITERATIVE,
          and changed "int state_" to "bool iterative_" (and removed the
          state() accessor). Changed substitute_env_args_ from int to bool.

        * ace/OS_NS_unistd.{h cpp} (argv_to_string, string_to_argv): Changed
          the substitute_env_args parameter from "int" to "bool" to better
          reflect what it is, a yes/no indicator.

Mon May  1 06:53:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_sunos5_g++.GNU:
        * include/makeinclude/platform_sunos5_sunc++.GNU:
          Also for solaris 10 link the sendfile lib

Sun Apr 30 04:21:37 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Svc_Conf_y.cpp:
          What I meant to commit last time.

Sun Apr 30 02:21:16 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Svc_Conf_y.cpp:
          Eliminating more warnings from the scoreboard. I'm not sure the
          best way to add this patch to ace/svcconf.mpb, since it affects
          more than just gnuace targets. The easiest would be to store the
          diff between this commit and the previous version and run patch,
          but I'm not sure how to integrate that solution.

Sat Apr 29 13:58:28 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/Service_Gestalt.cpp:
          More fuzz cleanup.

Sat Apr 29 13:17:24 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/ACE.cpp:
          Fuzz cleanup.

        * THANKS:
          Added credits.

Fri Apr 28 22:31:52 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/Service_Gestalt.cpp:

          Removed an ';' after ACE_TRACE, which was confusing GCC4 with
          "hidden visibility" enabled.

Fri Apr 28 21:22:53 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/Service_Config.cpp:
        * ace/Service_Gestalt.cpp:

          More re-formatting to weed out those pesky tabs.

Fri Apr 28 20:57:19 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/config-sunos5.8.h:
        * ace/config-sunos5.9.h: Moved ACE_HAS_SENDFILE from Solaris 8 to
          Solaris 9. Solaris 8 supports sendfilev[64] but not sendfile,
          at least not without some patches I don't know about.

Fri Apr 28 20:13:41 UTC 2006  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/platform_sunos5_g++.GNU:
        * include/makeinclude/platform_sunos5_sunc++.GNU:
          Solaris 9 puts sendfile() is a separate library, so LIBS needs
          -lsendfile on Solaris 9.

Fri Apr 28 18:03:11 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/ACE.cpp:
        * ace/DLL.cpp:
        * ace/DLL_Manager.cpp:
        * ace/Dynamic_Service_Base.cpp:
        * ace/Dynamic_Service_Dependency.cpp:
        * ace/Parse_Node.cpp:
        * ace/Service_Config.inl:
        * ace/Service_Config.cpp:
        * ace/Service_Gestalt.cpp:
        * ace/Service_Object.cpp:
        * ace/Service_Repository.cpp:
        * ace/Service_Types.cpp:
        * ace/Shared_Object.cpp:

          Applied formatting style consistent with ACE convention.

Fri Apr 28 15:48:25 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/Service_Config.cpp (open_i): ACE_DEFAULT_SVC_CONF shouldn't
          be enclosed in ACE_LIB_TEXT since it's defined in terms of
          ACE_LIB_TEXT already.

Fri Apr 28 15:49:21 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Makefile.am:
          Added new Service_Gestalt files to the appropriate lists.

Fri Apr 28 15:42:59 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Service_Config.cpp:
          Fixed a problem killing some wchar builds.

        * ace/Service_Gestalt.h:
          Cleaned up the long-lines of the UNIMPLEMENTED functions.

Fri Apr 28 15:26:53 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/Timer_Queue_Adapters.h: Clarified the use and restrictions with
          ACE_Async_Timer_Queue_Adapter.

Fri Apr 28 15:22:35 UTC 2006  Steve Huston  <shuston@riverace.com>

        * apps/JAWS2/JAWS/Concurrency.cpp: Removed unused variables.

Fri Apr 28 14:54:04 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/config-macros.h: HP aC++ needs to see the statement in
          ACE_NOTREACHED up to the version 6 series (Integrity). Also see
          Tue Apr 11 13:12:36 UTC 2006  Simon McQueen  <sm@prismtech.com>

Fri Apr 28 14:31:48 UTC 2006  Steve Huston  <shuston@riverace.com>

        * ace/Service_Gestalt.h: Removed extraneous ';' from
          ACE_UNIMPLEMENTED_FUNC usage.

        * m4/ace.m4: Fixed incorrect variable referenced in case during
          --enable-uses-wchar.  Thanks to Paul Robinson <probinson at
          gmail dot com> for reporting this.

